/***********************************************************
 * @Description : 问题的选项，适用于单选、多选和判断
 * @author      : 梁山广(Laing Shan Guang)
 * @date        : 2019/5/14 07:48
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.entity;


import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Id;
/**
 * 表示考试题目选项的实体类，包括选项的标识符、内容和描述。
 * 该类使用 @Entity 注解标记，表示这是一个 JPA 实体类，用于对象关系映射（ORM）与数据库交互。
 * 使用 Lombok 库的 @Data 注解自动生成 getter、setter、构造方法以及 equals、hash 和 toString 方法，减少样板代码。
 */
@Data
@Entity
public class QuestionOption {
    /**
     * 题目选项的唯一标识符，使用 @Id 注解标记，表示该字段是实体的主键。
     */
    @Id
    private String questionOptionId;
    private String questionOptionContent;// 选项内容，描述选项的文本或信息
    private String questionOptionDescription;// 选项描述，对选项的详细解释或注释
}
