/***********************************************************
 * @Description : 题目类型表，从功能角度划分，比如单选、多选、判断等
 * @author      : 梁山广(Laing Shan Guang)
 * @date        : 2019/5/14 07:48
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.entity;


import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
/**
 * QuestionType类代表了一个实体，用于在数据库中存储问题类型的信息。
 * 它包括问题类型的ID、名称和描述。
 */
@Data
@Entity
public class QuestionType {
    /**
     * 问题类型的唯一标识符。
     * 通过@JsonProperty注解，该字段在序列化和反序列化时将映射为"id"。
     */
    @Id
    @GeneratedValue
    @JsonProperty("id")
    private Integer questionTypeId;
    /// 问题类型的名称。
    @JsonProperty("name")
    private String questionTypeName;
    //问题类型的描述。
    @JsonProperty("description")
    private String questionTypeDescription;
}
