package lsgwr.exam.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * 问题选项的创建视图模型类
 * 用于处理问题选项的创建请求
 */
@Data
public class QuestionOptionCreateVo {

    /**
     * 问题的内容
     * 这里使用@JsonProperty注解来指定JSON字段名
     * 这是因为在JSON与Java对象进行序列化和反序列化时
     * 可以将JSON中的"content"字段映射到Java对象中的"questionOptionContent"属性
     */
    @JsonProperty("content")
    private String questionOptionContent;

    /**
     * 当前的选项是否是问题的答案
     * 默认值为false
     * 同样使用@JsonProperty注解来指定JSON字段名
     * 这样可以将JSON中的"answer"字段映射到Java对象中的"answer"属性
     */
    @JsonProperty("answer")
    private Boolean answer = false;

}
