/**
 * 问题选择视图对象
 * 用于在前端展示问题选择界面时传递问题类型、问题类别和问题难度等级信息
 */
package lsgwr.exam.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lsgwr.exam.entity.QuestionCategory;
import lsgwr.exam.entity.QuestionLevel;
import lsgwr.exam.entity.QuestionType;
import lombok.Data;

import java.util.List;

/**
 * 问题选择视图对象
 * 包含问题类型、问题类别和问题难度等级的列表
 */
@Data
public class QuestionSelectionVo {
    /**
     * 问题类型列表
     * 用于展示可选择的问题类型
     */
    @JsonProperty("types")
    private List<QuestionType> questionTypeList;

    /**
     * 问题类别列表
     * 用于展示可选择的问题类别
     */
    @JsonProperty("categories")
    private List<QuestionCategory> questionCategoryList;

    /**
     * 问题难度等级列表
     * 用于展示可选择的问题难度等级
     */
    @JsonProperty("levels")
    private List<QuestionLevel> questionLevelList;
}
