/*
Navicat MySQL Data Transfer

Source Server         : 129.211.88.191_腾讯云
Source Server Version : 50715
Source Host           : 129.211.88.191:3306
Source Database       : exam

Target Server Type    : MYSQL
Target Server Version : 50715
File Encoding         : 65001

Date: 2020-02-24 22:55:08
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for `action`
-- ----------------------------
DROP TABLE IF EXISTS `action`;
CREATE TABLE `action` (
  `action_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '前端页面操作表主键id',
  `action_name` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '前端操作的名字',
  `action_description` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '页面操作的描述',
  `default_check` tinyint(1) NOT NULL DEFAULT '0' COMMENT '当前操作是否需要校验,true为1,0为false',
  PRIMARY KEY (`action_id`) USING BTREE,
  UNIQUE KEY `action_name` (`action_name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='前端操作比如增删改查等的权限表';

-- ----------------------------
-- Records of action
-- ----------------------------
INSERT INTO `action` VALUES ('1', 'add', '新增', '0');
INSERT INTO `action` VALUES ('2', 'query', '查询', '0');
INSERT INTO `action` VALUES ('3', 'get', '详情', '0');
INSERT INTO `action` VALUES ('4', 'update', '修改', '0');
INSERT INTO `action` VALUES ('5', 'delete', '删除', '0');
INSERT INTO `action` VALUES ('6', 'import', '导入', '0');
INSERT INTO `action` VALUES ('7', 'export', '导出', '0');

-- ----------------------------
-- Table structure for `exam`
-- ----------------------------
DROP TABLE IF EXISTS `exam`;
CREATE TABLE `exam` (
  `exam_id` varchar(32) COLLATE utf8_bin NOT NULL COMMENT '考试表的主键',
  `exam_name` varchar(128) COLLATE utf8_bin NOT NULL COMMENT '考试名称',
  `exam_avatar` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '考试的预览图',
  `exam_description` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '考试描述',
  `exam_question_ids` varchar(2048) COLLATE utf8_bin DEFAULT NULL COMMENT '当前考试下的题目的id用-连在一起地字符串',
  `exam_question_ids_radio` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '当前考试下的题目单选题的id用-连在一起地字符串',
  `exam_question_ids_check` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '当前考试下的题目多选题的id用-连在一起地字符串',
  `exam_question_ids_judge` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '当前考试下的题目判断题的id用-连在一起地字符串',
  `exam_score` int(11) NOT NULL DEFAULT '0' COMMENT '当前考试的总分数',
  `exam_score_radio` int(11) NOT NULL DEFAULT '0' COMMENT '当前考试每个单选题的分数',
  `exam_score_check` int(11) NOT NULL DEFAULT '0' COMMENT '当前考试每个多选题的分数',
  `exam_score_judge` int(11) NOT NULL DEFAULT '0' COMMENT '当前考试每个判断题的分数',
  `exam_creator_id` varchar(32) COLLATE utf8_bin NOT NULL COMMENT '考试创建者的用户id',
  `exam_time_limit` int(11) NOT NULL DEFAULT '0' COMMENT '考试的时间限制，单位为分钟',
  `exam_start_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '考试有效期开始时间',
  `exam_end_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '考试有效期结束时间',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`exam_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='考试的详细信息表';

-- ----------------------------
-- Records of exam
-- ----------------------------
INSERT INTO `exam` VALUES ('00a8b7aebdd045f38b456be48694de7a', '1328A-white', 'sssss', 'sss', 'feaa4b2a04314864ba7243eca4d4a291-396b55534851427590e089fb9cc040cc-305f726e7f1f4636b88bf20de0093745', 'feaa4b2a04314864ba7243eca4d4a291', '396b55534851427590e089fb9cc040cc', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-11-17 19:51:52', '2019-11-17 19:51:52', '2019-11-17 19:51:52', '2019-11-17 19:51:52');
INSERT INTO `exam` VALUES ('0d4ecdc35bad42f69d3acfe2e1f490b8', 'yuan12', '1', '2', '0703fd384d164fd19ef6bde4d84875f1-11da425185cf44cab1625eea20c90383-14cc31707d53433f81841058a97575da-578a8cd670524357af17850662a025d6-796de3425cb3481e998fd050f4445873-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658', '0703fd384d164fd19ef6bde4d84875f1-11da425185cf44cab1625eea20c90383-14cc31707d53433f81841058a97575da-578a8cd670524357af17850662a025d6-796de3425cb3481e998fd050f4445873', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658', '45', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '89', '2020-02-14 16:12:51', '2020-02-14 16:12:51', '2020-02-14 16:12:51', '2020-02-14 16:12:51');
INSERT INTO `exam` VALUES ('139883c96ec44c6c9c5c2b4b85a7b54a', 'Angular学习', 'https://i.loli.net/2019/11/02/Pda9TEVIXyeptZo.gif', 'Angular小测验', '', '23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '90', '5', '10', '20', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:23:36');
INSERT INTO `exam` VALUES ('16cc67c763d345dd9bd72e1f997ffe17', 'AEO', '111', '111', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '75', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-11-26 21:59:33', '2019-11-26 21:59:33', '2019-11-26 21:59:33', '2019-11-26 21:59:33');
INSERT INTO `exam` VALUES ('178f35ae4c1d43ae9492c0a9a09bccd8', '324', '2315125', '23415', '0703fd384d164fd19ef6bde4d84875f1-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-578a8cd670524357af17850662a025d6-396b55534851427590e089fb9cc040cc-e5c4164820d341f782ceabe87a5bdbf0-ecdfbdd2a9f24017b3fe1aa0947ca146', '0703fd384d164fd19ef6bde4d84875f1-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-578a8cd670524357af17850662a025d6', '396b55534851427590e089fb9cc040cc', 'e5c4164820d341f782ceabe87a5bdbf0-ecdfbdd2a9f24017b3fe1aa0947ca146', '36', '5', '1', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-01-11 02:28:52', '2020-01-11 02:28:52', '2020-01-11 02:28:52', '2020-01-11 02:28:52');
INSERT INTO `exam` VALUES ('19015367384e4dfc8fd3241da154a86b', 'javaSE', 'what', 'java基础考试', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '50', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-11-04 18:58:10', '2019-11-04 18:58:10', '2019-11-04 18:58:10', '2019-11-04 18:58:10');
INSERT INTO `exam` VALUES ('1a653915b9cb4ed88f09deb305946ddf', '管理员', 'df', 'df', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-23491b7dbbdf47dcb09ece779ff44c92-acb902c1a9114be9b1d03ae02a007fbd-bd9a17a6cce7432c9b07adc914a365ec-d7bb105a79ae4550b241a5aba0dbffb9-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d-882ff69844384fb097db31121e249c01-305f726e7f1f4636b88bf20de0093745-6cabac6ec4ef44068e66cf2547543658', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-23491b7dbbdf47dcb09ece779ff44c92-acb902c1a9114be9b1d03ae02a007fbd-bd9a17a6cce7432c9b07adc914a365ec-d7bb105a79ae4550b241a5aba0dbffb9-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd', '396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d-882ff69844384fb097db31121e249c01', '305f726e7f1f4636b88bf20de0093745-6cabac6ec4ef44068e66cf2547543658', '70', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-19 08:55:42', '2019-12-19 08:55:42', '2019-12-19 08:55:42', '2019-12-19 08:55:42');
INSERT INTO `exam` VALUES ('1a75d82abb934845aede8c772db03ee2', 'sssss', 'sssss', 'ss', '0703fd384d164fd19ef6bde4d84875f1-11da425185cf44cab1625eea20c90383-14cc31707d53433f81841058a97575da-578a8cd670524357af17850662a025d6-796de3425cb3481e998fd050f4445873-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-6cabac6ec4ef44068e66cf2547543658-86797222854341b3997de8d1ca659f3a', '0703fd384d164fd19ef6bde4d84875f1-11da425185cf44cab1625eea20c90383-14cc31707d53433f81841058a97575da-578a8cd670524357af17850662a025d6-796de3425cb3481e998fd050f4445873', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '6cabac6ec4ef44068e66cf2547543658-86797222854341b3997de8d1ca659f3a', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-02-23 17:22:26', '2020-02-23 17:22:26', '2020-02-23 17:22:26', '2020-02-23 17:22:26');
INSERT INTO `exam` VALUES ('1d0a7f6549e0415cac7bb74f20c42b04', '111111', '11111111', '11111', '14cc31707d53433f81841058a97575da-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164', '396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b', 'ecdfbdd2a9f24017b3fe1aa0947ca146', '30', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-12-02 18:17:03', '2019-12-02 18:17:03', '2019-12-02 18:17:03', '2019-12-02 18:17:03');
INSERT INTO `exam` VALUES ('2001e4cb8fd34c438a3b699743f6a2b3', 'asdWAD ', 'SDads', 'SDDCasd', '14cc31707d53433f81841058a97575da-bd9a17a6cce7432c9b07adc914a365ec-38085807d06948ca8ad6d8eaca522c85-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-bd9a17a6cce7432c9b07adc914a365ec', '38085807d06948ca8ad6d8eaca522c85-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '55', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-11-27 15:13:59', '2019-11-27 15:13:59', '2019-11-27 15:13:59', '2019-11-27 15:13:59');
INSERT INTO `exam` VALUES ('225ca34a076b42389797a0690e54a619', '1', '1', '1', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-3085eae7ca824a6dbeb74a3c076a3164-334cfcd5ce47468a9babdce5c97def28-38085807d06948ca8ad6d8eaca522c85-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-3085eae7ca824a6dbeb74a3c076a3164-334cfcd5ce47468a9babdce5c97def28', '38085807d06948ca8ad6d8eaca522c85-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b', '4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10', '50', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-11-30 12:33:35', '2019-11-30 12:33:35', '2019-11-30 12:33:35', '2019-11-30 12:33:35');
INSERT INTO `exam` VALUES ('237b6d8e40a04132862203176cfbee82', '安全测试', '是', '安全测试', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62', '3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658', '65', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-11-27 09:45:07', '2019-11-27 09:45:07', '2019-11-27 09:45:07', '2019-11-27 09:45:07');
INSERT INTO `exam` VALUES ('258bf9410e854f34bba9c9a08f4dd313', 'Ant Design Pro，Ant最佳实践', 'https://i.loli.net/2019/11/02/sVrTotyQUXEx6ic.jpg', 'Ant最佳实践', '', '3864178819534aa7862b26e893aa2e62-9199009718ec4685a0a500d23ab814c5', '85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '305f726e7f1f4636b88bf20de0093745-8f3e02d0f2a1402abd3278adc05ffb10', '100', '10', '10', '10', '68042014e23c4ebea7234cb9c77cee5c', '150', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:23:58');
INSERT INTO `exam` VALUES ('263dfc0241d54b58a05ec95be34d0ca6', 'test111', 'test111', 'test111', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-305f726e7f1f4636b88bf20de0093745', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164', '396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff', '305f726e7f1f4636b88bf20de0093745', '40', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-12-06 09:56:06', '2019-12-06 09:56:06', '2019-12-06 09:56:06', '2019-12-06 09:56:06');
INSERT INTO `exam` VALUES ('266d565c0e544cc5970d3529a973a70a', '数学分析', '1', '1', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-21f8e9e22e9542e8963282e8dd7fbf00-23491b7dbbdf47dcb09ece779ff44c92-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-21f8e9e22e9542e8963282e8dd7fbf00-23491b7dbbdf47dcb09ece779ff44c92', '396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '55', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-12-30 15:29:18', '2019-12-30 15:29:18', '2019-12-30 15:29:18', '2019-12-30 15:29:18');
INSERT INTO `exam` VALUES ('26f4353a296e44609a679a75ea51c4ec', '3', '3', '3', '14cc31707d53433f81841058a97575da-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91-38085807d06948ca8ad6d8eaca522c85-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91', '38085807d06948ca8ad6d8eaca522c85', 'ecdfbdd2a9f24017b3fe1aa0947ca146', '40', '10', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-11-29 21:45:47', '2019-11-29 21:45:47', '2019-11-29 21:45:47', '2019-11-29 21:45:47');
INSERT INTO `exam` VALUES ('303efbfe2e5f460c909e935345424244', '梁山广创建的考试1', 'https://i.loli.net/2019/11/02/gIqpGQ8J5B4rVYD.gif', '就是測試下', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-10-19 12:08:53', '2019-10-19 12:08:53', '2019-10-19 12:08:53', '2019-11-02 16:24:00');
INSERT INTO `exam` VALUES ('345fe61a0cfa4cfbbcd77a825bfcf7d3', 'a', 'a', 'a', '1b2e4b9083714a959b0fb2d711820107-2223b2eb8c2942459344c06ce1d3ed1d-3085eae7ca824a6dbeb74a3c076a3164-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '1b2e4b9083714a959b0fb2d711820107-2223b2eb8c2942459344c06ce1d3ed1d-3085eae7ca824a6dbeb74a3c076a3164', '396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '50', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-20 11:04:35', '2019-12-20 11:04:35', '2019-12-20 11:04:35', '2019-12-20 11:04:35');
INSERT INTO `exam` VALUES ('36322f2642ce411b9ccd75dceef8e080', 'wechat', '2', '1', '6b022b56134c4e22a6b00e35eaf1fdf0-8265e43d401746ac8debd31663dee3fa-9023d525045441138d4c3fa21d669b3a-971cd85e00f447a0b6a58c326cfae174-9829e3ed98274d299f58b99b1520841a-d7bb105a79ae4550b241a5aba0dbffb9-e1d16aebc4124790bb9435973b89f105-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd-fe06d592442243aa8e4adbd9bf6c1341-38085807d06948ca8ad6d8eaca522c85-8f3e02d0f2a1402abd3278adc05ffb10', '6b022b56134c4e22a6b00e35eaf1fdf0-8265e43d401746ac8debd31663dee3fa-9023d525045441138d4c3fa21d669b3a-971cd85e00f447a0b6a58c326cfae174-9829e3ed98274d299f58b99b1520841a-d7bb105a79ae4550b241a5aba0dbffb9-e1d16aebc4124790bb9435973b89f105-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd-fe06d592442243aa8e4adbd9bf6c1341', '38085807d06948ca8ad6d8eaca522c85', '8f3e02d0f2a1402abd3278adc05ffb10', '60', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-01-18 14:39:14', '2020-01-18 14:39:14', '2020-01-18 14:39:14', '2020-01-18 14:39:14');
INSERT INTO `exam` VALUES ('3c38789a7ef2424a824446a38ea18d2a', '测试考试', '222', '111', '14cc31707d53433f81841058a97575da-38085807d06948ca8ad6d8eaca522c85-305f726e7f1f4636b88bf20de0093745', '14cc31707d53433f81841058a97575da', '38085807d06948ca8ad6d8eaca522c85', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-11-26 21:56:12', '2019-11-26 21:56:12', '2019-11-26 21:56:12', '2019-11-26 21:56:12');
INSERT INTO `exam` VALUES ('3cf0b79c367a4448af8eef6737a5d0b3', 'Ant Design，阿里前端框架', 'https://i.loli.net/2019/11/02/tTUpCbSk6MaADQv.jpg', 'Ant前端学习', '', '31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', 'e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '70', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '100', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:24:07');
INSERT INTO `exam` VALUES ('3d813a050459425aba098d45de456308', 'testabc', 'dddd', 'ddd', '14cc31707d53433f81841058a97575da-334cfcd5ce47468a9babdce5c97def28-6a33e4beea944debac1ebb5e6d23a071-8265e43d401746ac8debd31663dee3fa-971cd85e00f447a0b6a58c326cfae174-bb22f19338174d1f9333f9aebd6ffeb6-e1d16aebc4124790bb9435973b89f105-396b55534851427590e089fb9cc040cc-50124a77646346f1a63d704d1cb308fe-85047be0b2cf4077a5ec66e92ebf442b-aac2d50d3722400b88b2ee8819ad07f5-fa4ba05fef194b97aff8668e856a27dd-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-334cfcd5ce47468a9babdce5c97def28-6a33e4beea944debac1ebb5e6d23a071-8265e43d401746ac8debd31663dee3fa-971cd85e00f447a0b6a58c326cfae174-bb22f19338174d1f9333f9aebd6ffeb6-e1d16aebc4124790bb9435973b89f105', '396b55534851427590e089fb9cc040cc-50124a77646346f1a63d704d1cb308fe-85047be0b2cf4077a5ec66e92ebf442b-aac2d50d3722400b88b2ee8819ad07f5-fa4ba05fef194b97aff8668e856a27dd', '4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10-ecdfbdd2a9f24017b3fe1aa0947ca146', '75', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-02-01 16:29:25', '2020-02-01 16:29:25', '2020-02-01 16:29:25', '2020-02-01 16:29:25');
INSERT INTO `exam` VALUES ('42e07074b1a34175af9669e74bbe614d', 'Ceshi考试', '无', '无', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-21f8e9e22e9542e8963282e8dd7fbf00-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-29c859c20be948e3a649abd118107d0f-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-50124a77646346f1a63d704d1cb308fe-4247752901bd47fba86379a1cd4b87d4', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-21f8e9e22e9542e8963282e8dd7fbf00-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-29c859c20be948e3a649abd118107d0f-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-50124a77646346f1a63d704d1cb308fe', '4247752901bd47fba86379a1cd4b87d4', '95', '5', '10', '10', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-01-11 14:15:42', '2020-01-11 14:15:42', '2020-01-11 14:15:42', '2020-01-11 14:15:42');
INSERT INTO `exam` VALUES ('49c2608b10164a38958a9f5c22dca3b8', '管理员', '1', '1', '14cc31707d53433f81841058a97575da-396b55534851427590e089fb9cc040cc-4247752901bd47fba86379a1cd4b87d4', '14cc31707d53433f81841058a97575da', '396b55534851427590e089fb9cc040cc', '4247752901bd47fba86379a1cd4b87d4', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-12 13:54:02', '2019-12-12 13:54:02', '2019-12-12 13:54:02', '2019-12-12 13:54:02');
INSERT INTO `exam` VALUES ('5726d2d5dc234a6d8f783179e5e2bf1a', '测试考试', '1231231231231', '123123123', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658', '60', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-04 11:30:05', '2019-12-04 11:30:05', '2019-12-04 11:30:05', '2019-12-04 11:30:05');
INSERT INTO `exam` VALUES ('59a3cb205f3745338c0b7e9d26ce2fe5', 'Angular学习', 'https://i.loli.net/2019/11/02/DvPiSRJrzoH1tkZ.gif', 'Angular小测验', '', '23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '90', '5', '10', '20', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:24:17');
INSERT INTO `exam` VALUES ('5adddb7b420042a382d6df1da3284caf', '测试', '测试', '测试', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-21f8e9e22e9542e8963282e8dd7fbf00-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-3c70fed1832d4db7a4dd6da0985b635f-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d-8573631f85394f77a08da774259bc3d7-882ff69844384fb097db31121e249c01-9fe1cafeebf44e20a80f504cff60ef3f-305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-e5c4164820d341f782ceabe87a5bdbf0-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-21f8e9e22e9542e8963282e8dd7fbf00-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-3c70fed1832d4db7a4dd6da0985b635f', '396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d-8573631f85394f77a08da774259bc3d7-882ff69844384fb097db31121e249c01-9fe1cafeebf44e20a80f504cff60ef3f', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-e5c4164820d341f782ceabe87a5bdbf0-ecdfbdd2a9f24017b3fe1aa0947ca146', '120', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-23 20:29:34', '2019-12-23 20:29:34', '2019-12-23 20:29:34', '2019-12-23 20:29:34');
INSERT INTO `exam` VALUES ('5b0d680b9e8045b0b729dad1029c62ac', 'VCVCVC', '1', '1', '21f8e9e22e9542e8963282e8dd7fbf00-852a2868c3684699bde65c76ebe8260d-8f3e02d0f2a1402abd3278adc05ffb10', '21f8e9e22e9542e8963282e8dd7fbf00', '852a2868c3684699bde65c76ebe8260d', '8f3e02d0f2a1402abd3278adc05ffb10', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-23 16:29:43', '2019-12-23 16:29:43', '2019-12-23 16:29:43', '2019-12-23 16:29:43');
INSERT INTO `exam` VALUES ('5c8aef0959e54a16839aa4745b8756eb', 'test', '123', 'examtest', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-218f87a8b8794b619b6225310e3ae0df-21f8e9e22e9542e8963282e8dd7fbf00-2527560ba3704f5e84abdb93940357ce-396b55534851427590e089fb9cc040cc-56c4538a152446d8a08de16801b62509-852a2868c3684699bde65c76ebe8260d-94526b5119e74fcca522c1fa0010d91a-9fe1cafeebf44e20a80f504cff60ef3f-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-218f87a8b8794b619b6225310e3ae0df-21f8e9e22e9542e8963282e8dd7fbf00', '2527560ba3704f5e84abdb93940357ce-396b55534851427590e089fb9cc040cc-56c4538a152446d8a08de16801b62509-852a2868c3684699bde65c76ebe8260d-94526b5119e74fcca522c1fa0010d91a-9fe1cafeebf44e20a80f504cff60ef3f', '6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '60', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-02-15 15:15:32', '2020-02-15 15:15:32', '2020-02-15 15:15:32', '2020-02-15 15:15:32');
INSERT INTO `exam` VALUES ('5f9efde1bc3e40aeb235397ad19987d1', 'vvvv', 'vvvvvvv', 'vvvv', '11da425185cf44cab1625eea20c90383-21f8e9e22e9542e8963282e8dd7fbf00-d7bb105a79ae4550b241a5aba0dbffb9-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd-38085807d06948ca8ad6d8eaca522c85-305f726e7f1f4636b88bf20de0093745', '11da425185cf44cab1625eea20c90383-21f8e9e22e9542e8963282e8dd7fbf00-d7bb105a79ae4550b241a5aba0dbffb9-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd', '38085807d06948ca8ad6d8eaca522c85', '305f726e7f1f4636b88bf20de0093745', '16', '2', '5', '1', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-02-18 20:28:07', '2020-02-18 20:28:07', '2020-02-18 20:28:07', '2020-02-18 20:28:07');
INSERT INTO `exam` VALUES ('603f3f22e98847a4a7bb76504b16a208', '123', '123', '123', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-21f8e9e22e9542e8963282e8dd7fbf00-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-882ff69844384fb097db31121e249c01-aac2d50d3722400b88b2ee8819ad07f5-fa4ba05fef194b97aff8668e856a27dd-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-21f8e9e22e9542e8963282e8dd7fbf00-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-882ff69844384fb097db31121e249c01-aac2d50d3722400b88b2ee8819ad07f5-fa4ba05fef194b97aff8668e856a27dd', '4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10', '70', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-01-07 10:19:16', '2020-01-07 10:19:16', '2020-01-07 10:19:16', '2020-01-07 10:19:16');
INSERT INTO `exam` VALUES ('61f6198b88a744aead6f25d04200025e', '阿里考试', 'https://i.loli.net/2019/11/02/iltU4CbvOnsg5G2.gif', '阿里巴巴2019校招', '', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4', '100', '5', '6', '7', 'a1b661031adf4a8f969f1869d479fe74', '60', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:24:19');
INSERT INTO `exam` VALUES ('639a22c4dfb047ed82b628709e35642e', 'ACP', 'ACP', 'ACP', '9199009718ec4685a0a500d23ab814c5-9829e3ed98274d299f58b99b1520841a-a12eb101321b451bbc54a136e98acfd0-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67', '9199009718ec4685a0a500d23ab814c5-9829e3ed98274d299f58b99b1520841a-a12eb101321b451bbc54a136e98acfd0', '396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67', '10', '1', '1', '1', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-11-25 22:10:24', '2019-11-25 22:10:24', '2019-11-25 22:10:24', '2019-11-25 22:10:24');
INSERT INTO `exam` VALUES ('67827d3addec4eb08a54308b9e7d5c1f', '水龙头', '2', '1', '21f8e9e22e9542e8963282e8dd7fbf00-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-2f8fd68365524bf78ec2c29dd0c1bf96-31e9ad43e84e484eb8b77b7e7a76de91-371f8fd139eb41b38693b2a77de7594f-9199009718ec4685a0a500d23ab814c5-38085807d06948ca8ad6d8eaca522c85-3b5c7adfedeb4fdea521d9a1a83ce4ff-94526b5119e74fcca522c1fa0010d91a-96b92d44fa9e4ffe862a51f1e2321c53-aac2d50d3722400b88b2ee8819ad07f5-fa4ba05fef194b97aff8668e856a27dd-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10-a0149d81929d4cd490f7aeefc72ddca6-e5c4164820d341f782ceabe87a5bdbf0', '21f8e9e22e9542e8963282e8dd7fbf00-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-2f8fd68365524bf78ec2c29dd0c1bf96-31e9ad43e84e484eb8b77b7e7a76de91-371f8fd139eb41b38693b2a77de7594f-9199009718ec4685a0a500d23ab814c5', '38085807d06948ca8ad6d8eaca522c85-3b5c7adfedeb4fdea521d9a1a83ce4ff-94526b5119e74fcca522c1fa0010d91a-96b92d44fa9e4ffe862a51f1e2321c53-aac2d50d3722400b88b2ee8819ad07f5-fa4ba05fef194b97aff8668e856a27dd', '4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10-a0149d81929d4cd490f7aeefc72ddca6-e5c4164820d341f782ceabe87a5bdbf0', '85', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-02-07 22:22:57', '2020-02-07 22:22:57', '2020-02-07 22:22:57', '2020-02-07 22:22:57');
INSERT INTO `exam` VALUES ('711985074ea24eeeacaada3d12c9d64e', '2020高考', '二代身份身份上的', '高考啦', '14cc31707d53433f81841058a97575da-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91', '396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '50', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-11-27 10:08:28', '2019-11-27 10:08:28', '2019-11-27 10:08:28', '2019-11-27 10:08:28');
INSERT INTO `exam` VALUES ('715d1d2c2b5345439ca444fb0d30730d', '111', '111', '11', '8265e43d401746ac8debd31663dee3fa-9023d525045441138d4c3fa21d669b3a-971cd85e00f447a0b6a58c326cfae174-a9cfca88fa234e2a9009787c0402f147-2527560ba3704f5e84abdb93940357ce-38085807d06948ca8ad6d8eaca522c85-3b5c7adfedeb4fdea521d9a1a83ce4ff-50124a77646346f1a63d704d1cb308fe-56c4538a152446d8a08de16801b62509-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67', '8265e43d401746ac8debd31663dee3fa-9023d525045441138d4c3fa21d669b3a-971cd85e00f447a0b6a58c326cfae174-a9cfca88fa234e2a9009787c0402f147', '2527560ba3704f5e84abdb93940357ce-38085807d06948ca8ad6d8eaca522c85-3b5c7adfedeb4fdea521d9a1a83ce4ff-50124a77646346f1a63d704d1cb308fe-56c4538a152446d8a08de16801b62509', '6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67', '60', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-02-07 15:44:28', '2020-02-07 15:44:28', '2020-02-07 15:44:28', '2020-02-07 15:44:28');
INSERT INTO `exam` VALUES ('7aa4c846a66a44ef851af8b2684a2919', '中国地质大学软件考试', '软件考试', '中国地质大学软件考试测试', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-3b5c7adfedeb4fdea521d9a1a83ce4ff-8573631f85394f77a08da774259bc3d7-9fe1cafeebf44e20a80f504cff60ef3f-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92', '3b5c7adfedeb4fdea521d9a1a83ce4ff-8573631f85394f77a08da774259bc3d7-9fe1cafeebf44e20a80f504cff60ef3f', '6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67', '40', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-25 10:39:22', '2019-12-25 10:39:22', '2019-12-25 10:39:22', '2019-12-25 10:39:22');
INSERT INTO `exam` VALUES ('7e5661c0032043d5946b0c1c2dde9b36', 'fdsc', 'fdsaf', 'dfs', '14cc31707d53433f81841058a97575da-85047be0b2cf4077a5ec66e92ebf442b-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '14cc31707d53433f81841058a97575da', '85047be0b2cf4077a5ec66e92ebf442b', '6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '20', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-25 18:47:55', '2019-12-25 18:47:55', '2019-12-25 18:47:55', '2019-12-25 18:47:55');
INSERT INTO `exam` VALUES ('7eaa7379e9e54d43a84c194958505813', 'asda', '123456测试', '123456测试', 'ed05a6a18d64452185513a67d3547b56-2527560ba3704f5e84abdb93940357ce-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-50124a77646346f1a63d704d1cb308fe-56c4538a152446d8a08de16801b62509-85047be0b2cf4077a5ec66e92ebf442b-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146-ee94d1e005e24055adf0d4f0984f3ffb', 'ed05a6a18d64452185513a67d3547b56', '2527560ba3704f5e84abdb93940357ce-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-50124a77646346f1a63d704d1cb308fe-56c4538a152446d8a08de16801b62509-85047be0b2cf4077a5ec66e92ebf442b', 'e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146-ee94d1e005e24055adf0d4f0984f3ffb', '220', '20', '20', '20', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-01-10 10:31:43', '2020-01-10 10:31:43', '2020-01-10 10:31:43', '2020-01-10 10:31:43');
INSERT INTO `exam` VALUES ('7f36f47a75184adeb3df4fb8c4058a5a', '阿里考试', 'https://i.loli.net/2019/11/02/fDXxsqSg8KtE1Vi.gif', '阿里巴巴2019校招', '', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4', '100', '5', '6', '7', 'a1b661031adf4a8f969f1869d479fe74', '60', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:25:23');
INSERT INTO `exam` VALUES ('8112f71b21734607b8706648f070b048', 'Ant Design，阿里前端框架', 'https://i.loli.net/2019/11/02/iGMtpCaZnyb2c4X.gif', 'Ant前端学习', '', '31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', 'e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '70', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '100', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:25:29');
INSERT INTO `exam` VALUES ('84185792c9f64cbbb7f863821c05b62b', '五魁首', 'https://i.loli.net/2019/11/02/Pda9TEVIXyeptZo.gif', '六六六', '0703fd384d164fd19ef6bde4d84875f1-14cc31707d53433f81841058a97575da-578a8cd670524357af17850662a025d6-8265e43d401746ac8debd31663dee3fa-9023d525045441138d4c3fa21d669b3a-9199009718ec4685a0a500d23ab814c5-971cd85e00f447a0b6a58c326cfae174-9829e3ed98274d299f58b99b1520841a-a9cfca88fa234e2a9009787c0402f147-2527560ba3704f5e84abdb93940357ce-56c4538a152446d8a08de16801b62509-8573631f85394f77a08da774259bc3d7-882ff69844384fb097db31121e249c01-96b92d44fa9e4ffe862a51f1e2321c53-9fe1cafeebf44e20a80f504cff60ef3f-aac2d50d3722400b88b2ee8819ad07f5-f62e37bccb34461bbb04e32fb304ab6a-fa4ba05fef194b97aff8668e856a27dd-305f726e7f1f4636b88bf20de0093745-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e5c4164820d341f782ceabe87a5bdbf0-ecdfbdd2a9f24017b3fe1aa0947ca146', '0703fd384d164fd19ef6bde4d84875f1-14cc31707d53433f81841058a97575da-578a8cd670524357af17850662a025d6-8265e43d401746ac8debd31663dee3fa-9023d525045441138d4c3fa21d669b3a-9199009718ec4685a0a500d23ab814c5-971cd85e00f447a0b6a58c326cfae174-9829e3ed98274d299f58b99b1520841a-a9cfca88fa234e2a9009787c0402f147', '2527560ba3704f5e84abdb93940357ce-56c4538a152446d8a08de16801b62509-8573631f85394f77a08da774259bc3d7-882ff69844384fb097db31121e249c01-96b92d44fa9e4ffe862a51f1e2321c53-9fe1cafeebf44e20a80f504cff60ef3f-aac2d50d3722400b88b2ee8819ad07f5-f62e37bccb34461bbb04e32fb304ab6a-fa4ba05fef194b97aff8668e856a27dd', '305f726e7f1f4636b88bf20de0093745-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e5c4164820d341f782ceabe87a5bdbf0-ecdfbdd2a9f24017b3fe1aa0947ca146', '115', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2020-01-17 14:53:05', '2020-01-17 14:53:05', '2020-01-17 14:53:05', '2020-01-17 14:53:05');
INSERT INTO `exam` VALUES ('860e7d23180548daad3b6ef7f41f2154', '11', '2121', '121', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-21f8e9e22e9542e8963282e8dd7fbf00-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-852a2868c3684699bde65c76ebe8260d-e5c4164820d341f782ceabe87a5bdbf0', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-21f8e9e22e9542e8963282e8dd7fbf00-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164', '852a2868c3684699bde65c76ebe8260d', 'e5c4164820d341f782ceabe87a5bdbf0', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-01-03 13:01:35', '2020-01-03 13:01:35', '2020-01-03 13:01:35', '2020-01-03 13:01:35');
INSERT INTO `exam` VALUES ('8972241190824a94b6c7774a6ce3c1c2', '考试测试', '考试测试', '考试测试', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-d7bb105a79ae4550b241a5aba0dbffb9-e1d16aebc4124790bb9435973b89f105-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-d7bb105a79ae4550b241a5aba0dbffb9-e1d16aebc4124790bb9435973b89f105-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd', '396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d', '6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '85', '5', '10', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-01-09 16:10:26', '2020-01-09 16:10:26', '2020-01-09 16:10:26', '2020-01-09 16:10:26');
INSERT INTO `exam` VALUES ('8a2e373a1b3e4b06b0b343aba742c224', 'BootStrap实践', 'https://i.loli.net/2019/11/02/MWmqZDvOuk6NHKl.gif', '前端鼻祖', '', 'a12eb101321b451bbc54a136e98acfd0-bb22f19338174d1f9333f9aebd6ffeb6', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '4247752901bd47fba86379a1cd4b87d4-e283ac11c7064ccf976f9c48d68c6a67', '120', '15', '5', '10', '79392778a90d4639a297dbd0bae0f779', '120', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:25:35');
INSERT INTO `exam` VALUES ('8bae3bec6d0a46a4a1688b322ef61266', '123', '123', '123', '14cc31707d53433f81841058a97575da-38085807d06948ca8ad6d8eaca522c85-305f726e7f1f4636b88bf20de0093745', '14cc31707d53433f81841058a97575da', '38085807d06948ca8ad6d8eaca522c85', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-11-30 12:07:09', '2019-11-30 12:07:09', '2019-11-30 12:07:09', '2019-11-30 12:07:09');
INSERT INTO `exam` VALUES ('8c340a14a3ae49a58eb3cfcfcbd753e7', 'CIM系统认识', 'CIM系统认识', 'CIM系统认识', '723fa552b05b4b8d9b599b263a745062-8573631f85394f77a08da774259bc3d7-305f726e7f1f4636b88bf20de0093745', '723fa552b05b4b8d9b599b263a745062', '8573631f85394f77a08da774259bc3d7', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '10', '2019-12-20 16:17:56', '2019-12-20 16:17:56', '2019-12-20 16:17:56', '2019-12-20 16:17:56');
INSERT INTO `exam` VALUES ('8d810a3aca3d43e5961997d37dfe8f9f', 'BootStrap实践', 'https://i.loli.net/2019/11/02/T3sG41fKWIdL8Db.gif', '前端鼻祖', '', 'a12eb101321b451bbc54a136e98acfd0-bb22f19338174d1f9333f9aebd6ffeb6', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '4247752901bd47fba86379a1cd4b87d4-e283ac11c7064ccf976f9c48d68c6a67', '120', '15', '5', '10', '79392778a90d4639a297dbd0bae0f779', '120', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:25:41');
INSERT INTO `exam` VALUES ('8daad965ba5d437d8ebda7c3e6ae672b', 'test', '大图标', '小考试', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-21f8e9e22e9542e8963282e8dd7fbf00-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-21f8e9e22e9542e8963282e8dd7fbf00', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '50', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-01-13 18:46:55', '2020-01-13 18:46:55', '2020-01-13 18:46:55', '2020-01-13 18:46:55');
INSERT INTO `exam` VALUES ('8f6134e1ee6f47559f7bc2f7567d1b58', '华为新员工入职测试', 'https://i.loli.net/2019/11/02/fKb2qkH1riUsu6p.gif', '新员工入职必考', '2223b2eb8c2942459344c06ce1d3ed1d-31e9ad43e84e484eb8b77b7e7a76de91-3864178819534aa7862b26e893aa2e62-a12eb101321b451bbc54a136e98acfd0-cff7d16da6ab428e893c748d5c759cb2-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '2223b2eb8c2942459344c06ce1d3ed1d-31e9ad43e84e484eb8b77b7e7a76de91-3864178819534aa7862b26e893aa2e62-a12eb101321b451bbc54a136e98acfd0-cff7d16da6ab428e893c748d5c759cb2', '396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '52', '3', '4', '5', 'a1b661031adf4a8f969f1869d479fe74', '120', '2019-10-30 07:50:53', '2019-10-30 07:50:53', '2019-10-30 07:50:53', '2019-11-02 16:25:47');
INSERT INTO `exam` VALUES ('8fa4cd3ac5514e38bd387dfd04a0e06c', 'DDDD', 'DDD', 'DDDD', '2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10', '2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b', '4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10', '40', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-12-04 11:49:45', '2019-12-04 11:49:45', '2019-12-04 11:49:45', '2019-12-04 11:49:45');
INSERT INTO `exam` VALUES ('942d44a5871749d7a3450bc6da50c062', '123', '123', '123', 'e1d16aebc4124790bb9435973b89f105-e3810a6e4add45029cb23bbd668f40e0-ed05a6a18d64452185513a67d3547b56-3b5c7adfedeb4fdea521d9a1a83ce4ff-50124a77646346f1a63d704d1cb308fe-85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', 'e1d16aebc4124790bb9435973b89f105-e3810a6e4add45029cb23bbd668f40e0-ed05a6a18d64452185513a67d3547b56', '3b5c7adfedeb4fdea521d9a1a83ce4ff-50124a77646346f1a63d704d1cb308fe-85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '50', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-01-07 08:24:32', '2020-01-07 08:24:32', '2020-01-07 08:24:32', '2020-01-07 08:24:32');
INSERT INTO `exam` VALUES ('9661690ec8e74c6a9cb311590aec188c', '测试考试', '考试小图', '测试考试考试简述', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-334cfcd5ce47468a9babdce5c97def28-9199009718ec4685a0a500d23ab814c5-9829e3ed98274d299f58b99b1520841a-a12eb101321b451bbc54a136e98acfd0-bb22f19338174d1f9333f9aebd6ffeb6-bd9a17a6cce7432c9b07adc914a365ec-cff7d16da6ab428e893c748d5c759cb2-e1d16aebc4124790bb9435973b89f105-feaa4b2a04314864ba7243eca4d4a291-38085807d06948ca8ad6d8eaca522c85-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-334cfcd5ce47468a9babdce5c97def28-9199009718ec4685a0a500d23ab814c5-9829e3ed98274d299f58b99b1520841a-a12eb101321b451bbc54a136e98acfd0-bb22f19338174d1f9333f9aebd6ffeb6-bd9a17a6cce7432c9b07adc914a365ec-cff7d16da6ab428e893c748d5c759cb2-e1d16aebc4124790bb9435973b89f105-feaa4b2a04314864ba7243eca4d4a291', '38085807d06948ca8ad6d8eaca522c85-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10-ecdfbdd2a9f24017b3fe1aa0947ca146', '440', '20', '20', '20', 'a1b661031adf4a8f969f1869d479fe74', '120', '2019-11-27 09:36:12', '2019-11-27 09:36:12', '2019-11-27 09:36:12', '2019-11-27 09:36:12');
INSERT INTO `exam` VALUES ('9894fddf4ff04964a78c133d72e5fdb9', '111212', '12121', '121212', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-2223b2eb8c2942459344c06ce1d3ed1d-2f8b20630b10471395b6c379a465cca8-85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d-9fe1cafeebf44e20a80f504cff60ef3f-4247752901bd47fba86379a1cd4b87d4', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-2223b2eb8c2942459344c06ce1d3ed1d-2f8b20630b10471395b6c379a465cca8', '85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d-9fe1cafeebf44e20a80f504cff60ef3f', '4247752901bd47fba86379a1cd4b87d4', '40', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-12-19 14:02:49', '2019-12-19 14:02:49', '2019-12-19 14:02:49', '2019-12-19 14:02:49');
INSERT INTO `exam` VALUES ('9987495a6cb248ec8ea237ad4b8c5544', 'sssss', 'sss', 'sss', '21f8e9e22e9542e8963282e8dd7fbf00-23491b7dbbdf47dcb09ece779ff44c92-38085807d06948ca8ad6d8eaca522c85-50124a77646346f1a63d704d1cb308fe-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '21f8e9e22e9542e8963282e8dd7fbf00-23491b7dbbdf47dcb09ece779ff44c92', '38085807d06948ca8ad6d8eaca522c85-50124a77646346f1a63d704d1cb308fe', '6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '35', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-31 11:43:42', '2019-12-31 11:43:42', '2019-12-31 11:43:42', '2019-12-31 11:43:42');
INSERT INTO `exam` VALUES ('9ab2b19c74554540aa515b5f0bd69918', '其他', '1', '1', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-3085eae7ca824a6dbeb74a3c076a3164-d7bb105a79ae4550b241a5aba0dbffb9-e1d16aebc4124790bb9435973b89f105-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd-396b55534851427590e089fb9cc040cc-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-3085eae7ca824a6dbeb74a3c076a3164-d7bb105a79ae4550b241a5aba0dbffb9-e1d16aebc4124790bb9435973b89f105-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd', '396b55534851427590e089fb9cc040cc', 'ecdfbdd2a9f24017b3fe1aa0947ca146', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-12 13:56:49', '2019-12-12 13:56:49', '2019-12-12 13:56:49', '2019-12-12 13:56:49');
INSERT INTO `exam` VALUES ('9e356482007a420e89c16d78c245dc14', 'test', 'ssss', 'ssss', 'e1d16aebc4124790bb9435973b89f105-38085807d06948ca8ad6d8eaca522c85-8f3e02d0f2a1402abd3278adc05ffb10', 'e1d16aebc4124790bb9435973b89f105', '38085807d06948ca8ad6d8eaca522c85', '8f3e02d0f2a1402abd3278adc05ffb10', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-02-19 16:14:28', '2020-02-19 16:14:28', '2020-02-19 16:14:28', '2020-02-19 16:14:28');
INSERT INTO `exam` VALUES ('9e6c86066e67491db8bf1b9bb59bd105', '庆余年', '没得，自己想象', '小范大人醉酒诗百篇', '2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91-3864178819534aa7862b26e893aa2e62-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-882ff69844384fb097db31121e249c01-9fe1cafeebf44e20a80f504cff60ef3f-ecdfbdd2a9f24017b3fe1aa0947ca146', '2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91-3864178819534aa7862b26e893aa2e62', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-882ff69844384fb097db31121e249c01-9fe1cafeebf44e20a80f504cff60ef3f', 'ecdfbdd2a9f24017b3fe1aa0947ca146', '55', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-13 21:20:00', '2019-12-13 21:20:00', '2019-12-13 21:20:00', '2019-12-13 21:20:00');
INSERT INTO `exam` VALUES ('a5757b00e3374747b026476a7aea89b0', 'sada', 'sadasd', 'asda', '14cc31707d53433f81841058a97575da-21f8e9e22e9542e8963282e8dd7fbf00-396b55534851427590e089fb9cc040cc-6cabac6ec4ef44068e66cf2547543658', '14cc31707d53433f81841058a97575da-21f8e9e22e9542e8963282e8dd7fbf00', '396b55534851427590e089fb9cc040cc', '6cabac6ec4ef44068e66cf2547543658', '30', '10', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-31 14:44:22', '2019-12-31 14:44:22', '2019-12-31 14:44:22', '2019-12-31 14:44:22');
INSERT INTO `exam` VALUES ('a89d526d246a4f15961c5e19deb12e5b', 'q_test_01', '121', 'wr', '14cc31707d53433f81841058a97575da-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-cff7d16da6ab428e893c748d5c759cb2-e3810a6e4add45029cb23bbd668f40e0-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-882ff69844384fb097db31121e249c01-8f3e02d0f2a1402abd3278adc05ffb10', '14cc31707d53433f81841058a97575da-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-cff7d16da6ab428e893c748d5c759cb2-e3810a6e4add45029cb23bbd668f40e0', '3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-882ff69844384fb097db31121e249c01', '8f3e02d0f2a1402abd3278adc05ffb10', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-12 16:39:20', '2019-12-12 16:39:20', '2019-12-12 16:39:20', '2019-12-12 16:39:20');
INSERT INTO `exam` VALUES ('a8fc8c5412634389bf2728ffc6153119', '测试', '哈哈哈', '哈哈哈', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '80', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-10 13:13:03', '2019-12-10 13:13:03', '2019-12-10 13:13:03', '2019-12-10 13:13:03');
INSERT INTO `exam` VALUES ('ad784ddba50b4d4db7bdb64dae63dfa3', '消防知识审核', '000', '审核', '11da425185cf44cab1625eea20c90383-50124a77646346f1a63d704d1cb308fe-305f726e7f1f4636b88bf20de0093745', '11da425185cf44cab1625eea20c90383', '50124a77646346f1a63d704d1cb308fe', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-01-21 09:25:40', '2020-01-21 09:25:40', '2020-01-21 09:25:40', '2020-01-21 09:25:40');
INSERT INTO `exam` VALUES ('af81e799c3fc41bcaa8870462ad9ebad', '业务1111', '2', '1', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-38085807d06948ca8ad6d8eaca522c85-85047be0b2cf4077a5ec66e92ebf442b-305f726e7f1f4636b88bf20de0093745-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92', '38085807d06948ca8ad6d8eaca522c85-85047be0b2cf4077a5ec66e92ebf442b', '305f726e7f1f4636b88bf20de0093745-ecdfbdd2a9f24017b3fe1aa0947ca146', '35', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-11-04 18:08:35', '2019-11-04 18:08:35', '2019-11-04 18:08:35', '2019-11-04 18:08:35');
INSERT INTO `exam` VALUES ('b12bf0f72c7348ee93ed23dbd733e100', '测试选择题试卷', '121212', '1212', '2223b2eb8c2942459344c06ce1d3ed1d-2f8b20630b10471395b6c379a465cca8-9199009718ec4685a0a500d23ab814c5-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-4247752901bd47fba86379a1cd4b87d4-e283ac11c7064ccf976f9c48d68c6a67', '2223b2eb8c2942459344c06ce1d3ed1d-2f8b20630b10471395b6c379a465cca8-9199009718ec4685a0a500d23ab814c5', '3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '4247752901bd47fba86379a1cd4b87d4-e283ac11c7064ccf976f9c48d68c6a67', '40', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-11-24 17:48:59', '2019-11-24 17:48:59', '2019-11-24 17:48:59', '2019-11-24 17:48:59');
INSERT INTO `exam` VALUES ('b188e54770a74481a4d3de7862ad1c31', '阿里考试', 'https://i.loli.net/2019/11/02/qv1ubt2roT4FepS.jpg', '阿里巴巴2019校招', '', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4', '100', '5', '6', '7', 'a1b661031adf4a8f969f1869d479fe74', '60', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:36:38');
INSERT INTO `exam` VALUES ('b2182651b01744d0859348d7984b9ab0', '发放傻傻的', '发生的', '发生的', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-396b55534851427590e089fb9cc040cc-4247752901bd47fba86379a1cd4b87d4', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '396b55534851427590e089fb9cc040cc', '4247752901bd47fba86379a1cd4b87d4', '25', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-24 17:41:38', '2019-12-24 17:41:38', '2019-12-24 17:41:38', '2019-12-24 17:41:38');
INSERT INTO `exam` VALUES ('b92987d97e5642a996080f97d972e183', '123', '123', '123', '31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-9199009718ec4685a0a500d23ab814c5-9829e3ed98274d299f58b99b1520841a-a12eb101321b451bbc54a136e98acfd0-bb22f19338174d1f9333f9aebd6ffeb6-cff7d16da6ab428e893c748d5c759cb2-d7bb105a79ae4550b241a5aba0dbffb9-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-9199009718ec4685a0a500d23ab814c5-9829e3ed98274d299f58b99b1520841a-a12eb101321b451bbc54a136e98acfd0-bb22f19338174d1f9333f9aebd6ffeb6-cff7d16da6ab428e893c748d5c759cb2-d7bb105a79ae4550b241a5aba0dbffb9-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd', '396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '85', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-11-30 12:06:16', '2019-11-30 12:06:16', '2019-11-30 12:06:16', '2019-11-30 12:06:16');
INSERT INTO `exam` VALUES ('bd3482c442014e72bf540b5a7b4bf6d7', '中国软件技术公司', 'tt', 'tt', '14cc31707d53433f81841058a97575da-2f8b20630b10471395b6c379a465cca8-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-8f3e02d0f2a1402abd3278adc05ffb10', '14cc31707d53433f81841058a97575da-2f8b20630b10471395b6c379a465cca8', '3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '8f3e02d0f2a1402abd3278adc05ffb10', '40', '10', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-04 10:11:04', '2019-12-04 10:11:04', '2019-12-04 10:11:04', '2019-12-04 10:11:04');
INSERT INTO `exam` VALUES ('bfe67ca117d144bda2d8b252116f0000', '党校考试', '1111', 'eee', '14cc31707d53433f81841058a97575da-396b55534851427590e089fb9cc040cc-4247752901bd47fba86379a1cd4b87d4', '14cc31707d53433f81841058a97575da', '396b55534851427590e089fb9cc040cc', '4247752901bd47fba86379a1cd4b87d4', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-12-02 22:54:21', '2019-12-02 22:54:21', '2019-12-02 22:54:21', '2019-12-02 22:54:21');
INSERT INTO `exam` VALUES ('c02956d0788c49d689f912049cbfc4c5', '题目太少', '差评', '差评', '2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-334cfcd5ce47468a9babdce5c97def28-9199009718ec4685a0a500d23ab814c5-9829e3ed98274d299f58b99b1520841a-bb22f19338174d1f9333f9aebd6ffeb6-bd9a17a6cce7432c9b07adc914a365ec-cff7d16da6ab428e893c748d5c759cb2-d7bb105a79ae4550b241a5aba0dbffb9-e1d16aebc4124790bb9435973b89f105-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd-feaa4b2a04314864ba7243eca4d4a291-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f-305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10', '2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-334cfcd5ce47468a9babdce5c97def28-9199009718ec4685a0a500d23ab814c5-9829e3ed98274d299f58b99b1520841a-bb22f19338174d1f9333f9aebd6ffeb6-bd9a17a6cce7432c9b07adc914a365ec-cff7d16da6ab428e893c748d5c759cb2-d7bb105a79ae4550b241a5aba0dbffb9-e1d16aebc4124790bb9435973b89f105-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd-feaa4b2a04314864ba7243eca4d4a291', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '305f726e7f1f4636b88bf20de0093745-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10', '105', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-11-27 15:18:09', '2019-11-27 15:18:09', '2019-11-27 15:18:09', '2019-11-27 15:18:09');
INSERT INTO `exam` VALUES ('c597bd5d65c741ddb5853dad9c8d6327', 'Ant Design Pro，Ant最佳实践', 'https://i.loli.net/2019/11/02/3YAkm4F8alHwdD6.jpg', 'Ant最佳实践', '', '3864178819534aa7862b26e893aa2e62-9199009718ec4685a0a500d23ab814c5', '85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '305f726e7f1f4636b88bf20de0093745-8f3e02d0f2a1402abd3278adc05ffb10', '100', '10', '10', '10', '68042014e23c4ebea7234cb9c77cee5c', '150', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:36:44');
INSERT INTO `exam` VALUES ('c8ca3f0a816042d5919d924a96cb1ae8', 'Ant Design，阿里前端框架', 'https://i.loli.net/2019/11/02/rCHKVJd4jTovzW9.jpg', 'Ant前端学习', '', '31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', 'e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '70', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '100', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:36:51');
INSERT INTO `exam` VALUES ('cafdb4cdf3f3426589b17fca12ab1dbc', 'cxz', 'zxc', 'xzc', '11da425185cf44cab1625eea20c90383-14cc31707d53433f81841058a97575da-21f8e9e22e9542e8963282e8dd7fbf00-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-29c859c20be948e3a649abd118107d0f-38085807d06948ca8ad6d8eaca522c85-305f726e7f1f4636b88bf20de0093745', '11da425185cf44cab1625eea20c90383-14cc31707d53433f81841058a97575da-21f8e9e22e9542e8963282e8dd7fbf00-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-29c859c20be948e3a649abd118107d0f', '38085807d06948ca8ad6d8eaca522c85', '305f726e7f1f4636b88bf20de0093745', '40', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-02-16 17:26:09', '2020-02-16 17:26:09', '2020-02-16 17:26:09', '2020-02-16 17:26:09');
INSERT INTO `exam` VALUES ('cb34813709ff4550aea5e191bda372d9', 'test', 'test', 'test', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91', '396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b', '4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10-e283ac11c7064ccf976f9c48d68c6a67-ecdfbdd2a9f24017b3fe1aa0947ca146', '70', '5', '10', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-11-27 15:37:46', '2019-11-27 15:37:46', '2019-11-27 15:37:46', '2019-11-27 15:37:46');
INSERT INTO `exam` VALUES ('cc8c5931296745d29e04ba93299b10bd', '020202', '111', '0202', '1b2e4b9083714a959b0fb2d711820107-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-3c70fed1832d4db7a4dd6da0985b635f-e3810a6e4add45029cb23bbd668f40e0-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-4247752901bd47fba86379a1cd4b87d4-e283ac11c7064ccf976f9c48d68c6a67', '1b2e4b9083714a959b0fb2d711820107-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-334cfcd5ce47468a9babdce5c97def28-3864178819534aa7862b26e893aa2e62-3c70fed1832d4db7a4dd6da0985b635f-e3810a6e4add45029cb23bbd668f40e0', '396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b', '4247752901bd47fba86379a1cd4b87d4-e283ac11c7064ccf976f9c48d68c6a67', '55', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-12-16 13:22:48', '2019-12-16 13:22:48', '2019-12-16 13:22:48', '2019-12-16 13:22:48');
INSERT INTO `exam` VALUES ('cd9d373582ae4325b220c13b514dd11f', '大地的', '玩玩', '大地的', '2223b2eb8c2942459344c06ce1d3ed1d-2527560ba3704f5e84abdb93940357ce-56c4538a152446d8a08de16801b62509-4247752901bd47fba86379a1cd4b87d4', '2223b2eb8c2942459344c06ce1d3ed1d', '2527560ba3704f5e84abdb93940357ce-56c4538a152446d8a08de16801b62509', '4247752901bd47fba86379a1cd4b87d4', '20', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-02-24 09:55:05', '2020-02-24 09:55:05', '2020-02-24 09:55:05', '2020-02-24 09:55:05');
INSERT INTO `exam` VALUES ('d0038ea2771d4ae2b688ee9e0cbbf84a', '1328A-white', 'sssss', 'sss', 'feaa4b2a04314864ba7243eca4d4a291-396b55534851427590e089fb9cc040cc-305f726e7f1f4636b88bf20de0093745', 'feaa4b2a04314864ba7243eca4d4a291', '396b55534851427590e089fb9cc040cc', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-11-17 19:51:53', '2019-11-17 19:51:53', '2019-11-17 19:51:53', '2019-11-17 19:51:53');
INSERT INTO `exam` VALUES ('d2df6d2ab73e48ab93c640a633cf2cf8', '123为', '打赏', '1淡定', '23491b7dbbdf47dcb09ece779ff44c92-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91-a12eb101321b451bbc54a136e98acfd0-396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff-305f726e7f1f4636b88bf20de0093745-6cabac6ec4ef44068e66cf2547543658', '23491b7dbbdf47dcb09ece779ff44c92-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91-a12eb101321b451bbc54a136e98acfd0', '396b55534851427590e089fb9cc040cc-3b5c7adfedeb4fdea521d9a1a83ce4ff', '305f726e7f1f4636b88bf20de0093745-6cabac6ec4ef44068e66cf2547543658', '40', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-11-21 09:32:52', '2019-11-21 09:32:52', '2019-11-21 09:32:52', '2019-11-21 09:32:52');
INSERT INTO `exam` VALUES ('d3282fba8f264718b67387046b07ec31', '业务考试', '2', '1', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-9fe1cafeebf44e20a80f504cff60ef3f-4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-31e9ad43e84e484eb8b77b7e7a76de91', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-9fe1cafeebf44e20a80f504cff60ef3f', '4247752901bd47fba86379a1cd4b87d4-6cabac6ec4ef44068e66cf2547543658-e283ac11c7064ccf976f9c48d68c6a67', '55', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-11-04 18:07:33', '2019-11-04 18:07:33', '2019-11-04 18:07:33', '2019-11-04 18:07:33');
INSERT INTO `exam` VALUES ('db9deef985604c5183432f862b858352', 'vc测试', '123', '123', '2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91-85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d-8573631f85394f77a08da774259bc3d7-6cabac6ec4ef44068e66cf2547543658', '2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91', '85047be0b2cf4077a5ec66e92ebf442b-852a2868c3684699bde65c76ebe8260d-8573631f85394f77a08da774259bc3d7', '6cabac6ec4ef44068e66cf2547543658', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-23 16:28:44', '2019-12-23 16:28:44', '2019-12-23 16:28:44', '2019-12-23 16:28:44');
INSERT INTO `exam` VALUES ('dc80a0343cfa4b008ed2c2c591ac834b', '123', '123', '123', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-9fe1cafeebf44e20a80f504cff60ef3f-8f3e02d0f2a1402abd3278adc05ffb10', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-9fe1cafeebf44e20a80f504cff60ef3f', '8f3e02d0f2a1402abd3278adc05ffb10', '40', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-11-29 21:43:45', '2019-11-29 21:43:45', '2019-11-29 21:43:45', '2019-11-29 21:43:45');
INSERT INTO `exam` VALUES ('de5d55138e0e4c3a94943afe98f1fd96', 'Angular学习', 'https://i.loli.net/2019/11/02/WjfdAirGBtRZC7U.jpg', 'Angular小测验', '', '23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '6cabac6ec4ef44068e66cf2547543658-8f3e02d0f2a1402abd3278adc05ffb10', '90', '5', '10', '20', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:36:56');
INSERT INTO `exam` VALUES ('e151d3472e964bdeb5a0bc99ca2e8346', 'new_car_saas_kimi', '111', '111', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-3085eae7ca824a6dbeb74a3c076a3164-38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc-305f726e7f1f4636b88bf20de0093745', '14cc31707d53433f81841058a97575da-23491b7dbbdf47dcb09ece779ff44c92-3085eae7ca824a6dbeb74a3c076a3164', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '305f726e7f1f4636b88bf20de0093745', '55', '10', '10', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-12 19:21:50', '2019-12-12 19:21:50', '2019-12-12 19:21:50', '2019-12-12 19:21:50');
INSERT INTO `exam` VALUES ('e1bad24070f64f60a921c8e79285d2d2', '测试sss', '打算', '大声道', 'cff7d16da6ab428e893c748d5c759cb2-d3a6a82892874329837c71338e063bb0-d7bb105a79ae4550b241a5aba0dbffb9-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd-f52175109edf4f5dba5abb41a1e2b055-3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-8573631f85394f77a08da774259bc3d7-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10', 'cff7d16da6ab428e893c748d5c759cb2-d3a6a82892874329837c71338e063bb0-d7bb105a79ae4550b241a5aba0dbffb9-e3810a6e4add45029cb23bbd668f40e0-f4aec0f038194a12a250d00abe1a9dcd-f52175109edf4f5dba5abb41a1e2b055', '3b5c7adfedeb4fdea521d9a1a83ce4ff-85047be0b2cf4077a5ec66e92ebf442b-8573631f85394f77a08da774259bc3d7', '4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10', '55', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-12-24 15:00:34', '2019-12-24 15:00:34', '2019-12-24 15:00:34', '2019-12-24 15:00:34');
INSERT INTO `exam` VALUES ('e230de87a0cd44f8b886ddf1a369698a', '111', '111', '11', '14cc31707d53433f81841058a97575da-38085807d06948ca8ad6d8eaca522c85-4247752901bd47fba86379a1cd4b87d4', '14cc31707d53433f81841058a97575da', '38085807d06948ca8ad6d8eaca522c85', '4247752901bd47fba86379a1cd4b87d4', '12', '10', '1', '1', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-05 22:25:09', '2019-12-05 22:25:09', '2019-12-05 22:25:09', '2019-12-05 22:25:09');
INSERT INTO `exam` VALUES ('e2955f8d09e840c286bf821c8c69aa4a', '21312', '123', '21312', '14cc31707d53433f81841058a97575da-38085807d06948ca8ad6d8eaca522c85-305f726e7f1f4636b88bf20de0093745', '14cc31707d53433f81841058a97575da', '38085807d06948ca8ad6d8eaca522c85', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-12-13 23:02:58', '2019-12-13 23:02:58', '2019-12-13 23:02:58', '2019-12-13 23:02:58');
INSERT INTO `exam` VALUES ('e5c1aac03a5b43a289b8c0caee037615', 'BootStrap实践', 'https://i.loli.net/2019/11/02/U6MwohaEuIVTXA8.jpg', '前端鼻祖', '', 'a12eb101321b451bbc54a136e98acfd0-bb22f19338174d1f9333f9aebd6ffeb6', '38085807d06948ca8ad6d8eaca522c85-396b55534851427590e089fb9cc040cc', '4247752901bd47fba86379a1cd4b87d4-e283ac11c7064ccf976f9c48d68c6a67', '120', '15', '5', '10', '79392778a90d4639a297dbd0bae0f779', '120', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:37:02');
INSERT INTO `exam` VALUES ('e985fc4db3604d569c6c4dc571ff14fe', '检查岗位考试', '检查岗位考试', '检查岗位考试', '21f8e9e22e9542e8963282e8dd7fbf00-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91-8573631f85394f77a08da774259bc3d7-e5c4164820d341f782ceabe87a5bdbf0', '21f8e9e22e9542e8963282e8dd7fbf00-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-3085eae7ca824a6dbeb74a3c076a3164-31e9ad43e84e484eb8b77b7e7a76de91', '8573631f85394f77a08da774259bc3d7', 'e5c4164820d341f782ceabe87a5bdbf0', '35', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '20', '2019-12-20 16:30:50', '2019-12-20 16:30:50', '2019-12-20 16:30:50', '2019-12-20 16:30:50');
INSERT INTO `exam` VALUES ('ea00d4865e5145acb09e9adab86e6656', 'EatPersonMobile', 'www', 'www', '14cc31707d53433f81841058a97575da-218f87a8b8794b619b6225310e3ae0df-21f8e9e22e9542e8963282e8dd7fbf00-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8-396b55534851427590e089fb9cc040cc-50124a77646346f1a63d704d1cb308fe-94526b5119e74fcca522c1fa0010d91a-aac2d50d3722400b88b2ee8819ad07f5-fa4ba05fef194b97aff8668e856a27dd-6cabac6ec4ef44068e66cf2547543658-a0149d81929d4cd490f7aeefc72ddca6-e5c4164820d341f782ceabe87a5bdbf0', '14cc31707d53433f81841058a97575da-218f87a8b8794b619b6225310e3ae0df-21f8e9e22e9542e8963282e8dd7fbf00-23491b7dbbdf47dcb09ece779ff44c92-2f8b20630b10471395b6c379a465cca8', '396b55534851427590e089fb9cc040cc-50124a77646346f1a63d704d1cb308fe-94526b5119e74fcca522c1fa0010d91a-aac2d50d3722400b88b2ee8819ad07f5-fa4ba05fef194b97aff8668e856a27dd', '6cabac6ec4ef44068e66cf2547543658-a0149d81929d4cd490f7aeefc72ddca6-e5c4164820d341f782ceabe87a5bdbf0', '65', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-02-07 18:39:13', '2020-02-07 18:39:13', '2020-02-07 18:39:13', '2020-02-07 18:39:13');
INSERT INTO `exam` VALUES ('ebe45ef4ebef4bfabe4f7127caab6bf6', 'cs', 'cs', 'cs', '218f87a8b8794b619b6225310e3ae0df-396b55534851427590e089fb9cc040cc-8f3e02d0f2a1402abd3278adc05ffb10', '218f87a8b8794b619b6225310e3ae0df', '396b55534851427590e089fb9cc040cc', '8f3e02d0f2a1402abd3278adc05ffb10', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-01-18 06:58:46', '2020-01-18 06:58:46', '2020-01-18 06:58:46', '2020-01-18 06:58:46');
INSERT INTO `exam` VALUES ('ee92e4f41a584132a76a8ad963a8c69d', 'sadqwd', 'qwe', 'ew', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28-396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b-4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10', '14cc31707d53433f81841058a97575da-2223b2eb8c2942459344c06ce1d3ed1d-23491b7dbbdf47dcb09ece779ff44c92-31e9ad43e84e484eb8b77b7e7a76de91-334cfcd5ce47468a9babdce5c97def28', '396b55534851427590e089fb9cc040cc-85047be0b2cf4077a5ec66e92ebf442b', '4247752901bd47fba86379a1cd4b87d4-8f3e02d0f2a1402abd3278adc05ffb10', '45', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-11-08 15:42:37', '2019-11-08 15:42:37', '2019-11-08 15:42:37', '2019-11-08 15:42:37');
INSERT INTO `exam` VALUES ('f3971f0658644b6f9e4ce3b0631d8536', 'xinjian', 'xinjian ', 'xinjian ', 'bd9a17a6cce7432c9b07adc914a365ec-396b55534851427590e089fb9cc040cc-6cabac6ec4ef44068e66cf2547543658', 'bd9a17a6cce7432c9b07adc914a365ec', '396b55534851427590e089fb9cc040cc', '6cabac6ec4ef44068e66cf2547543658', '15', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2019-11-27 21:13:06', '2019-11-27 21:13:06', '2019-11-27 21:13:06', '2019-11-27 21:13:06');
INSERT INTO `exam` VALUES ('f43c670bc9a8462a85ece9bd0d9f1e88', '随机测试', '/Users/kim/Desktop/屏幕快照 2019-11-13 下午9.15.33.png', 'it‘s a test', '14cc31707d53433f81841058a97575da-38085807d06948ca8ad6d8eaca522c85-4247752901bd47fba86379a1cd4b87d4', '14cc31707d53433f81841058a97575da', '38085807d06948ca8ad6d8eaca522c85', '4247752901bd47fba86379a1cd4b87d4', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-11-14 15:19:22', '2019-11-14 15:19:22', '2019-11-14 15:19:22', '2019-11-14 15:19:22');
INSERT INTO `exam` VALUES ('f8029cd18dff44b380d5d8726a32a8a5', '111', '111', '111', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-21f8e9e22e9542e8963282e8dd7fbf00-85047be0b2cf4077a5ec66e92ebf442b-e5c4164820d341f782ceabe87a5bdbf0', '14cc31707d53433f81841058a97575da-1b2e4b9083714a959b0fb2d711820107-21f8e9e22e9542e8963282e8dd7fbf00', '85047be0b2cf4077a5ec66e92ebf442b', 'e5c4164820d341f782ceabe87a5bdbf0', '25', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2020-01-09 17:06:03', '2020-01-09 17:06:03', '2020-01-09 17:06:03', '2020-01-09 17:06:03');
INSERT INTO `exam` VALUES ('fb78fdf827a14fad9a099110df9e9dc4', 'tet11', 'wwww', 'wwww', '0703fd384d164fd19ef6bde4d84875f1-11da425185cf44cab1625eea20c90383-1bd9838abe51471195c5399e1a08ec6a-23491b7dbbdf47dcb09ece779ff44c92-578a8cd670524357af17850662a025d6-796de3425cb3481e998fd050f4445873-50124a77646346f1a63d704d1cb308fe-94526b5119e74fcca522c1fa0010d91a-aac2d50d3722400b88b2ee8819ad07f5-f62e37bccb34461bbb04e32fb304ab6a-6cabac6ec4ef44068e66cf2547543658-a0149d81929d4cd490f7aeefc72ddca6', '0703fd384d164fd19ef6bde4d84875f1-11da425185cf44cab1625eea20c90383-1bd9838abe51471195c5399e1a08ec6a-23491b7dbbdf47dcb09ece779ff44c92-578a8cd670524357af17850662a025d6-796de3425cb3481e998fd050f4445873', '50124a77646346f1a63d704d1cb308fe-94526b5119e74fcca522c1fa0010d91a-aac2d50d3722400b88b2ee8819ad07f5-f62e37bccb34461bbb04e32fb304ab6a', '6cabac6ec4ef44068e66cf2547543658-a0149d81929d4cd490f7aeefc72ddca6', '60', '5', '5', '5', 'a1b661031adf4a8f969f1869d479fe74', '90', '2020-02-18 15:55:45', '2020-02-18 15:55:45', '2020-02-18 15:55:45', '2020-02-18 15:55:45');
INSERT INTO `exam` VALUES ('ff221a5c379b40bda60677e7c54bce02', 'Ant Design Pro，Ant最佳实践', 'https://i.loli.net/2019/11/02/SXHoscjTMdwkhg1.jpg', 'Ant最佳实践', '', '3864178819534aa7862b26e893aa2e62-9199009718ec4685a0a500d23ab814c5', '85047be0b2cf4077a5ec66e92ebf442b-9fe1cafeebf44e20a80f504cff60ef3f', '305f726e7f1f4636b88bf20de0093745-8f3e02d0f2a1402abd3278adc05ffb10', '100', '10', '10', '10', '68042014e23c4ebea7234cb9c77cee5c', '150', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-06-22 12:24:20', '2019-11-02 16:37:08');
INSERT INTO `exam` VALUES ('ffb1eb683b61438290d5841c2db6641b', '11', '11', '11', '2223b2eb8c2942459344c06ce1d3ed1d-396b55534851427590e089fb9cc040cc-305f726e7f1f4636b88bf20de0093745', '2223b2eb8c2942459344c06ce1d3ed1d', '396b55534851427590e089fb9cc040cc', '305f726e7f1f4636b88bf20de0093745', '15', '5', '5', '5', '68042014e23c4ebea7234cb9c77cee5c', '90', '2019-12-08 12:58:23', '2019-12-08 12:58:23', '2019-12-08 12:58:23', '2019-12-08 12:58:23');

-- ----------------------------
-- Table structure for `exam_record`
-- ----------------------------
DROP TABLE IF EXISTS `exam_record`;
CREATE TABLE `exam_record` (
  `exam_record_id` varchar(32) COLLATE utf8_bin NOT NULL COMMENT '考试记录表的主键',
  `exam_joiner_id` varchar(32) COLLATE utf8_bin NOT NULL COMMENT '考试参与者的用户id',
  `exam_join_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '参加考试的时间',
  `exam_time_cost` int(11) DEFAULT '0' COMMENT '完成考试所用的时间,单位分钟',
  `exam_join_score` int(11) NOT NULL DEFAULT '0' COMMENT '参与考试的实际得分',
  `exam_result_level` int(11) DEFAULT '0' COMMENT '考试结果的等级',
  `answer_option_ids` varchar(4096) COLLATE utf8_bin NOT NULL,
  `exam_id` varchar(255) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`exam_record_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='考试记录表';

-- ----------------------------
-- Records of exam_record
-- ----------------------------
INSERT INTO `exam_record` VALUES ('00619c7a91694989a7b081068b36ff1c', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-30 09:52:03', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('00804a5893ea483b9d40fcf65dd64203', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-18 15:03:35', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('00b94882587b47b19651003d404dcc1d', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-10 20:34:39', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('0179aaf8a72f4691ba8870107bb14648', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-04 17:34:21', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('01bf1b1a46674d57ac490c0812b10176', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-27 15:10:55', null, '15', null, '1b2e4b9083714a959b0fb2d711820107@True_56d790d075854f77a6de564cc17ed60d$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '1a653915b9cb4ed88f09deb305946ddf');
INSERT INTO `exam_record` VALUES ('0368a24f73aa4975b7ade470623c8502', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-13 10:12:23', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('0404b5fdb9f94053b7eabf6663016d58', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-15 23:24:59', null, '5', null, '2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('0473c16a9b5941179d849f8d29af24ff', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-12 16:09:45', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@True_85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a', '8d810a3aca3d43e5961997d37dfe8f9f');
INSERT INTO `exam_record` VALUES ('04bb573b1ee94207a3456add512918fd', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-10 15:56:36', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('04c27f211fd64108ad7e7f312d99ad5c', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-03 13:07:38', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('05c34c7b8b4640c9bdedfa81be360723', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-09 14:35:06', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', 'ffb1eb683b61438290d5841c2db6641b');
INSERT INTO `exam_record` VALUES ('06b1ae68e5074039a308217e18cf7b81', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-27 15:39:01', null, '0', null, '4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('06ef1902e8c6414aac93f94766477245', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-24 18:27:42', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', 'b2182651b01744d0859348d7984b9ab0');
INSERT INTO `exam_record` VALUES ('07200fe8e69942539425e8621c33583e', '79392778a90d4639a297dbd0bae0f779', '2019-12-30 10:28:52', null, '0', null, '85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('0725afa7fc5b4dc6990d505c0d787800', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-05 11:28:59', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '7aa4c846a66a44ef851af8b2684a2919');
INSERT INTO `exam_record` VALUES ('078c23e31da74514b9115758371d9ef1', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-10 22:31:06', null, '0', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$14cc31707d53433f81841058a97575da@False_6f0631ce414c49519a162af9062073ca', 'a8fc8c5412634389bf2728ffc6153119');
INSERT INTO `exam_record` VALUES ('0792bd29e4984354bcd5cf6185f617de', '79392778a90d4639a297dbd0bae0f779', '2019-12-01 16:23:36', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('085c3cf3ebb546adac73c35bd36533a1', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-11 10:21:10', null, '10', null, '396b55534851427590e089fb9cc040cc@False_9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('08cd89e8d1b3442c8b30d490529bb65b', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-25 16:35:22', null, '0', null, '3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('09a50c0b4c4243c693915bb5435012ad', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-06 13:54:42', null, '20', null, '8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('0aecc08200ae40b3b4a1fcd81c6cefb9', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-29 09:42:40', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '16cc67c763d345dd9bd72e1f997ffe17');
INSERT INTO `exam_record` VALUES ('0c25a91c712d4da0b78d2ddc8d632966', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-07 16:36:06', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-ccf9a11d724046dd964660b688d9dc28$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('0ca66d524ec64cd380a2a1e63f40f698', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-11 14:06:17', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('0de234031d56430d88480726e771c07d', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-27 20:34:32', null, '5', null, '305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('0e8a98218c6a4bb4af6e6eb6fa24ed41', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-14 14:08:43', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@True_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('0f0ce8e286cb47d2841b67ac82451ddb', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-25 15:18:16', null, '40', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('0fb26f36310343418d726cd9e081e8f5', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-30 11:05:39', null, '0', null, '14cc31707d53433f81841058a97575da@False_6f0631ce414c49519a162af9062073ca', '7aa4c846a66a44ef851af8b2684a2919');
INSERT INTO `exam_record` VALUES ('10225c03219240a98fb09bf416d76129', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-19 17:34:20', null, '10', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('107cc99e9c324f3eb6da11c12a5baca4', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-22 18:07:17', null, '20', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$3b5c7adfedeb4fdea521d9a1a83ce4ff@False_0411ecbe88364c0abfbb7386c82d35e4-09b79933b5794f578d7f3488058f429e-47d1ac03843d4a0ca00fc8aca766b290$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$3085eae7ca824a6dbeb74a3c076a3164@False_56a59f402c4949ec8d74bb95425131d2$31e9ad43e84e484eb8b77b7e7a76de91@False_d36bd089207f48cfb5d806d9cf882009$a12eb101321b451bbc54a136e98acfd0@True_8c0f6801448b4185b3446d92b0721c40$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', 'd2df6d2ab73e48ab93c640a633cf2cf8');
INSERT INTO `exam_record` VALUES ('10c76b62541849d59c79518fd6f94ef9', '79392778a90d4639a297dbd0bae0f779', '2020-01-01 23:25:34', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('110c70202c02416c941a50f493af584d', '79392778a90d4639a297dbd0bae0f779', '2019-11-10 18:46:09', null, '0', null, '23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('11fc3d37812a47a8ad5327f04f784a55', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-07 16:51:55', null, '40', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('128616bbf4f14f35a94d392a14a5aba4', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-24 15:31:45', null, '10', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('12b38b683051466a82648e3b0c139113', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-30 09:52:03', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('132275c00ede4979877a95974d431172', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-18 12:47:19', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('1383ec131f394e3bb897e520d75cb882', '79392778a90d4639a297dbd0bae0f779', '2019-11-10 18:46:42', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('1413635922a54aea9f7487e24180c28c', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-30 20:15:10', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('1463e9a855ad4a198a2a3a39b3cb06bd', '68042014e23c4ebea7234cb9c77cee5c', '2020-01-07 16:59:24', null, '30', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('15503d0187604530922386a62c4b109f', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-21 17:14:31', null, '0', null, '305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('15cda3715fd24e92b747a54eba9dc22e', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-02 18:08:58', null, '0', null, '6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0', '2001e4cb8fd34c438a3b699743f6a2b3');
INSERT INTO `exam_record` VALUES ('16df7dd09e994e618fe538ce308ee084', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-27 16:38:20', null, '40', null, '8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('17dffd83c8444c21be66b1ebb2f207a2', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-12 14:16:43', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', 'f43c670bc9a8462a85ece9bd0d9f1e88');
INSERT INTO `exam_record` VALUES ('184b8be0a0ef449baac0a96d74868939', '79392778a90d4639a297dbd0bae0f779', '2019-11-12 17:21:34', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('18c2de35f17a47f084571176daf36e1d', '79392778a90d4639a297dbd0bae0f779', '2020-02-11 21:34:00', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('18c30a80f9b24dbd8c4372314f60d982', '79392778a90d4639a297dbd0bae0f779', '2020-01-05 12:43:34', null, '0', null, '6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('191c2f0251554cae8d6bdb97560c80a0', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-23 10:40:46', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('191c64d0316f449f89562f8f432bd022', '79392778a90d4639a297dbd0bae0f779', '2019-12-27 11:10:50', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('19e2b5975ecf44139a83404bfb85fa88', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-12 16:07:54', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('1ab467c591ae4dd0b413bdcf4c91c15e', '68042014e23c4ebea7234cb9c77cee5c', '2020-02-10 09:59:16', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('1ab963bf28fa4255b18376e66bdbeb2c', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-18 16:47:43', null, '5', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('1ae1bbf78369495186c8079d2c811b39', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-24 21:57:44', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('1b05f6c040644b48aad24e663bbdbc73', '79392778a90d4639a297dbd0bae0f779', '2020-01-01 12:39:24', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('1bc3dade3d914a55af5a1216b23e88c1', '79392778a90d4639a297dbd0bae0f779', '2019-11-14 23:08:42', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('1bff6b25f38b450f94690049d77297d7', '79392778a90d4639a297dbd0bae0f779', '2019-12-27 15:02:56', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('1cb2071de2f644d8b1ace964f805e081', '79392778a90d4639a297dbd0bae0f779', '2019-12-23 21:21:05', null, '50', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('1e32c01f4c3247f5939ad343fbbf4f50', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-08 21:36:26', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('20040166f97f469a8f1533ff6427a2c9', '68042014e23c4ebea7234cb9c77cee5c', '2019-11-05 14:11:07', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('20961bca0b7b4c8399b96f01e78ac5ca', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-16 16:54:33', null, '15', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@True_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('20b43ad37fd2413b936d7cf278f83384', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-10 22:17:12', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('2114e47e97c34e9eba366fbe2d85002b', '79392778a90d4639a297dbd0bae0f779', '2019-12-24 11:12:24', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('212db9db03ba4df7acd2cc3207b0605f', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-06 17:06:50', null, '0', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('23def3481f454b13bcedbfe408d461fd', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-05 11:17:10', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('248054731a66406cad9bb02c3b320d94', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-24 12:44:36', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('24f8e74f2163469ca7d4244c32590952', '79392778a90d4639a297dbd0bae0f779', '2019-12-24 09:44:01', null, '20', null, '8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('2562ac35a7c141399997b5863e549dd1', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-08 17:21:02', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('269c5542483a459789477d1f96766d8e', '79392778a90d4639a297dbd0bae0f779', '2019-11-14 14:41:25', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('273734d88c9c4b78907d56a2ef24791b', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-25 10:34:28', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '1a653915b9cb4ed88f09deb305946ddf');
INSERT INTO `exam_record` VALUES ('277ee5d63f9045a9b2f91a04c41c8dd8', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-25 10:32:57', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('2815f0a0d6ca484896974cac42393430', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-04 18:12:26', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$9199009718ec4685a0a500d23ab814c5@False_785ad33574f747fd870dd6eadff303ab$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9cd1e597ae4144938be500efa21eec9b$85047be0b2cf4077a5ec66e92ebf442b@True_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('281d5f6198e14d6da9f5bc6ebe67b8db', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-04 10:53:36', null, '0', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('29ee2a5e43cb45e59e2f6ae82b9ead58', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-26 07:59:17', null, '19', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '7f36f47a75184adeb3df4fb8c4058a5a');
INSERT INTO `exam_record` VALUES ('29f36d59c9384674bc626ed5b019d6b7', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-15 09:49:41', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('2b271a897d2f49c297ebb083d0ab6c53', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-14 23:04:16', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', 'f43c670bc9a8462a85ece9bd0d9f1e88');
INSERT INTO `exam_record` VALUES ('2cedfc50e44c4d76921320d1a25ed38c', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-04 19:00:52', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('2d717f6758374185a27cdbace94a9b56', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-19 13:10:08', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-88ec4c60df0842c7b603cf82450b12cb$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('2e434129cfc8431fab0a1ce5b28d9fa7', '79392778a90d4639a297dbd0bae0f779', '2020-01-03 21:11:06', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('2e98010e215a43aea02cbd24e709799f', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-12 17:11:31', null, '0', null, '23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('2efed69386f342feb2fe54ed08895d5e', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-20 09:45:54', null, '0', null, '31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9', '8f6134e1ee6f47559f7bc2f7567d1b58');
INSERT INTO `exam_record` VALUES ('30fc66ea101e49ecb2424645e1220c77', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-05 13:58:17', null, '0', null, '4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0', '8f6134e1ee6f47559f7bc2f7567d1b58');
INSERT INTO `exam_record` VALUES ('32a55900cd4b4841bcb4bdeb2bc684b9', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-12 21:29:53', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9', '8112f71b21734607b8706648f070b048');
INSERT INTO `exam_record` VALUES ('33f33f0a47374f5ead39fe1a0847e183', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-24 20:45:00', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('346951bee5e2456ebe5fa57be5958bcc', '79392778a90d4639a297dbd0bae0f779', '2020-02-07 22:08:19', null, '10', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('35922ed6a28d4847b4782e7d4abdd0b3', '79392778a90d4639a297dbd0bae0f779', '2020-01-17 17:36:10', null, '10', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('3609d302f98f4ec9bf78077f41f24aae', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-11 15:10:15', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('36cc9a216a41419bb7881ee730997039', '79392778a90d4639a297dbd0bae0f779', '2020-01-03 21:12:54', null, '12', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('386fd4f40579489ea6e37580c5a0e25e', '79392778a90d4639a297dbd0bae0f779', '2019-11-21 13:50:18', null, '12', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$396b55534851427590e089fb9cc040cc@False_9c511fa9d5a74090967cdb52b29060a2$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '7f36f47a75184adeb3df4fb8c4058a5a');
INSERT INTO `exam_record` VALUES ('38759c848b1e445f8ad9b45e0afd88e9', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-18 20:56:53', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('387d65205c484b2ba39a761331792bcf', '79392778a90d4639a297dbd0bae0f779', '2020-01-31 02:49:12', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('389cbbacc1984566a0d22ece59b28d60', '79392778a90d4639a297dbd0bae0f779', '2020-01-07 21:12:48', null, '5', null, '305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('3922987666014e829027cd79eec7c682', '68042014e23c4ebea7234cb9c77cee5c', '2020-02-15 15:23:20', null, '30', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$0703fd384d164fd19ef6bde4d84875f1@True_26cd4dca9dc9414cbfec165aeb600590$796de3425cb3481e998fd050f4445873@True_dcb7371f1c7a4b6db47eefda34688089$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$578a8cd670524357af17850662a025d6@True_bf6a7bc08e134e1ea2625573350d3e27$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e$11da425185cf44cab1625eea20c90383@True_1557eac2ce984027945314ed3ba3a6a5', '0d4ecdc35bad42f69d3acfe2e1f490b8');
INSERT INTO `exam_record` VALUES ('3b9e5d4f04604d5da08a0e3903443209', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-04 18:55:44', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('3bea8c0e79aa491dbe959881fd84fd94', '79392778a90d4639a297dbd0bae0f779', '2019-11-06 10:24:03', null, '20', null, '396b55534851427590e089fb9cc040cc@False_ccf9a11d724046dd964660b688d9dc28$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('3c408767960d40b18076add4ca42ca16', '79392778a90d4639a297dbd0bae0f779', '2020-01-13 08:24:00', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('3ce16eda48a042049c0368e242c36b6f', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-23 22:09:26', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('3da391bbe5e340e2b8536b777435a35e', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-16 12:19:40', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('407fcca8e3da440d95d2364e96c9e951', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-05 14:50:40', null, '0', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('40c92e26777e4a3b86e72f2b8dacaa3f', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-29 10:33:19', null, '0', null, '14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e', '16cc67c763d345dd9bd72e1f997ffe17');
INSERT INTO `exam_record` VALUES ('40d4dc25a89e4cc6bf2937afca3f0186', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-02 18:09:38', null, '12', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('41d441471fe64137bad04a8e9f3a7750', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-28 21:30:02', null, '5', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('42ffb8717c6d4bac98c0d69f455bbbae', '79392778a90d4639a297dbd0bae0f779', '2019-11-26 15:31:08', null, '27', null, '8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba$ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-b7926212674b4b71b93dcffca102f578$9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$cff7d16da6ab428e893c748d5c759cb2@True_8c95b512240b4a47b85743a64f65c0ba$a12eb101321b451bbc54a136e98acfd0@False_251eb27617ce458697f6e966bbf87bed', '8f6134e1ee6f47559f7bc2f7567d1b58');
INSERT INTO `exam_record` VALUES ('4342e11d57c24cbf938d31e90dafc2bb', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-19 08:31:47', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('43c2aed22a5d4836a09446dc2060670f', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-06 00:03:35', null, '0', null, '396b55534851427590e089fb9cc040cc@False_ccf9a11d724046dd964660b688d9dc28$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$3085eae7ca824a6dbeb74a3c076a3164@False_56a59f402c4949ec8d74bb95425131d2', '263dfc0241d54b58a05ec95be34d0ca6');
INSERT INTO `exam_record` VALUES ('43d0d3ebddb24f15a61b64db2834dac8', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-06 23:42:34', null, '0', null, '852a2868c3684699bde65c76ebe8260d@False_13b505f501824360a2a0c661155678a0-5275e0a7bf9540908ee00d628e3b7182', '860e7d23180548daad3b6ef7f41f2154');
INSERT INTO `exam_record` VALUES ('442256e631184d8ea488b2e569e2a088', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-10 19:11:03', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('443b667ff79942cd81ef9b1bc4a547ea', '79392778a90d4639a297dbd0bae0f779', '2020-02-10 12:00:15', null, '0', null, '3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('464dc75724914aa2ae18180bb7effed6', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-08 21:38:24', null, '10', null, '21f8e9e22e9542e8963282e8dd7fbf00@False_0feaa97d85f4498d9b5d2016dae556b1$1b2e4b9083714a959b0fb2d711820107@True_56d790d075854f77a6de564cc17ed60d$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '603f3f22e98847a4a7bb76504b16a208');
INSERT INTO `exam_record` VALUES ('46be149ffa8046258a6783b29f8243e4', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-12 17:35:01', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1', '67827d3addec4eb08a54308b9e7d5c1f');
INSERT INTO `exam_record` VALUES ('47340415ae134ae8b9a57166e30fc6ac', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-06 13:15:57', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('48873a6e10c24b069ad8cca7e9ac6973', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-22 12:31:34', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('49143dd7e74a4f1db451ce47babe857d', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-17 13:02:15', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('4937724ddb68408da9ba2090408104db', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-13 12:10:26', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('49b438fef74f45878b1462d7f5388111', '79392778a90d4639a297dbd0bae0f779', '2019-12-03 18:39:21', null, '20', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '9661690ec8e74c6a9cb311590aec188c');
INSERT INTO `exam_record` VALUES ('4a03b25258394ae88f2465eb714b9719', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-04 12:37:28', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('4a15d3b2890c45b8b6b68919d7c4767c', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-17 10:06:15', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('4bd4cff24dfc48f491d4d0605c035570', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-14 21:42:27', null, '10', null, '396b55534851427590e089fb9cc040cc@True_85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('4c8a2c80a31b43d8a8b583a0f93c5f9d', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-04 10:50:17', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('4d6727290ce1422db4901999b568d4e8', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-09 17:17:29', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('4dd7b07fc3ec4c9f8808a2b1548f8901', '79392778a90d4639a297dbd0bae0f779', '2019-12-20 18:12:35', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('4e1163281fb349c784baf9e5f111a301', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-20 16:35:16', null, '0', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$a12eb101321b451bbc54a136e98acfd0@False_251eb27617ce458697f6e966bbf87bed', '8d810a3aca3d43e5961997d37dfe8f9f');
INSERT INTO `exam_record` VALUES ('4fdc0bb8c6c1486180447ecb657af6da', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-02 10:05:58', null, '7', null, '305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('50597e02c7e9446dacfa24580a40e2ce', '79392778a90d4639a297dbd0bae0f779', '2019-12-10 16:24:19', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('510bdb3c324e46aabef281ecc12756d3', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-14 09:29:28', null, '25', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('517abd1890b147a58fdd2cfd3029bbb3', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-14 22:07:42', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_afbbf97056c64199b1b44f02e8c557f5$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('52597cc89d3341c985a872d908bd9ec0', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-02 09:35:39', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('54e8f69fd2f04bd3a3d113215f777a23', '68042014e23c4ebea7234cb9c77cee5c', '2020-01-03 15:19:19', null, '0', null, '2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('54f92e207df24e84b6bc599406061f0e', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-17 22:38:13', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('55703faddc294dce8f3da94917fd01b0', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-14 18:15:33', null, '0', null, '2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('55885657907d4c79a5f15fc2b99e38e1', '79392778a90d4639a297dbd0bae0f779', '2020-02-21 18:48:50', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('56a0647c305544c79560918bc099b939', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-16 21:04:56', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('570f8cd1cd03488daa5ba94585e3ce69', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-30 12:02:53', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('57ca0d9c0d584b87879e13a711171472', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-18 15:51:32', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('57df7585ad394623bcfe3dd987235c17', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-02 19:15:29', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('588cc9bce5ff4ccaba68e996365a8967', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-27 09:48:45', null, '0', null, '23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('599ac051bafa418faa7c7d7469b8e7b0', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-17 15:43:29', null, '5', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('5c3d8ee32e40472b913ab4ef02374ea2', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-20 17:00:50', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', 'd0038ea2771d4ae2b688ee9e0cbbf84a');
INSERT INTO `exam_record` VALUES ('5c65899887c747469ba97c655591be30', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-04 12:52:34', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('5cb86f07e82648ff8c4603720724cfc7', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-27 17:58:35', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('5d2883d17cb142c1969dd65b7a604072', '79392778a90d4639a297dbd0bae0f779', '2019-11-08 09:56:44', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('5d7b9d8089024689addae80dbcdd5cb6', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-18 17:26:58', null, '5', null, '396b55534851427590e089fb9cc040cc@False_9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('5eb48b9d43b142f29c3badf3da849bd8', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-11 15:12:45', null, '35', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$21f8e9e22e9542e8963282e8dd7fbf00@False_0feaa97d85f4498d9b5d2016dae556b1$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$29c859c20be948e3a649abd118107d0f@True_959fbff965604fa3abbc6bb1ffeaf3da$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$1b2e4b9083714a959b0fb2d711820107@True_56d790d075854f77a6de564cc17ed60d$50124a77646346f1a63d704d1cb308fe@True_bba47eeda47c45ce8580b335a5bef90e$3b5c7adfedeb4fdea521d9a1a83ce4ff@False_0411ecbe88364c0abfbb7386c82d35e4-09b79933b5794f578d7f3488058f429e$3085eae7ca824a6dbeb74a3c076a3164@True_17037f89286644b18b7f89ad5c299262', '42e07074b1a34175af9669e74bbe614d');
INSERT INTO `exam_record` VALUES ('5f4ffe03b0da4950b0691427abc8059f', '79392778a90d4639a297dbd0bae0f779', '2019-10-29 07:34:57', null, '30', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-92ed63ab069d4f0bae0bbf630a03d34d$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('5f97f6db16ad4f50b858d07d0da3eeac', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-30 09:52:04', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('5feea48cd3d64712988bc459e8cc3173', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-06 13:55:15', null, '0', null, '334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f', '3cf0b79c367a4448af8eef6737a5d0b3');
INSERT INTO `exam_record` VALUES ('6053c12a89ca4c92bf6b403e5054739b', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-06 15:43:40', null, '24', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('61e94b4ff72f48c5ae9c454267766def', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-01 12:38:27', null, '5', null, '305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70$50124a77646346f1a63d704d1cb308fe@True_bba47eeda47c45ce8580b335a5bef90e$11da425185cf44cab1625eea20c90383@False_0faff73387784205a135a26c8023da7d', 'ad784ddba50b4d4db7bdb64dae63dfa3');
INSERT INTO `exam_record` VALUES ('63ffbcfb79aa4a10a3c8c7a32daaf9fc', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-14 15:01:06', null, '10', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('64d0b4840d914fddb3abba109ffacc27', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-06 08:25:18', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '225ca34a076b42389797a0690e54a619');
INSERT INTO `exam_record` VALUES ('65b29d3d22b14327af8785151e22aebd', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-31 15:30:43', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-61f3d24b130749a88626b5035e9708e9$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('6663867598a14e109e94c707bfc5d19a', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-03 22:22:54', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('66b6c0e6c7fe47908b3154a839126b59', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-01 18:04:04', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('66e7784ca19641dab3c53bbebcbd0adb', '79392778a90d4639a297dbd0bae0f779', '2020-01-07 18:04:12', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('675ceb88db90486798fc4d145132c952', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-05 16:27:46', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('6766b33923f848208d71f03ce6c40347', '79392778a90d4639a297dbd0bae0f779', '2020-01-07 08:21:33', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('678c2f268b6d4770b40e7a5ef7004034', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-15 17:38:55', null, '10', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('69d5cc8d4bbd4dd38e08aefd2dc56c10', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-17 11:11:23', null, '0', null, '2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('6b67079fe047464298b23d7756577d6f', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-05 10:33:14', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('6ca851913ec147a2b246c10c3aa67044', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-24 15:01:03', null, '0', null, 'd7bb105a79ae4550b241a5aba0dbffb9@False_65d057d0f96c474e90347fd7a6aa283a', 'e1bad24070f64f60a921c8e79285d2d2');
INSERT INTO `exam_record` VALUES ('6d346d2c2d8b417b808853c09a6640aa', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-06 00:27:35', null, '10', null, '4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625', '8d810a3aca3d43e5961997d37dfe8f9f');
INSERT INTO `exam_record` VALUES ('6d7abe6467aa4226877cde2a29d9821b', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-01 17:19:37', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('6e8419a29150433cbb796be939b86c07', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-06 11:24:52', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('7041969c66654db780492b51068ee243', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-12 21:06:47', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('708bdda40a434a51a954949955477800', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-12 14:06:18', null, '25', null, '396b55534851427590e089fb9cc040cc@True_85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$3085eae7ca824a6dbeb74a3c076a3164@True_17037f89286644b18b7f89ad5c299262$ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0', '1d0a7f6549e0415cac7bb74f20c42b04');
INSERT INTO `exam_record` VALUES ('71a4e5cc4ab74df18508c07e054927cb', '68042014e23c4ebea7234cb9c77cee5c', '2019-11-13 10:46:31', null, '0', null, '6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('7411db8ac959470da76faefbc7eb954a', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-20 15:30:22', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-ab96efeec3144ecea3bf955d4e52980f$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-9c511fa9d5a74090967cdb52b29060a2$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('7510e4c43f4e43a28f8dac2c1c49486c', '68042014e23c4ebea7234cb9c77cee5c', '2020-02-11 11:37:06', null, '5', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('76ab3952fc404e4fbdb8c81abf70a7b3', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-02 14:45:03', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('76cf569b36744e899319e8bd838443b2', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-04 20:11:33', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('785d79e3a8b8471fb31db3e70ac43a7f', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-09 11:39:12', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$bd9a17a6cce7432c9b07adc914a365ec@False_4a7f7a5bcf5843ebbe46ceca1f5e6034$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$3b5c7adfedeb4fdea521d9a1a83ce4ff@False_47d1ac03843d4a0ca00fc8aca766b290$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$ecdfbdd2a9f24017b3fe1aa0947ca146@False_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '2001e4cb8fd34c438a3b699743f6a2b3');
INSERT INTO `exam_record` VALUES ('78fe7a93389b42a188ee12c924825e16', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-27 09:41:22', null, '10', null, '396b55534851427590e089fb9cc040cc@False_9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('79419b76af294d39867749fa652824d9', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-16 17:29:41', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('7943cd8c245a4c999d2d6d204e46a18e', '79392778a90d4639a297dbd0bae0f779', '2019-12-24 11:27:25', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '7f36f47a75184adeb3df4fb8c4058a5a');
INSERT INTO `exam_record` VALUES ('7a5dacd05fb24fb9a585b898c8ac2e42', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-04 22:14:28', null, '0', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$31e9ad43e84e484eb8b77b7e7a76de91@False_d36bd089207f48cfb5d806d9cf882009', '8fa4cd3ac5514e38bd387dfd04a0e06c');
INSERT INTO `exam_record` VALUES ('7b11ac92dcf24080b0bd07ab04626277', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-19 18:32:17', null, '0', null, '85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('7c589f8e740649cc87df65491be7bb53', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-20 15:12:00', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$396b55534851427590e089fb9cc040cc@True_85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('7de6c9b97391412eb801692f9421a463', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-02 18:17:24', null, '0', null, '3b5c7adfedeb4fdea521d9a1a83ce4ff@False_0411ecbe88364c0abfbb7386c82d35e4-09b79933b5794f578d7f3488058f429e', '225ca34a076b42389797a0690e54a619');
INSERT INTO `exam_record` VALUES ('7e125f89d53f4c3790e46c59eb4125aa', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-26 07:55:52', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('7ea1926be89e4b6a915d6fe99c424ec9', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-20 10:40:57', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('7f09e0a07f6f4ac4b81873fe5924e160', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-10 13:13:27', null, '0', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef', 'ffb1eb683b61438290d5841c2db6641b');
INSERT INTO `exam_record` VALUES ('7fb905697d684bec909745fa55484602', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-11 11:14:10', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('7fdea4571a9041a5bd42cdc3c60e50bc', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-10 23:52:16', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('8048806d2588429784428359b5055563', '68042014e23c4ebea7234cb9c77cee5c', '2020-02-07 18:37:54', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('815159fde29f4aa9b3ccdfe73c7c1e31', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-27 17:13:20', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c', 'ff221a5c379b40bda60677e7c54bce02');
INSERT INTO `exam_record` VALUES ('8164910751e844cc81e9a52c92a7a3c9', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-08 11:26:45', null, '5', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('81f91d157bbe4bf586c0166992381c67', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-25 10:30:24', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('821b5811da5040f7b9d2441352582533', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-14 23:03:19', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('842fe4de65434022ba06495612c69e6e', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-08 08:45:13', null, '40', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('844269f2b83544f2ad4016eaff04b916', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-28 15:48:09', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-ab96efeec3144ecea3bf955d4e52980f$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('8583125b279a4ba29be48e7c36781581', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-08 18:54:37', null, '20', null, '8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('85c53128c38a47e69fb846364f823af7', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-27 00:21:41', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('863926b67f24474a818ce7fe281875e2', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-12 16:08:48', null, '40', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('86759400492544ff912c6d5bd3caf9e0', '79392778a90d4639a297dbd0bae0f779', '2020-02-07 22:06:39', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@True_044cf714b7024a1689cbc9def3591f51-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('86ded56ac9da463d937faae3bb2bab1d', '79392778a90d4639a297dbd0bae0f779', '2020-01-14 15:17:30', null, '17', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('873c4f3f246a400897dc6833c03135d4', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-27 15:02:31', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('881949ec30d44220a757fb4045ded45d', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-18 15:11:07', null, '10', null, '396b55534851427590e089fb9cc040cc@True_85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('88a7fe1b11664fd3a2aa6ba567fd2c66', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-12 19:22:45', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('891b69333b6c408399964ab937ede788', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-10 21:22:55', null, '0', null, '23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('8a8481beb0f647518ca297fb2eaa78af', '79392778a90d4639a297dbd0bae0f779', '2019-12-24 11:25:56', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('8aa02762160b456b926ba3f84d87a13c', '79392778a90d4639a297dbd0bae0f779', '2019-11-15 15:20:31', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('8b829aea8302460eb7adda99d90b7d91', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-02 18:12:23', null, '0', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2', '7f36f47a75184adeb3df4fb8c4058a5a');
INSERT INTO `exam_record` VALUES ('8b9374ace3de456ba09858f399f05797', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-26 08:02:36', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9$ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0', 'c8ca3f0a816042d5919d924a96cb1ae8');
INSERT INTO `exam_record` VALUES ('8b9a5948a59c4b3fa2e079359a60a79e', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-24 14:57:43', null, '10', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$31e9ad43e84e484eb8b77b7e7a76de91@False_d36bd089207f48cfb5d806d9cf882009', '711985074ea24eeeacaada3d12c9d64e');
INSERT INTO `exam_record` VALUES ('8baf1a3e738b41d3879733bcb1a50dc3', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-04 18:26:32', null, '0', null, '2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('8cfd64a396ca4bf9a70ec45d62dd6a02', '79392778a90d4639a297dbd0bae0f779', '2019-12-08 19:31:48', null, '35', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$3085eae7ca824a6dbeb74a3c076a3164@True_17037f89286644b18b7f89ad5c299262$3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '237b6d8e40a04132862203176cfbee82');
INSERT INTO `exam_record` VALUES ('8d9445e3756e4efebf6aa16cdfb85b20', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-26 15:53:48', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('8da40ef1716c4a91930667a6111c8bd1', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-21 14:10:30', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('8db2d7e8c2a444c2b1f94e263d623bf8', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-16 13:25:38', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('8e4405be801f4eaaa5e8094e2f9a3008', '79392778a90d4639a297dbd0bae0f779', '2020-01-06 00:05:36', null, '0', null, '85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('8f3804be3138414d85160645abe1cdbf', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-31 15:27:58', null, '0', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('8f6d1acdfdd94c34983364829b110397', '79392778a90d4639a297dbd0bae0f779', '2019-11-04 14:44:39', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '59a3cb205f3745338c0b7e9d26ce2fe5');
INSERT INTO `exam_record` VALUES ('91bfdbf0c26e4923b312b6639ccce2d5', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-20 21:47:43', null, '5', null, '21f8e9e22e9542e8963282e8dd7fbf00@False_0feaa97d85f4498d9b5d2016dae556b1$e5c4164820d341f782ceabe87a5bdbf0@True_80f44880efa84b6ca0d9944243cc62ae$8573631f85394f77a08da774259bc3d7@False_05e223f33d054704aa788610f9d21a43-3dfa52df61af4c46ac9659c7a8b4d9f0-bc8b9d99cf494997a7d5e71d4d82f646', 'e985fc4db3604d569c6c4dc571ff14fe');
INSERT INTO `exam_record` VALUES ('92114055da414bcf84c49492f20e226a', '79392778a90d4639a297dbd0bae0f779', '2019-12-17 19:31:13', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('9229a0a4919946ffa8b8d1bf0be5097d', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-21 17:22:58', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('9232cd346f974523b54aaaa6c91db259', '79392778a90d4639a297dbd0bae0f779', '2019-11-18 16:37:28', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('93228b44808e471b8f25932d444d1d96', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-06 09:24:21', null, '20', null, '1b2e4b9083714a959b0fb2d711820107@True_56d790d075854f77a6de564cc17ed60d$acb902c1a9114be9b1d03ae02a007fbd@True_034de423e1934316b56c533340922ca9$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '1a653915b9cb4ed88f09deb305946ddf');
INSERT INTO `exam_record` VALUES ('93e395a36fcd4eaa8dcd969215c439e2', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-25 10:31:16', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('943fc7e07682413a931920dea9135acc', '79392778a90d4639a297dbd0bae0f779', '2019-11-16 13:58:04', null, '0', null, 'e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$bb22f19338174d1f9333f9aebd6ffeb6@False_0c83f68e3d9948e38d65eb22c257bf7f$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a', '8a2e373a1b3e4b06b0b343aba742c224');
INSERT INTO `exam_record` VALUES ('96a0c8ec73c04c9abd0c428034a91d74', '79392778a90d4639a297dbd0bae0f779', '2020-01-13 16:11:14', null, '0', null, '305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('96ff62b4d46c4174bfe6a400d9afd271', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-28 00:16:14', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('97998490f8d440e59e43f998aa408c85', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-07 23:19:06', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('9859ceb237a44adbb4c912a54e00a03d', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-26 07:27:40', null, '24', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '7f36f47a75184adeb3df4fb8c4058a5a');
INSERT INTO `exam_record` VALUES ('99d71f39d8e5442da5dad256313cfea2', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-24 17:45:53', null, '40', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('9ad54993f82f4e06a07fc9656e112d89', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-20 15:29:34', null, '17', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('9af723f2c9cf423097999991b44efe91', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-16 16:33:10', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('9b00d04c82764feca8a4d03106c25656', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-18 16:40:23', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('9b9bc32e585a42c091c9b916b109d87a', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-26 21:59:17', null, '0', null, '305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '7f36f47a75184adeb3df4fb8c4058a5a');
INSERT INTO `exam_record` VALUES ('9c6b791c1b95473282ca871084c7b2ed', '8db2a12804b24fa2942bd5933add58a0', '2019-12-05 21:19:02', null, '5', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('9cc0fa4302c54221b77c346e3395f5eb', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-05 08:52:05', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_bed28153b51d410aafa64a6cc9c6fbb9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', 'af81e799c3fc41bcaa8870462ad9ebad');
INSERT INTO `exam_record` VALUES ('9cf58ffd5db0403dac75b9bad661acc8', '79392778a90d4639a297dbd0bae0f779', '2019-11-11 13:49:12', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538$9199009718ec4685a0a500d23ab814c5@True_233c13ee72c9456989788201fd108c8e$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('9d15c29fbdbf437fa40fbdf001b09a46', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-22 10:36:19', null, '35', null, '38085807d06948ca8ad6d8eaca522c85@True_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$0703fd384d164fd19ef6bde4d84875f1@True_26cd4dca9dc9414cbfec165aeb600590$796de3425cb3481e998fd050f4445873@True_dcb7371f1c7a4b6db47eefda34688089$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$578a8cd670524357af17850662a025d6@True_bf6a7bc08e134e1ea2625573350d3e27$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$11da425185cf44cab1625eea20c90383@True_1557eac2ce984027945314ed3ba3a6a5', '0d4ecdc35bad42f69d3acfe2e1f490b8');
INSERT INTO `exam_record` VALUES ('9df236aa426f40a3a2e56953bdb08663', '79392778a90d4639a297dbd0bae0f779', '2019-12-27 20:08:24', null, '10', null, '1b2e4b9083714a959b0fb2d711820107@True_56d790d075854f77a6de564cc17ed60d$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '1a653915b9cb4ed88f09deb305946ddf');
INSERT INTO `exam_record` VALUES ('9e784dec14cb4d1d952f38be4b4bf857', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-26 10:41:25', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('9f38aea580754110aadd0895ac587431', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-21 13:09:37', null, '20', null, '6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('9fcead9062904805903317ed5598431a', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-30 09:52:03', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('a01b8e484aa14461b33f2b2a67a1a13b', '79392778a90d4639a297dbd0bae0f779', '2019-11-14 14:28:06', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('a098448b517045c68e69cf73a104f6b1', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-02 18:11:53', null, '5', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('a1c9ede8193541aaba493b5fda2e9028', '79392778a90d4639a297dbd0bae0f779', '2020-01-28 19:15:21', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('a1d6880acb4b443dbd0164a3ca32b782', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-30 11:11:40', null, '20', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('a1d8d457e883412ab3f6064bfb907569', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-24 09:50:44', null, '5', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('a1dc17a36b8149a99f85794adcf5d61a', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-27 09:59:23', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('a1f30835079a4e96b53dbb880ced53d0', '79392778a90d4639a297dbd0bae0f779', '2019-11-27 21:14:22', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', 'd3282fba8f264718b67387046b07ec31');
INSERT INTO `exam_record` VALUES ('a2b9f9e7ec5540ab9bbf6bd8320d67a9', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-21 09:28:19', null, '15', null, '305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$50124a77646346f1a63d704d1cb308fe@True_bba47eeda47c45ce8580b335a5bef90e$11da425185cf44cab1625eea20c90383@True_fa643fca41d9422aa024373d53329e63', 'ad784ddba50b4d4db7bdb64dae63dfa3');
INSERT INTO `exam_record` VALUES ('a3e289bf229c4b00934344d2a37ed836', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-07 21:16:19', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('a525b3be3cca4f6aa1d9ba1b367e8375', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-18 11:42:48', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('a688babf67c84ede968ad30900158633', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-04 15:44:41', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('a6f105e489294052a73cb04345557ccb', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-03 16:16:13', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('a770b1917fef4a1482217ab0dfc59d1b', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-23 16:43:20', null, '10', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('a805c6829a124371b955f9db0e86539c', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-07 14:00:36', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', 'd3282fba8f264718b67387046b07ec31');
INSERT INTO `exam_record` VALUES ('a80df88b6a64405a9d330b806e222dc8', '79392778a90d4639a297dbd0bae0f779', '2019-11-06 10:10:57', null, '5', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('aa0297d78e6d46a4894aa8b0076006f9', '79392778a90d4639a297dbd0bae0f779', '2019-11-04 13:03:39', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('ab4e8ae029654f0a918ff0197ae9d32f', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-26 15:10:35', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '7e5661c0032043d5946b0c1c2dde9b36');
INSERT INTO `exam_record` VALUES ('aba06484a5a8476ca1e171b11ca8e171', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-16 00:05:20', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-bc4e6c276e6d4b80871badf7d2a9087c$9199009718ec4685a0a500d23ab814c5@False_785ad33574f747fd870dd6eadff303ab$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-b7926212674b4b71b93dcffca102f578', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('abeb210c5f944813a989d3f44258d50e', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-20 11:08:56', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$1b2e4b9083714a959b0fb2d711820107@True_56d790d075854f77a6de564cc17ed60d$3b5c7adfedeb4fdea521d9a1a83ce4ff@False_0411ecbe88364c0abfbb7386c82d35e4$852a2868c3684699bde65c76ebe8260d@False_5fc5f76401ae430c8abf5fa95408aac8-fc4d6d69d54145d09d2fba7868e35d39$3085eae7ca824a6dbeb74a3c076a3164@True_17037f89286644b18b7f89ad5c299262$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '345fe61a0cfa4cfbbcd77a825bfcf7d3');
INSERT INTO `exam_record` VALUES ('ae59691e98044414959ac5b4ca3c739d', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-24 15:56:20', null, '55', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@True_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('b015548c2f7b47a1a4bbdf31488ece8d', '79392778a90d4639a297dbd0bae0f779', '2019-12-05 14:08:43', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('b02b7dfb156e4d8698c1b2ce7ceabe79', '79392778a90d4639a297dbd0bae0f779', '2019-10-29 07:33:51', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('b09085ce3306455fa37dd6f6343323bd', '79392778a90d4639a297dbd0bae0f779', '2020-01-10 10:20:39', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('b11fbd0fc8124c42b7aa059274293f9a', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-23 17:22:51', null, '0', null, '0703fd384d164fd19ef6bde4d84875f1@False_4fe173a90380411e802179c0b684024d', '1a75d82abb934845aede8c772db03ee2');
INSERT INTO `exam_record` VALUES ('b153006ad46040cdbed30b2baf9e10f2', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-19 15:20:19', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('b2615ee1443e4740b7ad51eeb424472f', '79392778a90d4639a297dbd0bae0f779', '2019-12-20 10:39:27', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('b27dc009ec49407da75ab1125d45b02d', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-02 16:36:24', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('b28d6984374f49a5b04fbf5730ba3a56', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-16 17:24:39', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('b2c0f2717f8747e7bef83a5cb2545d9a', '68042014e23c4ebea7234cb9c77cee5c', '2019-11-14 15:19:57', null, '10', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', 'f43c670bc9a8462a85ece9bd0d9f1e88');
INSERT INTO `exam_record` VALUES ('b2edd3c11d1c41229f4b7ccb6a76fd1f', '68042014e23c4ebea7234cb9c77cee5c', '2019-11-13 10:49:17', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1', 'c8ca3f0a816042d5919d924a96cb1ae8');
INSERT INTO `exam_record` VALUES ('b3a3a2bd46c14f51a3158908d5dee2a4', '79392778a90d4639a297dbd0bae0f779', '2019-12-27 14:36:15', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_bbe3df2c7ba44b13b4b77cbd929a8fb1$396b55534851427590e089fb9cc040cc@False_9c511fa9d5a74090967cdb52b29060a2$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9', 'c8ca3f0a816042d5919d924a96cb1ae8');
INSERT INTO `exam_record` VALUES ('b3e25905965f4b80900d5e59e5f6c06e', '68042014e23c4ebea7234cb9c77cee5c', '2020-02-01 16:30:36', null, '20', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6a33e4beea944debac1ebb5e6d23a071@False_a99c9a300da74e3e9c9e85c954aab2e1$8265e43d401746ac8debd31663dee3fa@True_3d333bb284414ca0bbe8a52ec3ebdf45$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$bb22f19338174d1f9333f9aebd6ffeb6@True_9da49e7309604e81bacfdc7bb9044bc1', '3d813a050459425aba098d45de456308');
INSERT INTO `exam_record` VALUES ('b442b874d53748748a05c90f48c5a10a', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-08 17:16:54', null, '0', null, '8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('b58506c471b84e37b933426bfd8349a6', '79392778a90d4639a297dbd0bae0f779', '2020-01-08 09:59:26', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('b5b345e01413478b8c00ea73b4af03a4', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-26 07:28:28', null, '24', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '7f36f47a75184adeb3df4fb8c4058a5a');
INSERT INTO `exam_record` VALUES ('b60981ccf03c4ed099ccc5b3d06c8c2e', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-19 22:46:03', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('b6122a3281fd492f83651c57b4205912', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-05 17:14:55', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('b6e039d2fd7d40c2b2333063a3422bd9', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-05 16:02:06', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '16cc67c763d345dd9bd72e1f997ffe17');
INSERT INTO `exam_record` VALUES ('b740bb6c2db446aeaad37ebdbe1e600a', '79392778a90d4639a297dbd0bae0f779', '2019-11-04 17:59:10', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('b826f712ce4f4599b650f63b70282cf9', '68042014e23c4ebea7234cb9c77cee5c', '2019-11-04 19:22:15', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('b8d384735f6d460f83b963318c70b865', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-17 17:41:13', null, '17', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('b971812a25724500ac5727c8e6eb5544', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-19 14:45:30', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('b98c24d4d877497f8a40f412333e1505', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-01 21:38:35', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('ba25f992d0c242a28c13c5c2b03f4e0c', '79392778a90d4639a297dbd0bae0f779', '2020-01-02 21:09:39', null, '10', null, '396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('ba4a9a4bd29c4d69b3bf0d0f8de26f42', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-22 11:29:08', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$cff7d16da6ab428e893c748d5c759cb2@True_8c95b512240b4a47b85743a64f65c0ba$3864178819534aa7862b26e893aa2e62@True_e4697cfd242c4328b28a084e4ecaaf3c$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba$a12eb101321b451bbc54a136e98acfd0@True_8c0f6801448b4185b3446d92b0721c40$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '8f6134e1ee6f47559f7bc2f7567d1b58');
INSERT INTO `exam_record` VALUES ('baa7d539ba11499baad1eb90616ac018', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-23 10:33:16', null, '40', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('bbcbd1569bed4c09adeb911f38b4ecd1', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-12 16:08:06', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('bc48e0d2cfb24eb0b5b216bf02a51e42', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-16 13:20:11', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$396b55534851427590e089fb9cc040cc@False_ccf9a11d724046dd964660b688d9dc28$334cfcd5ce47468a9babdce5c97def28@True_c4aeda64b2024d9cbaaba88ac1dcdb97$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9', '3cf0b79c367a4448af8eef6737a5d0b3');
INSERT INTO `exam_record` VALUES ('bca76cdb943e427793cffc428ae80258', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-04 11:51:00', null, '0', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28', '3cf0b79c367a4448af8eef6737a5d0b3');
INSERT INTO `exam_record` VALUES ('bd1bd5dc29904089a8bc4c7d13a4481a', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-12 15:41:21', null, '10', null, 'f4aec0f038194a12a250d00abe1a9dcd@True_8d102169d1a140d7a0848ccb4f61c265$e3810a6e4add45029cb23bbd668f40e0@True_df23579aaf4441a3859d9950aa3af681$d7bb105a79ae4550b241a5aba0dbffb9@False_65d057d0f96c474e90347fd7a6aa283a$14cc31707d53433f81841058a97575da@False_6f0631ce414c49519a162af9062073ca$3085eae7ca824a6dbeb74a3c076a3164@False_56a59f402c4949ec8d74bb95425131d2$e1d16aebc4124790bb9435973b89f105@False_cbfebe5f94124c0dbd8ad280d63351b0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '9ab2b19c74554540aa515b5f0bd69918');
INSERT INTO `exam_record` VALUES ('bd2f6b9fc91b412f9b8f2a06399b825a', '79392778a90d4639a297dbd0bae0f779', '2019-12-29 20:18:33', null, '0', null, '6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('bd5a5072aae54ab5836796035a8356ce', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-06 10:27:22', null, '17', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_ccf9a11d724046dd964660b688d9dc28$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('bd884b7b167e42c2909ef9f21bc36fb6', '79392778a90d4639a297dbd0bae0f779', '2019-11-23 23:42:03', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('be2a6e883a844ee092f87bd104d8585e', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-12 10:43:59', null, '15', null, 'e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$334cfcd5ce47468a9babdce5c97def28@False_995440729c4f48758920dd0f9c31f44f$ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba', '3cf0b79c367a4448af8eef6737a5d0b3');
INSERT INTO `exam_record` VALUES ('bf22ea66efd142b5a1f4786284c1a1bd', '79392778a90d4639a297dbd0bae0f779', '2019-12-20 15:44:28', null, '30', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-88ec4c60df0842c7b603cf82450b12cb$396b55534851427590e089fb9cc040cc@True_85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('c00ee90c0e64414083e848449b629fb5', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-04 04:47:09', null, '35', null, 'e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-81b7ae4a705f4fc39e576085a55fccc0$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-ccf9a11d724046dd964660b688d9dc28$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$bb22f19338174d1f9333f9aebd6ffeb6@True_9da49e7309604e81bacfdc7bb9044bc1$a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a', '8a2e373a1b3e4b06b0b343aba742c224');
INSERT INTO `exam_record` VALUES ('c023f3dbd1b5469a84db7f954add1faf', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-21 09:27:18', null, '10', null, '305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70$50124a77646346f1a63d704d1cb308fe@True_bba47eeda47c45ce8580b335a5bef90e$11da425185cf44cab1625eea20c90383@True_fa643fca41d9422aa024373d53329e63', 'ad784ddba50b4d4db7bdb64dae63dfa3');
INSERT INTO `exam_record` VALUES ('c0631a882f2a4b13869e89918abd085e', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-31 16:46:58', null, '15', null, '396b55534851427590e089fb9cc040cc@True_85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('c0b120529671416f86f4e04750f0c692', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-04 12:58:59', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('c14b50a1b4494823ab5123592c5b69b8', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-27 14:55:10', null, '0', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f', 'e5c1aac03a5b43a289b8c0caee037615');
INSERT INTO `exam_record` VALUES ('c653466e3bbd49a18c2b2c0ae824f0a0', '79392778a90d4639a297dbd0bae0f779', '2019-12-26 13:47:58', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '16cc67c763d345dd9bd72e1f997ffe17');
INSERT INTO `exam_record` VALUES ('c72510b34bfb412f93f812c8cdb65e3e', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-02 17:46:34', null, '40', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('c79236e4e9614d518f88cb9d73fee742', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-01 18:35:06', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$21f8e9e22e9542e8963282e8dd7fbf00@False_599b2d41972645409786e820bb0b2e0a$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', 'a5757b00e3374747b026476a7aea89b0');
INSERT INTO `exam_record` VALUES ('c7c07efb604942cbafaa66b8bb08f068', '79392778a90d4639a297dbd0bae0f779', '2020-01-01 16:25:23', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('c7c1cc646d194c8c8806cae4e71693bd', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-06 20:48:55', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('c8aca80037304b87a7b5610c4cc82a83', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-05 09:20:39', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('c8f8cc0010e444a2a57b97d878d7a903', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-29 15:33:13', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '16cc67c763d345dd9bd72e1f997ffe17');
INSERT INTO `exam_record` VALUES ('c9261fa2709f49aa88074aac84ef829c', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-21 15:20:03', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('cb1a0d3ebf0f481e8a2b5b76b916c8b2', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-18 18:05:23', null, '0', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-92ed63ab069d4f0bae0bbf630a03d34d-ccf9a11d724046dd964660b688d9dc28', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('ccc53d6fce574dbb8e372acf6cde2193', '68042014e23c4ebea7234cb9c77cee5c', '2020-02-07 22:29:47', null, '0', null, '21f8e9e22e9542e8963282e8dd7fbf00@False_2f8692a8d7e5435f8d763a1374c8c617', '67827d3addec4eb08a54308b9e7d5c1f');
INSERT INTO `exam_record` VALUES ('cd48795e7f784f5984f9b224dd9ebf6b', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-26 07:50:03', null, '35', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$a12eb101321b451bbc54a136e98acfd0@True_8c0f6801448b4185b3446d92b0721c40', 'e5c1aac03a5b43a289b8c0caee037615');
INSERT INTO `exam_record` VALUES ('cdbc3ccc66014c619841081c1ecb7751', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-14 15:59:49', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('cded56c2229141588c8b6025d1cb74e6', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-19 12:09:08', null, '0', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('cdf22ec1c8a64f3cbf7ff297b0496b7a', '79392778a90d4639a297dbd0bae0f779', '2020-02-13 11:02:47', null, '5', null, '305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('cecffa83854b488680ae325a8a312587', '68042014e23c4ebea7234cb9c77cee5c', '2020-01-07 10:21:28', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-61f3d24b130749a88626b5035e9708e9$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('cf070a8330d344f8953fe3c285c55eb5', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-28 10:12:37', null, '30', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$e283ac11c7064ccf976f9c48d68c6a67@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '711985074ea24eeeacaada3d12c9d64e');
INSERT INTO `exam_record` VALUES ('d147badc48904b6b89315302a41ab08d', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-17 14:53:28', null, '0', null, '14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '84185792c9f64cbbb7f863821c05b62b');
INSERT INTO `exam_record` VALUES ('d264a1f49fb14c79851681a352919717', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-06 08:30:45', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51$9199009718ec4685a0a500d23ab814c5@True_233c13ee72c9456989788201fd108c8e$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9b14c29c2d514b10af620655ff13a204$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('d3509b3880ed42aab935e552cb9e6522', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-18 17:30:54', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('d35ff616a6b543129bd1e16f25aef112', '79392778a90d4639a297dbd0bae0f779', '2019-12-17 10:30:39', null, '10', null, '396b55534851427590e089fb9cc040cc@True_85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('d42705f5c3bc44bf8a29193f21442108', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-24 20:13:28', null, '0', null, '6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('d43a301ac1c2488ab1e669e54e8d165e', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-20 02:29:51', null, '0', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('d446fcfaa98d4ac19b26ba373cd87ac2', '79392778a90d4639a297dbd0bae0f779', '2019-11-14 14:30:16', null, '5', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('d4f819d1bea94333919dd68902d3db71', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-05 09:41:46', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('d5d9548285e744b6bd8fbce45bf6eb57', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-05 11:51:35', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@False_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('d771af25a4784026898143131e6aed55', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-20 09:23:59', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('d788b2e8062c4b77908d6c85f0876944', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-14 13:51:53', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('d8a16906efa54026ab5f85f798ab8199', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-16 02:34:24', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', 'e2955f8d09e840c286bf821c8c69aa4a');
INSERT INTO `exam_record` VALUES ('d98cbf31b9bd42a894fbaee5ed603760', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-12 15:42:44', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('d9988b557bbf4501b027f1d4bf6158bf', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-04 17:42:02', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$a12eb101321b451bbc54a136e98acfd0@False_251eb27617ce458697f6e966bbf87bed', '8a2e373a1b3e4b06b0b343aba742c224');
INSERT INTO `exam_record` VALUES ('daa1688523bf49118599ea42131f3b05', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-29 20:45:52', null, '5', null, 'e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-b7926212674b4b71b93dcffca102f578', '7e5661c0032043d5946b0c1c2dde9b36');
INSERT INTO `exam_record` VALUES ('dce65ba0b972440e96275b7fd4ece01b', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-12 11:08:18', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_bc4e6c276e6d4b80871badf7d2a9087c$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('dd452add1b2f4e38aa04954afe8ced17', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-16 00:05:51', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9$3085eae7ca824a6dbeb74a3c076a3164@False_56a59f402c4949ec8d74bb95425131d2', '42e07074b1a34175af9669e74bbe614d');
INSERT INTO `exam_record` VALUES ('ddb445d73d504cff9c0c2e4142732d28', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-02 17:40:08', null, '5', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('de1dfd44939a4dc59f5032b29a248a21', '79392778a90d4639a297dbd0bae0f779', '2020-02-24 00:23:08', null, '10', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('dfa4ed2ba9704d6dadac62dfa911f18f', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-14 14:05:59', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('e012df2ad1aa4419954628705aea9359', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-12 19:28:02', null, '0', null, '2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031', 'bd3482c442014e72bf540b5a7b4bf6d7');
INSERT INTO `exam_record` VALUES ('e0b41487a79e4b0e921f8b6442243a65', '79392778a90d4639a297dbd0bae0f779', '2019-11-08 13:33:07', null, '0', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$334cfcd5ce47468a9babdce5c97def28@False_c317ef23e1de49369900869764991eb0$31e9ad43e84e484eb8b77b7e7a76de91@False_4140a14f3f6b4067962eac1c939675c9$ecdfbdd2a9f24017b3fe1aa0947ca146@False_d15f9106bb9941eaab1e37356af083b3', '3cf0b79c367a4448af8eef6737a5d0b3');
INSERT INTO `exam_record` VALUES ('e0cb603dad7b4633aed9fd4794cc545b', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-21 11:08:33', null, '0', null, '23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('e140e0b8bc5e4138ba90191def6f2cbc', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-07 14:48:37', null, '25', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('e15e0c359a094210b2509d1e55f72fe7', '79392778a90d4639a297dbd0bae0f779', '2019-12-08 19:28:43', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('e307ecf4654b4826ada5a1338c59269b', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-28 15:58:26', null, '10', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2f8b20630b10471395b6c379a465cca8@False_647fb34e45474ae3b064a836b436a031$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('e36f89adfa6743d880cffde55a7e08de', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-02 17:39:22', null, '15', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$21f8e9e22e9542e8963282e8dd7fbf00@False_0feaa97d85f4498d9b5d2016dae556b1$6cabac6ec4ef44068e66cf2547543658@True_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', 'a5757b00e3374747b026476a7aea89b0');
INSERT INTO `exam_record` VALUES ('e506889534554e639c12c3c6e67c4272', '79392778a90d4639a297dbd0bae0f779', '2020-01-17 10:59:19', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('e5417a359c834a5895f60f9046964239', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-23 19:52:37', null, '5', null, '305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('e725746c968b468cb1d2314c30afb3a1', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-11 09:14:25', null, '20', null, '8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('e7ccca2f711a44529a0e9d6dbd5dc71d', '68042014e23c4ebea7234cb9c77cee5c', '2019-12-19 15:21:55', null, '0', null, '14cc31707d53433f81841058a97575da@False_4d5c32e598cc41abb003f2f37dab210e', '9894fddf4ff04964a78c133d72e5fdb9');
INSERT INTO `exam_record` VALUES ('e7f7e85d9d4d40a2840b1f144dd39da5', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-16 13:15:46', null, '5', null, '14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('e8a0b54c26f34a3694e103a9ba3dd827', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-05 09:44:48', null, '10', null, '1b2e4b9083714a959b0fb2d711820107@True_56d790d075854f77a6de564cc17ed60d$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '860e7d23180548daad3b6ef7f41f2154');
INSERT INTO `exam_record` VALUES ('ea188205e1094a75a8c8963f00b5f0da', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-28 12:19:11', null, '5', null, 'feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('eb1bb054be424ce8a03da0e4d5c074ea', 'ab93a55327224cf69700e5d2b8a3144e', '2019-12-30 10:47:08', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('eb9037d87d7f44dc8095b4ffcfb146ad', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-09 16:07:48', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('ebf1ff41bbad4362a037eb1d73e733fb', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-21 12:12:35', null, '0', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_c517d89483b94ffead440fb408efce11$14cc31707d53433f81841058a97575da@False_2df31aa7a344475ea8a0b2897c9754f0', '303efbfe2e5f460c909e935345424244');
INSERT INTO `exam_record` VALUES ('eca3397387b64d02b079409dd4478c32', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-03 11:12:10', null, '0', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-ccf9a11d724046dd964660b688d9dc28', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('eda596152707424e885a687974a0a5e7', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-06 09:23:33', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('edd214a3af384808a07991944ba1e8c1', '79392778a90d4639a297dbd0bae0f779', '2019-11-03 11:09:31', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('ee1ccc09f04c414bb3cfb075db9ca065', '79392778a90d4639a297dbd0bae0f779', '2020-01-29 11:26:20', null, '5', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('ee35976c5089487689be7384eb2d8121', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-10 09:21:27', null, '15', null, '21f8e9e22e9542e8963282e8dd7fbf00@False_599b2d41972645409786e820bb0b2e0a$e5c4164820d341f782ceabe87a5bdbf0@True_80f44880efa84b6ca0d9944243cc62ae$1b2e4b9083714a959b0fb2d711820107@True_56d790d075854f77a6de564cc17ed60d$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', 'f8029cd18dff44b380d5d8726a32a8a5');
INSERT INTO `exam_record` VALUES ('ee8da470c9c44a82b432bf8d879b33e4', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-20 12:49:15', null, '5', null, '23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('eef0c4337bc347e5a5b6f647c08db4a9', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-09 20:41:06', null, '5', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@False_d15f9106bb9941eaab1e37356af083b3$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('efc7c07f4577449e94a6b579128878c6', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-21 09:32:14', null, '5', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('f090e006f7a54630ba91d630eeeaf4d0', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-12 10:59:21', null, '50', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_88ec4c60df0842c7b603cf82450b12cb-bc4e6c276e6d4b80871badf7d2a9087c$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '59a3cb205f3745338c0b7e9d26ce2fe5');
INSERT INTO `exam_record` VALUES ('f11096a2c80e4cc9baf83bd38b6d3461', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-07 16:26:42', null, '10', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('f117e8be891f47d891d2dbbe4bf8763e', '79392778a90d4639a297dbd0bae0f779', '2020-01-28 19:13:53', null, '0', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('f13d92ecf5144fd0bd1eec47571f02cb', '79392778a90d4639a297dbd0bae0f779', '2019-12-26 09:06:30', null, '10', null, '396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('f1b6472397674e958f783d52ed6d6775', '79392778a90d4639a297dbd0bae0f779', '2020-02-20 13:25:49', null, '40', null, '38085807d06948ca8ad6d8eaca522c85@False_81b7ae4a705f4fc39e576085a55fccc0$396b55534851427590e089fb9cc040cc@False_9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$2527560ba3704f5e84abdb93940357ce@False_684ceb23ca5a44a090fa57850bbb2c05$50124a77646346f1a63d704d1cb308fe@True_bba47eeda47c45ce8580b335a5bef90e$3b5c7adfedeb4fdea521d9a1a83ce4ff@True_09b79933b5794f578d7f3488058f429e-47d1ac03843d4a0ca00fc8aca766b290$56c4538a152446d8a08de16801b62509@False_aebd4c6aaa0a4901ba75ab861cc7fbc0$ed05a6a18d64452185513a67d3547b56@False_1119e86e6290436d938a26780b93bcdf', '7eaa7379e9e54d43a84c194958505813');
INSERT INTO `exam_record` VALUES ('f21ac40339934f5d85837d2ccc368b21', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-03 12:13:00', null, '5', null, '2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('f263f89035d74679a94c3487e6d14228', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-22 16:25:13', null, '17', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@False_52e0ccb2fc4545028988681db9858f70$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', 'b188e54770a74481a4d3de7862ad1c31');
INSERT INTO `exam_record` VALUES ('f306ddcab07f403d8437edb341e9db11', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-27 09:49:48', null, '25', null, '2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$3085eae7ca824a6dbeb74a3c076a3164@True_17037f89286644b18b7f89ad5c299262$31e9ad43e84e484eb8b77b7e7a76de91@True_5ac788b163b04bc9b159f11d1cb1abba$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3', '16cc67c763d345dd9bd72e1f997ffe17');
INSERT INTO `exam_record` VALUES ('f313cd899b5f41abb3298d1cd23f5aa6', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-03 18:37:19', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-ccf9a11d724046dd964660b688d9dc28$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('f327a291776d4e2aa49feded7ed3a747', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-06 12:33:09', null, '30', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-ab96efeec3144ecea3bf955d4e52980f$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0$23491b7dbbdf47dcb09ece779ff44c92@True_83c56af7662249dd968e04bf3afbee23$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('f52cfdfb6982410684edffa499b5aef9', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-16 02:35:33', null, '15', null, '2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '16cc67c763d345dd9bd72e1f997ffe17');
INSERT INTO `exam_record` VALUES ('f5eb8873c06e47febcd84575734386d3', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-23 14:44:48', null, '20', null, '8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('f6a6ee18de8a40c296605d59b102e940', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-29 21:35:41', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('f84220cb132546d19e612b19fff9f348', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-25 15:19:14', null, '10', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_ab96efeec3144ecea3bf955d4e52980f$396b55534851427590e089fb9cc040cc@False_92ed63ab069d4f0bae0bbf630a03d34d$2223b2eb8c2942459344c06ce1d3ed1d@False_09153c0ac73a4d2ea60ebb8c833d0eef$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_317914052c94400f8e45a814896c9cd9', '19015367384e4dfc8fd3241da154a86b');
INSERT INTO `exam_record` VALUES ('f8774895f6594b1d9c361494bed77cdc', 'a1b661031adf4a8f969f1869d479fe74', '2019-10-26 08:01:50', null, '30', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f-bc4e6c276e6d4b80871badf7d2a9087c$9199009718ec4685a0a500d23ab814c5@True_233c13ee72c9456989788201fd108c8e$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$3864178819534aa7862b26e893aa2e62@False_9cd1e597ae4144938be500efa21eec9b$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578', '258bf9410e854f34bba9c9a08f4dd313');
INSERT INTO `exam_record` VALUES ('f99ac99ac46144a581df730dffeb814e', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-21 19:24:31', null, '0', null, 'a12eb101321b451bbc54a136e98acfd0@False_228f57a595a2416aa6cf7df66095236a', '8d810a3aca3d43e5961997d37dfe8f9f');
INSERT INTO `exam_record` VALUES ('fa874637d7a0407db9936b58b56028bb', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-27 15:48:50', null, '45', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb-ab96efeec3144ecea3bf955d4e52980f$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@True_77e434759f314ce08413b65b3c36e6a0$6cabac6ec4ef44068e66cf2547543658@True_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_249c3e3f31ed443e83ab4379b506be24$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('fad890044b084f229ab66f15dd093b0b', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-04 11:30:47', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2-ccf9a11d724046dd964660b688d9dc28$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('fb1038643ad24a01a5c3cffac25a69da', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-16 02:35:09', null, '0', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_287ce730f7804743935f504a18cd8538', '9e6c86066e67491db8bf1b9bb59bd105');
INSERT INTO `exam_record` VALUES ('fb18f8c9b4834b7ebd15957f7d7366e4', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-01 11:54:54', null, '24', null, '38085807d06948ca8ad6d8eaca522c85@False_22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0$396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9$2223b2eb8c2942459344c06ce1d3ed1d@True_bd8ecfb670364c1b8cee33607423066f$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6$4247752901bd47fba86379a1cd4b87d4@True_d15f9106bb9941eaab1e37356af083b3$14cc31707d53433f81841058a97575da@True_015147df62774a879388f924e1746f81', '61f6198b88a744aead6f25d04200025e');
INSERT INTO `exam_record` VALUES ('fc2d95552c6b4293a6a20e74b6beb147', 'a1b661031adf4a8f969f1869d479fe74', '2019-12-23 12:11:41', null, '15', null, '38085807d06948ca8ad6d8eaca522c85@False_20ce13d67d544efeba548f7eb9642e8f-bed28153b51d410aafa64a6cc9c6fbb9$396b55534851427590e089fb9cc040cc@False_85aeb40a28f14735a48505d29d7c05b9$e283ac11c7064ccf976f9c48d68c6a67@False_d15f9106bb9941eaab1e37356af083b3$4247752901bd47fba86379a1cd4b87d4@False_b8e2e6300ab04016a82481fff15750e0$bb22f19338174d1f9333f9aebd6ffeb6@False_0dda4965171b4f9680a6acfab9af9625$a12eb101321b451bbc54a136e98acfd0@True_8c0f6801448b4185b3446d92b0721c40', '8d810a3aca3d43e5961997d37dfe8f9f');
INSERT INTO `exam_record` VALUES ('fc59d27d347a423fa34643500c9eef9b', 'a1b661031adf4a8f969f1869d479fe74', '2020-01-03 13:02:38', null, '5', null, 'ecdfbdd2a9f24017b3fe1aa0947ca146@True_b8e2e6300ab04016a82481fff15750e0', '1d0a7f6549e0415cac7bb74f20c42b04');
INSERT INTO `exam_record` VALUES ('feceaf18b371404891f29773f7c177c8', '79392778a90d4639a297dbd0bae0f779', '2020-01-08 10:54:33', null, '20', null, '9fe1cafeebf44e20a80f504cff60ef3f@False_044cf714b7024a1689cbc9def3591f51-287ce730f7804743935f504a18cd8538-88ec4c60df0842c7b603cf82450b12cb$8f3e02d0f2a1402abd3278adc05ffb10@True_b8e2e6300ab04016a82481fff15750e0$2f8b20630b10471395b6c379a465cca8@False_ab85c51b6e91402385aeda6551aea608$6cabac6ec4ef44068e66cf2547543658@False_d15f9106bb9941eaab1e37356af083b3$23491b7dbbdf47dcb09ece779ff44c92@False_57e749d644044a53b48ed12f84bba0b3$85047be0b2cf4077a5ec66e92ebf442b@False_21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9-61f3d24b130749a88626b5035e9708e9', '139883c96ec44c6c9c5c2b4b85a7b54a');
INSERT INTO `exam_record` VALUES ('ff63011aced34bafbd6c08169e11bbbf', 'a1b661031adf4a8f969f1869d479fe74', '2019-11-27 14:18:55', null, '10', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db$305f726e7f1f4636b88bf20de0093745@True_d8fd1ca48ed74d0cb51295ad84760dd6', '00a8b7aebdd045f38b456be48694de7a');
INSERT INTO `exam_record` VALUES ('ff9b1955f1b144a0bd6ab3fa213901c3', 'a1b661031adf4a8f969f1869d479fe74', '2020-02-22 21:24:47', null, '5', null, '396b55534851427590e089fb9cc040cc@False_25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-92ed63ab069d4f0bae0bbf630a03d34d-9c511fa9d5a74090967cdb52b29060a2$feaa4b2a04314864ba7243eca4d4a291@True_917cbf86068f48e7942232435a9c94db', '00a8b7aebdd045f38b456be48694de7a');

-- ----------------------------
-- Table structure for `exam_record_level`
-- ----------------------------
DROP TABLE IF EXISTS `exam_record_level`;
CREATE TABLE `exam_record_level` (
  `exam_record_level_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '考试结果等级表的主键',
  `exam_record_level_name` varchar(128) COLLATE utf8_bin NOT NULL COMMENT '考试结果等级的名称',
  `exam_record_level_description` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '考试结果等级的详细阐述',
  PRIMARY KEY (`exam_record_level_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='考试结果的等级';

-- ----------------------------
-- Records of exam_record_level
-- ----------------------------
INSERT INTO `exam_record_level` VALUES ('1', 'excellent', '优秀');
INSERT INTO `exam_record_level` VALUES ('2', 'good', '良好');
INSERT INTO `exam_record_level` VALUES ('3', 'normal', '一般');
INSERT INTO `exam_record_level` VALUES ('4', 'pass', '及格');
INSERT INTO `exam_record_level` VALUES ('5', 'fail', '不及格');

-- ----------------------------
-- Table structure for `hibernate_sequence`
-- ----------------------------
DROP TABLE IF EXISTS `hibernate_sequence`;
CREATE TABLE `hibernate_sequence` (
  `next_val` bigint(20) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

-- ----------------------------
-- Records of hibernate_sequence
-- ----------------------------
INSERT INTO `hibernate_sequence` VALUES ('1');
INSERT INTO `hibernate_sequence` VALUES ('1');
INSERT INTO `hibernate_sequence` VALUES ('1');
INSERT INTO `hibernate_sequence` VALUES ('1');
INSERT INTO `hibernate_sequence` VALUES ('1');
INSERT INTO `hibernate_sequence` VALUES ('1');
INSERT INTO `hibernate_sequence` VALUES ('1');

-- ----------------------------
-- Table structure for `page`
-- ----------------------------
DROP TABLE IF EXISTS `page`;
CREATE TABLE `page` (
  `page_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '前端页面表主键id',
  `page_name` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '页面的名称,要唯一',
  `page_description` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '页面的功能性描述',
  `action_ids` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '页面对应的操作权限列表，用-连接action的id',
  PRIMARY KEY (`page_id`) USING BTREE,
  UNIQUE KEY `page_name` (`page_name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='前端页面表';

-- ----------------------------
-- Records of page
-- ----------------------------
INSERT INTO `page` VALUES ('1', 'dashboard', '仪表盘', '1-2-3-4-5');
INSERT INTO `page` VALUES ('2', 'exam-card', '考试列表', '1-6-3-4');
INSERT INTO `page` VALUES ('3', 'exam-record-list', '考试记录', '1-6-3-4');
INSERT INTO `page` VALUES ('4', 'question-admin', '问题管理', '1-6-3-4');
INSERT INTO `page` VALUES ('5', 'exam-table-list', '考试管理', '1-6-3-4');
INSERT INTO `page` VALUES ('6', 'user', '个人页', '1-6-3-4-5-7');

-- ----------------------------
-- Table structure for `question`
-- ----------------------------
DROP TABLE IF EXISTS `question`;
CREATE TABLE `question` (
  `question_id` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '题目的主键',
  `question_name` varchar(64) COLLATE utf8_bin DEFAULT NULL COMMENT '题目的名字',
  `question_score` int(11) NOT NULL DEFAULT '0' COMMENT '题目的分数',
  `question_creator_id` varchar(32) COLLATE utf8_bin NOT NULL COMMENT '题目创建者的用户id',
  `question_level_id` int(11) NOT NULL DEFAULT '0' COMMENT '题目难易度级别',
  `question_type_id` int(11) NOT NULL DEFAULT '0' COMMENT '题目的类型，比如单选、多选、判断等',
  `question_category_id` int(11) NOT NULL DEFAULT '0' COMMENT '题目的类型，比如数学、英语、政治等',
  `question_description` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '题目额外的描述',
  `question_option_ids` varchar(256) COLLATE utf8_bin NOT NULL COMMENT '题目的选项，用选项的id用-连在一起表示答案',
  `question_answer_option_ids` varchar(256) COLLATE utf8_bin NOT NULL COMMENT '题目的答案，用选项的id用-连在一起表示答案',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`question_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='考试题目表';

-- ----------------------------
-- Records of question
-- ----------------------------
INSERT INTO `question` VALUES ('0703fd384d164fd19ef6bde4d84875f1', '测试', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', '测试', '26cd4dca9dc9414cbfec165aeb600590-567f67f2dc3d4e68b988ec8983bd6dd0-2b1ed2e380244ed2b10ce0be48619132-4fe173a90380411e802179c0b684024d', '26cd4dca9dc9414cbfec165aeb600590', '2019-12-23 12:31:03', '2019-12-23 12:31:03');
INSERT INTO `question` VALUES ('0b4b7d5dd6c5438f9638353ee1316746', '11', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '2', 'fffffffff1111', 'd8d2a0495ef6457f9b402beb62552f6d-099f13e53f724c84a07c03fa287fa473-f5ca7d93cafc47f9ac99cc01b3734141', '099f13e53f724c84a07c03fa287fa473-f5ca7d93cafc47f9ac99cc01b3734141', '2020-02-18 08:52:08', '2020-02-18 08:52:08');
INSERT INTO `question` VALUES ('11da425185cf44cab1625eea20c90383', '失火怎么办？', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '3', '凉拌', 'e44052f21d4447139a9ed8d7c7a8983f-0faff73387784205a135a26c8023da7d-fa643fca41d9422aa024373d53329e63-1557eac2ce984027945314ed3ba3a6a5', '1557eac2ce984027945314ed3ba3a6a5-', '2020-01-21 01:24:37', '2020-01-28 11:16:46');
INSERT INTO `question` VALUES ('14cc31707d53433f81841058a97575da', '《红楼梦》的作者是谁？', '3', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '10', '红楼梦相关', '2df31aa7a344475ea8a0b2897c9754f0-6f0631ce414c49519a162af9062073ca-015147df62774a879388f924e1746f81-4d5c32e598cc41abb003f2f37dab210e', '015147df62774a879388f924e1746f81-', '2019-05-25 01:46:47', '2019-11-12 10:12:50');
INSERT INTO `question` VALUES ('1b2e4b9083714a959b0fb2d711820107', '123', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '1', '123', '56d790d075854f77a6de564cc17ed60d', '56d790d075854f77a6de564cc17ed60d', '2019-12-13 15:03:19', '2019-12-13 15:03:19');
INSERT INTO `question` VALUES ('1bd9838abe51471195c5399e1a08ec6a', 's\'da\'s\'d', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', '萨达撒大', '50c4dd75eaf64b14b805a89698b821e7', '50c4dd75eaf64b14b805a89698b821e7', '2020-02-13 08:20:10', '2020-02-13 08:20:10');
INSERT INTO `question` VALUES ('218f87a8b8794b619b6225310e3ae0df', '这是一个测试', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '7', 'fdfasdfasd', 'd8576bc5d661498d86a74d8677bc8e64-31a30ed80eeb462aa09790dc553a3c49-e913442583ea4b57af6286790ffaf87a-62f9d2efb9864b6a8355073676a061c8', 'd8576bc5d661498d86a74d8677bc8e64-', '2020-01-17 09:59:38', '2020-02-18 06:16:23');
INSERT INTO `question` VALUES ('21f8e9e22e9542e8963282e8dd7fbf00', '亮点数量几个NG', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '3', '亮点数量几个NG', '599b2d41972645409786e820bb0b2e0a-ba5c4aa6b0c14d53aceae2d3a03a5158-0feaa97d85f4498d9b5d2016dae556b1-2f8692a8d7e5435f8d763a1374c8c617-d1977494d53044a9965dc35fecb887a1', 'ba5c4aa6b0c14d53aceae2d3a03a5158', '2019-12-20 08:29:20', '2019-12-20 08:29:20');
INSERT INTO `question` VALUES ('2223b2eb8c2942459344c06ce1d3ed1d', '与他人在正式场合交谈时要严肃认真,还要注意语言的', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '10', '言谈举止', 'bd8ecfb670364c1b8cee33607423066f-09153c0ac73a4d2ea60ebb8c833d0eef-c517d89483b94ffead440fb408efce11', 'bd8ecfb670364c1b8cee33607423066f', '2019-05-25 01:46:47', '2019-05-25 01:46:47');
INSERT INTO `question` VALUES ('23491b7dbbdf47dcb09ece779ff44c92', '你的名字是什么？', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '9', '雷锋', 'afbbf97056c64199b1b44f02e8c557f5-249c3e3f31ed443e83ab4379b506be24-57e749d644044a53b48ed12f84bba0b3-83c56af7662249dd968e04bf3afbee23', '83c56af7662249dd968e04bf3afbee23', '2019-06-13 06:19:58', '2019-10-27 17:24:50');
INSERT INTO `question` VALUES ('2527560ba3704f5e84abdb93940357ce', 'm', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '2', '2', 'j', '14b615e1c71b435ca1c3bc5e8524fa62-774fdce9aece43ab9319963cf85b23f6-684ceb23ca5a44a090fa57850bbb2c05', '14b615e1c71b435ca1c3bc5e8524fa62-774fdce9aece43ab9319963cf85b23f6-684ceb23ca5a44a090fa57850bbb2c05', '2020-01-07 02:20:34', '2020-01-07 02:20:34');
INSERT INTO `question` VALUES ('29c859c20be948e3a649abd118107d0f', '1+1', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '2', '2', '22797b6891e64153a1a5e64df951b7a0-959fbff965604fa3abbc6bb1ffeaf3da-9cd3f3436cad45c88f848a6d812dd8d6', '959fbff965604fa3abbc6bb1ffeaf3da', '2020-01-10 15:53:52', '2020-01-10 15:53:52');
INSERT INTO `question` VALUES ('2f8b20630b10471395b6c379a465cca8', '在参加各种社交宴请宾客中,要注意从座椅的（）侧入座,动作应轻而缓,轻松自然', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '10', '就餐注意事项', '647fb34e45474ae3b064a836b436a031-77e434759f314ce08413b65b3c36e6a0-ab85c51b6e91402385aeda6551aea608', '77e434759f314ce08413b65b3c36e6a0', '2019-05-25 01:46:47', '2019-05-25 04:06:43');
INSERT INTO `question` VALUES ('2f8fd68365524bf78ec2c29dd0c1bf96', '1+1等于几？', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', '这是一个测试', 'f676cb8b74b74889af5fd9c83ddfd6dd-be0b2ebd35044fedaa8ec393ff4c1887-911ac2efebb34f2097bae53142a93adc', '911ac2efebb34f2097bae53142a93adc-', '2020-02-05 09:09:26', '2020-02-05 09:10:43');
INSERT INTO `question` VALUES ('305f726e7f1f4636b88bf20de0093745', '地球是圆地吗？', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '3', '1', '是的', 'd8fd1ca48ed74d0cb51295ad84760dd6-52e0ccb2fc4545028988681db9858f70', 'd8fd1ca48ed74d0cb51295ad84760dd6', '2019-06-13 06:21:16', '2019-10-27 17:24:51');
INSERT INTO `question` VALUES ('3085eae7ca824a6dbeb74a3c076a3164', '测试在杭城', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '1', '测试', '17037f89286644b18b7f89ad5c299262-56a59f402c4949ec8d74bb95425131d2', '17037f89286644b18b7f89ad5c299262-', '2019-11-14 07:17:02', '2019-11-21 09:15:44');
INSERT INTO `question` VALUES ('31e9ad43e84e484eb8b77b7e7a76de91', '在机场、商厦、地铁等公共场所乘自动扶梯时应靠（）站立,另一侧供有急事赶路的人快行', '3', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '9', '走电梯常识', '4140a14f3f6b4067962eac1c939675c9-5ac788b163b04bc9b159f11d1cb1abba-d36bd089207f48cfb5d806d9cf882009', '5ac788b163b04bc9b159f11d1cb1abba', '2019-05-25 01:46:47', '2019-05-25 04:06:49');
INSERT INTO `question` VALUES ('334cfcd5ce47468a9babdce5c97def28', '递接文件或名片时应当注意字体的', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '10', '生活常识', 'c4aeda64b2024d9cbaaba88ac1dcdb97-995440729c4f48758920dd0f9c31f44f-c317ef23e1de49369900869764991eb0', 'c4aeda64b2024d9cbaaba88ac1dcdb97', '2019-05-25 01:46:47', '2019-05-25 01:46:47');
INSERT INTO `question` VALUES ('371f8fd139eb41b38693b2a77de7594f', '1+6=？', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '2', '答案7，简单的算数运算', 'b6108dde55074df28cd5d3906eea5918-354c887bcbb64987b92497707320fc50-f9966b3b15f943a289da620a80d82c1b-45f2370c94144b53af2570896842eb2e', 'f9966b3b15f943a289da620a80d82c1b', '2020-01-07 01:56:36', '2020-01-07 01:56:36');
INSERT INTO `question` VALUES ('38085807d06948ca8ad6d8eaca522c85', '以接待对象为标准划分的接待类型有', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '2', '9', '商务接待', 'bed28153b51d410aafa64a6cc9c6fbb9-20ce13d67d544efeba548f7eb9642e8f-bbe3df2c7ba44b13b4b77cbd929a8fb1-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0', '20ce13d67d544efeba548f7eb9642e8f-22de7c7537564d7b841ea1b41a298a59-81b7ae4a705f4fc39e576085a55fccc0-bbe3df2c7ba44b13b4b77cbd929a8fb1-bed28153b51d410aafa64a6cc9c6fbb9', '2019-05-25 01:46:47', '2020-01-13 02:58:45');
INSERT INTO `question` VALUES ('3864178819534aa7862b26e893aa2e62', '一般性的拜访多以（）为最佳交往时间', '7', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '9', '交际', '9cd1e597ae4144938be500efa21eec9b-e4697cfd242c4328b28a084e4ecaaf3c-9b14c29c2d514b10af620655ff13a204', 'e4697cfd242c4328b28a084e4ecaaf3c', '2019-05-25 01:46:47', '2019-05-25 04:07:50');
INSERT INTO `question` VALUES ('396b55534851427590e089fb9cc040cc', 'Zeus', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '5', 'desfeeeesf', '25e3179bb90f4ef4bc550c2cb7f3562f-85aeb40a28f14735a48505d29d7c05b9-ccf9a11d724046dd964660b688d9dc28-9c511fa9d5a74090967cdb52b29060a2-92ed63ab069d4f0bae0bbf630a03d34d', '85aeb40a28f14735a48505d29d7c05b9-9c511fa9d5a74090967cdb52b29060a2', '2019-06-13 00:55:56', '2019-10-27 17:24:58');
INSERT INTO `question` VALUES ('3b5c7adfedeb4fdea521d9a1a83ce4ff', '大', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '4', '大', '0411ecbe88364c0abfbb7386c82d35e4-47d1ac03843d4a0ca00fc8aca766b290-09b79933b5794f578d7f3488058f429e', '47d1ac03843d4a0ca00fc8aca766b290-09b79933b5794f578d7f3488058f429e', '2019-11-12 02:46:21', '2019-11-12 02:46:21');
INSERT INTO `question` VALUES ('3c70fed1832d4db7a4dd6da0985b635f', '12312', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '1', '123123', '3b881749e18c4ac0baf0a61c839cbcab-9fa06b81374d436b9ba1f51afdf0b706-82b089e4dde144eda92bd969ed26070b-a83df230d4794f60bf53b09215870f08', '9fa06b81374d436b9ba1f51afdf0b706-', '2019-12-04 01:30:45', '2019-12-04 03:02:15');
INSERT INTO `question` VALUES ('4247752901bd47fba86379a1cd4b87d4', '与他人交谈完毕就可以立即转身离开', '10', '68042014e23c4ebea7234cb9c77cee5c', '2', '3', '10', '社交礼仪', 'b8e2e6300ab04016a82481fff15750e0-d15f9106bb9941eaab1e37356af083b3', 'd15f9106bb9941eaab1e37356af083b3', '2019-05-25 01:46:47', '2019-06-22 04:20:33');
INSERT INTO `question` VALUES ('4c1a83da8f634f70a77ba32432b8987f', '三san 三sans 男nan按 ', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '1', 'sss', 'f89c0885266145f4b0df84b3b46726b2', 'f89c0885266145f4b0df84b3b46726b2', '2020-01-13 03:54:25', '2020-01-13 03:54:25');
INSERT INTO `question` VALUES ('50124a77646346f1a63d704d1cb308fe', '事务是什么？', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '1', '事务是一堆sql语句的集合', 'bba47eeda47c45ce8580b335a5bef90e', 'bba47eeda47c45ce8580b335a5bef90e', '2019-12-30 11:12:08', '2019-12-30 11:12:08');
INSERT INTO `question` VALUES ('56bd98ceac354205bb55a45c11b7b3e8', 'xx', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '2', 'xxxxx', 'e7577cacb94749e8845a12db750fb519-5f6febdc5c53482e8041abbcd76cc83c', 'e7577cacb94749e8845a12db750fb519-5f6febdc5c53482e8041abbcd76cc83c', '2020-02-20 04:51:20', '2020-02-20 04:51:20');
INSERT INTO `question` VALUES ('56c4538a152446d8a08de16801b62509', 'm', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '2', '2', 'j', '8ff8042c78844c9fa1e0b6db99b51bb2-0bdb1c769958465b92c3a569b756b5b5-aebd4c6aaa0a4901ba75ab861cc7fbc0', '0bdb1c769958465b92c3a569b756b5b5-8ff8042c78844c9fa1e0b6db99b51bb2-', '2020-01-07 02:20:51', '2020-02-04 11:03:11');
INSERT INTO `question` VALUES ('578a8cd670524357af17850662a025d6', '测试', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '8', '测试', 'b79c18f6e7e9495fb9beffa7a48c018c-bf6a7bc08e134e1ea2625573350d3e27', 'bf6a7bc08e134e1ea2625573350d3e27', '2019-12-19 08:05:28', '2019-12-19 08:05:28');
INSERT INTO `question` VALUES ('5bfc498c0261457899d000262658ea7d', '是谁？', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '10', '猜猜是谁？', '09d91a0ddf254b9891fc05b55ce7d4e8', '09d91a0ddf254b9891fc05b55ce7d4e8', '2019-12-16 09:29:10', '2019-12-16 09:29:10');
INSERT INTO `question` VALUES ('6a33e4beea944debac1ebb5e6d23a071', 'ssss', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '4', 'sssss', 'd7f01b212d6b43a0993ed9401170be6b-1b6c110f017544659786d72e89185116-a99c9a300da74e3e9c9e85c954aab2e1', 'd7f01b212d6b43a0993ed9401170be6b', '2019-12-31 03:41:28', '2019-12-31 03:41:28');
INSERT INTO `question` VALUES ('6b022b56134c4e22a6b00e35eaf1fdf0', 'hero877', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '3', 'lll', 'eb5daf508877408985e4f6a6f4e0e157', 'eb5daf508877408985e4f6a6f4e0e157', '2019-12-29 12:20:35', '2019-12-29 12:20:35');
INSERT INTO `question` VALUES ('6cabac6ec4ef44068e66cf2547543658', '行握手礼时,与多人同时握手时,可以交叉握手', '6', 'a1b661031adf4a8f969f1869d479fe74', '1', '3', '10', '礼仪', 'b8e2e6300ab04016a82481fff15750e0-d15f9106bb9941eaab1e37356af083b3', 'b8e2e6300ab04016a82481fff15750e0-', '2019-05-25 01:46:47', '2019-12-08 11:33:33');
INSERT INTO `question` VALUES ('723808d2f1a54c81995a0c7a8cc4f638', 'rrr', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '2', 'rrrr', 'af62db33c6dc42909003378717013109-75860607c198406a856c0c1f83c4a399', 'af62db33c6dc42909003378717013109-75860607c198406a856c0c1f83c4a399', '2020-02-18 12:21:21', '2020-02-18 12:21:21');
INSERT INTO `question` VALUES ('723fa552b05b4b8d9b599b263a745062', '显示器种类', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '1', '显示器种类', '41302510ff6441818aef2cd7982492f1-69418d44d770439d8c93bd6c0be8cca5-2f54cd31b3e94157a7cac7f9b7473163', '41302510ff6441818aef2cd7982492f1', '2019-12-20 07:08:42', '2019-12-20 07:08:42');
INSERT INTO `question` VALUES ('796de3425cb3481e998fd050f4445873', '测试', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '5', '解析', 'dcb7371f1c7a4b6db47eefda34688089-15798a10f67e41f9bf776db1595cac5f', 'dcb7371f1c7a4b6db47eefda34688089', '2020-02-07 03:41:50', '2020-02-07 03:41:50');
INSERT INTO `question` VALUES ('7c7fdb33ec3a40bdaed95d64a7507f2a', 'fff', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '2', 'fffffffff', '9d45dd29e564415ca4809baf5d1bf2f7', '9d45dd29e564415ca4809baf5d1bf2f7', '2020-02-18 08:49:10', '2020-02-18 08:49:10');
INSERT INTO `question` VALUES ('8265e43d401746ac8debd31663dee3fa', '上学院1期考题', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '1', '上学院1期考题', '3d333bb284414ca0bbe8a52ec3ebdf45', '3d333bb284414ca0bbe8a52ec3ebdf45', '2020-01-14 06:13:08', '2020-01-14 06:13:08');
INSERT INTO `question` VALUES ('85047be0b2cf4077a5ec66e92ebf442b', '名片的作用有', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '10', '名片', '61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578-21eccfb3bc43464b905eb0a8837ce094-317914052c94400f8e45a814896c9cd9', '61f3d24b130749a88626b5035e9708e9-b7926212674b4b71b93dcffca102f578-317914052c94400f8e45a814896c9cd9', '2019-05-25 01:46:47', '2019-05-25 04:08:27');
INSERT INTO `question` VALUES ('852a2868c3684699bde65c76ebe8260d', 'lll', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '8', 'iii', '5fc5f76401ae430c8abf5fa95408aac8-fc4d6d69d54145d09d2fba7868e35d39-5275e0a7bf9540908ee00d628e3b7182-13b505f501824360a2a0c661155678a0', '5fc5f76401ae430c8abf5fa95408aac8-fc4d6d69d54145d09d2fba7868e35d39-5275e0a7bf9540908ee00d628e3b7182', '2019-12-13 13:23:44', '2019-12-13 13:23:44');
INSERT INTO `question` VALUES ('8573631f85394f77a08da774259bc3d7', 'CIM 系统有哪些', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '10', 'CIM 系统有哪些', '05e223f33d054704aa788610f9d21a43-bc8b9d99cf494997a7d5e71d4d82f646-3dfa52df61af4c46ac9659c7a8b4d9f0-3ee77172e24042bca1db44264ce29c60', '05e223f33d054704aa788610f9d21a43-bc8b9d99cf494997a7d5e71d4d82f646-3dfa52df61af4c46ac9659c7a8b4d9f0-3ee77172e24042bca1db44264ce29c60', '2019-12-20 08:16:15', '2019-12-20 08:16:15');
INSERT INTO `question` VALUES ('86797222854341b3997de8d1ca659f3a', 'ghfg', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '2', 'gfhfg', '81200535168a4000826a1eea7d11e7a5-714bfbe362d34d9fb72aed44cd00f589', '81200535168a4000826a1eea7d11e7a5', '2020-02-16 09:25:38', '2020-02-16 09:25:38');
INSERT INTO `question` VALUES ('882ff69844384fb097db31121e249c01', '测试', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '6', '111', 'd5dbe92d81214d17afacc1e0ef2ba0e9-2219018cae3041da9788602efc07c3f0-97752e17ddb74451bc01aa00ab55a269-4d71575f0af945c1b01383e96f783f07-2a3871a814de484389f2894604afb422', '97752e17ddb74451bc01aa00ab55a269-4d71575f0af945c1b01383e96f783f07', '2019-12-11 03:24:43', '2019-12-11 03:24:43');
INSERT INTO `question` VALUES ('8ec6d2ee8c014ebc8787dfd327a4d66a', '123', '5', '79392778a90d4639a297dbd0bae0f779', '1', '1', '2', '123', '3d79ff8b2f624ee38b32cc77dcad1989-74efff6383084316b51e608ad58f9e25-9626d4e51fa74ad1ad374d93109cdfa9-f659eb6e7dc0469d9aee754a391c2ae2', 'f659eb6e7dc0469d9aee754a391c2ae2', '2020-02-15 12:07:42', '2020-02-15 12:07:42');
INSERT INTO `question` VALUES ('8f3e02d0f2a1402abd3278adc05ffb10', '有人问路可以用手指指示方向', '8', '68042014e23c4ebea7234cb9c77cee5c', '2', '3', '9', '礼仪', 'b8e2e6300ab04016a82481fff15750e0-d15f9106bb9941eaab1e37356af083b3', 'b8e2e6300ab04016a82481fff15750e0', '2019-05-25 01:46:47', '2019-06-22 04:20:55');
INSERT INTO `question` VALUES ('9023d525045441138d4c3fa21d669b3a', 'www', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', '123', '6981f42024fe45f9adfc40edf4e8d70c-76bc5a2742d74e38b83563076e3e56d7', '76bc5a2742d74e38b83563076e3e56d7', '2019-12-20 01:33:13', '2019-12-20 01:33:13');
INSERT INTO `question` VALUES ('9199009718ec4685a0a500d23ab814c5', '日常生活中邻里之间应', '2', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '9', '生活邻里', '233c13ee72c9456989788201fd108c8e-785ad33574f747fd870dd6eadff303ab-e4142da9d88b457b91249a3090f35d6b', '233c13ee72c9456989788201fd108c8e-', '2019-05-25 01:46:47', '2019-11-03 20:46:36');
INSERT INTO `question` VALUES ('94526b5119e74fcca522c1fa0010d91a', 'fdsafasdfasdfasd', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '2', '4', 'ff', '113792377d9b4f379f2d41192b2ad9a1-3610ae495b714b428c544a87b51e3040-da0654686f59424ba8e8aa7548d3e2da', '113792377d9b4f379f2d41192b2ad9a1-3610ae495b714b428c544a87b51e3040-da0654686f59424ba8e8aa7548d3e2da', '2020-01-17 10:00:24', '2020-01-17 10:00:24');
INSERT INTO `question` VALUES ('96b92d44fa9e4ffe862a51f1e2321c53', 'fff', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '2', '4', 'fff', 'db4e3645e91446f5804e7d771cf57d64-1cd310b6284c4a15a897d2a0bdb2f861-c5a250af40164238817d5508df2a63ac', 'db4e3645e91446f5804e7d771cf57d64-1cd310b6284c4a15a897d2a0bdb2f861-c5a250af40164238817d5508df2a63ac', '2019-12-31 06:47:36', '2019-12-31 06:47:36');
INSERT INTO `question` VALUES ('971cd85e00f447a0b6a58c326cfae174', '上学院1期考题', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '1', '上学院1期考题', 'e610ca351e47447d9581e70fe17bbf62', 'e610ca351e47447d9581e70fe17bbf62', '2020-01-14 06:12:50', '2020-01-14 06:12:50');
INSERT INTO `question` VALUES ('9829e3ed98274d299f58b99b1520841a', '你是谁', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '1', '我，你', '63e81bddf9fc4ff9b0de6b9177a2a51d-0cab2e15b6894197b055b31feb16f6d5-36943133106e4f49948c2f9364f488e9', '0cab2e15b6894197b055b31feb16f6d5', '2019-11-14 01:34:30', '2019-11-14 01:34:30');
INSERT INTO `question` VALUES ('9fe1cafeebf44e20a80f504cff60ef3f', '以目的的不同为标准划分的拜访类型有', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '2', '9', '拜访', 'ab96efeec3144ecea3bf955d4e52980f-287ce730f7804743935f504a18cd8538-044cf714b7024a1689cbc9def3591f51-88ec4c60df0842c7b603cf82450b12cb-bc4e6c276e6d4b80871badf7d2a9087c', 'ab96efeec3144ecea3bf955d4e52980f-044cf714b7024a1689cbc9def3591f51-88ec4c60df0842c7b603cf82450b12cb-bc4e6c276e6d4b80871badf7d2a9087c', '2019-05-25 01:46:47', '2019-05-25 01:46:47');
INSERT INTO `question` VALUES ('a0149d81929d4cd490f7aeefc72ddca6', '水龙头', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '3', '5', '试试', '4de67ab8a7194c568156f1522c204363-c7aaad78a5524e0b96a19f967e91cb43', '4de67ab8a7194c568156f1522c204363-', '2020-02-07 09:43:04', '2020-02-18 06:16:27');
INSERT INTO `question` VALUES ('a12eb101321b451bbc54a136e98acfd0', '客人来访时,我们要为客人打开房门。当房门向外开时()进', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '9', '礼仪', '8c0f6801448b4185b3446d92b0721c40-251eb27617ce458697f6e966bbf87bed-228f57a595a2416aa6cf7df66095236a', '8c0f6801448b4185b3446d92b0721c40', '2019-05-25 01:46:47', '2019-05-25 01:46:47');
INSERT INTO `question` VALUES ('a9cfca88fa234e2a9009787c0402f147', '都发生过', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '1', '史蒂夫史蒂夫个', 'aa1d19de020a4fa597ef45787e08994f', 'aa1d19de020a4fa597ef45787e08994f', '2019-12-12 06:11:38', '2019-12-12 06:11:38');
INSERT INTO `question` VALUES ('aac2d50d3722400b88b2ee8819ad07f5', '水水水水水水水水水水水水水水水水水水水水水水水水水水水水水水树梢上', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '2', '1', '水水水水', 'c679330249444b50b6cc3b526766e4c5-b23c245913434b5ab31e3181b7178071', 'b23c245913434b5ab31e3181b7178071-', '2020-01-02 11:47:17', '2020-01-11 07:03:12');
INSERT INTO `question` VALUES ('acb902c1a9114be9b1d03ae02a007fbd', 'zhangsan', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '1', '2', 'jkjk', 'd00b5d5823b74e8287fd19aad1451ec1-034de423e1934316b56c533340922ca9', '034de423e1934316b56c533340922ca9', '2019-12-10 14:28:30', '2019-12-10 14:28:30');
INSERT INTO `question` VALUES ('b33d8265cef246bc84c0df406727efd9', 'rrr', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '2', 'rrrr', '572a60ab80064edf8bb6a8cb063e4698', '572a60ab80064edf8bb6a8cb063e4698', '2020-02-18 12:22:55', '2020-02-18 12:22:55');
INSERT INTO `question` VALUES ('b987d5c8606a4a91b6361b917a9301e2', 'rrr', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', 'rrr', '1b618693c2e14d46bcd755b4bef16f69-813897c583db479695717d2ae9d463f8-0bb7ee398bbb43119180f4b789fe9ad5', '1b618693c2e14d46bcd755b4bef16f69-', '2019-12-31 08:45:48', '2020-01-01 15:27:36');
INSERT INTO `question` VALUES ('bb22f19338174d1f9333f9aebd6ffeb6', '做客时入座动作要', '8', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '9', '礼仪相关', '0c83f68e3d9948e38d65eb22c257bf7f-0dda4965171b4f9680a6acfab9af9625-9da49e7309604e81bacfdc7bb9044bc1', '9da49e7309604e81bacfdc7bb9044bc1', '2019-05-25 01:46:47', '2019-05-25 04:09:19');
INSERT INTO `question` VALUES ('bd9a17a6cce7432c9b07adc914a365ec', '速度发你了发', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '8', '斯蒂芬是收到按时', 'b309c2f870d148cb90f623e99d2a4918-032e16cf7ce349009bbea988a6b7317e-4a7f7a5bcf5843ebbe46ceca1f5e6034-2a7048b2a95840f0b91f50ddd99292e0', '032e16cf7ce349009bbea988a6b7317e', '2019-11-12 09:24:15', '2019-11-12 09:24:15');
INSERT INTO `question` VALUES ('c4a79332ee134526878cca55d8d973d0', 'sfdfdsfsdf', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '1', '34234234', '4675a47e7a4749aca71a3042bd6a051c-4066ce7a47154aebb254df08103607c2', '4066ce7a47154aebb254df08103607c2', '2020-02-23 02:25:34', '2020-02-23 02:25:34');
INSERT INTO `question` VALUES ('cff7d16da6ab428e893c748d5c759cb2', '拜访他人应选择（）,并应提前打招呼', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '9', '交往礼节', 'ca45b95620ae4d33986cb8067ef2525c-db43d6e8819047539922b510e0a039b7-8c95b512240b4a47b85743a64f65c0ba', '8c95b512240b4a47b85743a64f65c0ba', '2019-05-25 01:46:47', '2019-05-25 04:09:30');
INSERT INTO `question` VALUES ('d2795ed8d1754b6d8f9f14916c01cc8a', 'dsfs', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', 'dsfa', '7c98548815df49f38c5497d00bb2801d-daca9e9a31784147957ddfaafa9f387f', 'daca9e9a31784147957ddfaafa9f387f', '2019-12-25 10:50:49', '2019-12-25 10:50:49');
INSERT INTO `question` VALUES ('d3a6a82892874329837c71338e063bb0', '1', '5', '68042014e23c4ebea7234cb9c77cee5c', '1', '1', '1', '1', '3b0457158faf4f859b328b53c63a0b55-3ceb7070abb0411c8f9ae865be9b43a5', '3ceb7070abb0411c8f9ae865be9b43a5', '2019-11-30 04:44:17', '2019-11-30 04:44:17');
INSERT INTO `question` VALUES ('d7bb105a79ae4550b241a5aba0dbffb9', '安全测试', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '1', '安全测试工作很重要', 'a8fbae6626c544d3a9ccf30416edc9e5-65d057d0f96c474e90347fd7a6aa283a', 'a8fbae6626c544d3a9ccf30416edc9e5', '2019-11-27 01:43:06', '2019-11-27 01:43:06');
INSERT INTO `question` VALUES ('e1d16aebc4124790bb9435973b89f105', '正式交往场合我们的仪表仪容要给人()的感觉', '5', '68042014e23c4ebea7234cb9c77cee5c', '3', '1', '10', '仪表仪容', 'cbfebe5f94124c0dbd8ad280d63351b0-42eee2c478c043168bd7ed8d7c2dcafe-2eaf5866748148ce901d12897fed9c11', '2eaf5866748148ce901d12897fed9c11', '2019-05-25 01:46:47', '2019-05-25 01:46:47');
INSERT INTO `question` VALUES ('e283ac11c7064ccf976f9c48d68c6a67', '与他人交谈时,要盯着他人的双眉到鼻尖的三角区域内', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '3', '9', '礼仪', 'b8e2e6300ab04016a82481fff15750e0-d15f9106bb9941eaab1e37356af083b3', 'b8e2e6300ab04016a82481fff15750e0', '2019-05-25 01:46:47', '2019-06-22 04:21:07');
INSERT INTO `question` VALUES ('e3810a6e4add45029cb23bbd668f40e0', '什么东西', '5', '68042014e23c4ebea7234cb9c77cee5c', '2', '1', '5', '创建一个题目好费劲哦', 'df23579aaf4441a3859d9950aa3af681-d6f91894425547eca57b2d14fa04fb80-a51de33b9dd44cb383c83123cd9056df-eb9670db68d0499888e814b1d4150dca', 'df23579aaf4441a3859d9950aa3af681', '2019-11-27 02:12:11', '2019-11-27 02:12:11');
INSERT INTO `question` VALUES ('e5c4164820d341f782ceabe87a5bdbf0', 'fdsf', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '3', '2', 'fsdf', '80f44880efa84b6ca0d9944243cc62ae-d83022749e084f849e2a528291278401', '80f44880efa84b6ca0d9944243cc62ae', '2019-12-02 10:11:01', '2019-12-02 10:11:01');
INSERT INTO `question` VALUES ('ecdfbdd2a9f24017b3fe1aa0947ca146', '使用手机时,手机不宜握在手里或挂在腰带上', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '3', '9', '生活细节', 'b8e2e6300ab04016a82481fff15750e0-d15f9106bb9941eaab1e37356af083b3', 'b8e2e6300ab04016a82481fff15750e0', '2019-05-25 01:46:47', '2019-06-22 04:21:15');
INSERT INTO `question` VALUES ('ed05a6a18d64452185513a67d3547b56', '1-2=?', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '1', '2', '加法算数', '1119e86e6290436d938a26780b93bcdf-52a4786c4f5745a3ad4fe0e5a29a7aea-8cee141acc604b628a131e92f6d0560a-a6887a5bfd62430d9410e7f1c8a2bb3c-4f7381f8f9944adcad7c2c5732a0974e', '4f7381f8f9944adcad7c2c5732a0974e-', '2020-01-06 07:32:56', '2020-01-06 11:10:36');
INSERT INTO `question` VALUES ('ee94d1e005e24055adf0d4f0984f3ffb', 'demo', '5', 'a1b661031adf4a8f969f1869d479fe74', '1', '3', '3', 'demo', '62734b61f4d6411e8d36eb250e5ed000-620d7419d4b84db393fc2a02d2ade7a9', '62734b61f4d6411e8d36eb250e5ed000', '2020-01-02 01:39:15', '2020-01-02 01:39:15');
INSERT INTO `question` VALUES ('f073ed0884944b97ba6e229809e7189e', '11', '5', 'a1b661031adf4a8f969f1869d479fe74', '3', '2', '2', 'fffffffff1111', 'e231cdcaefb54c0abb40a7a14ed25e5e-f74201b59de048edbaed206b9c5c3d53-792592c4a335449caa29866e8a8184f8', 'f74201b59de048edbaed206b9c5c3d53-792592c4a335449caa29866e8a8184f8', '2020-02-18 08:50:59', '2020-02-18 08:50:59');
INSERT INTO `question` VALUES ('f19c8daade354a108d2ab418ebaada7c', '11111', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '8', '111', '899f6ddc07274825afdbf4174f75477e-a592bcc629674f42a603cc72293c5979', '899f6ddc07274825afdbf4174f75477e-a592bcc629674f42a603cc72293c5979', '2019-12-23 06:45:22', '2019-12-23 06:45:22');
INSERT INTO `question` VALUES ('f4aec0f038194a12a250d00abe1a9dcd', '安全测试', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '1', '安全测试工作很重要', '8d102169d1a140d7a0848ccb4f61c265-3a3628faa88544528861c11a52510834', '8d102169d1a140d7a0848ccb4f61c265', '2019-11-27 01:43:06', '2019-11-27 01:43:06');
INSERT INTO `question` VALUES ('f52175109edf4f5dba5abb41a1e2b055', '1', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', '022020', '43fe3c081fe841bdbb0a4a2ea7bbad70-42adf058b2c643b38476b9550b0446e1-93ca48b8ddbc49949778127a6cbe0b85', '93ca48b8ddbc49949778127a6cbe0b85', '2019-12-16 05:19:41', '2019-12-16 05:19:41');
INSERT INTO `question` VALUES ('f62e37bccb34461bbb04e32fb304ab6a', 'admin', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '7', 'wwww', '48e8bdf0b7314a10acb747335d454aac', '48e8bdf0b7314a10acb747335d454aac', '2020-01-08 01:05:35', '2020-01-08 01:05:35');
INSERT INTO `question` VALUES ('fa4ba05fef194b97aff8668e856a27dd', 'CIM系统', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '2', '2', 'CIM系统', 'bc5cfa6e29294b6d88aecb932934ee15-decd50d5a9114f80b7d16076fe4b62f9', 'decd50d5a9114f80b7d16076fe4b62f9', '2019-12-20 08:23:32', '2019-12-20 08:23:32');
INSERT INTO `question` VALUES ('fe06d592442243aa8e4adbd9bf6c1341', 'sdfasddfasdfas', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '2', 'sfdasfddas', '91f81a5a6d90454fa6b5d83aa83dd3d9-97a8206ab7054ee5bbc780c06905985b-ebdda1003cc7486498064c1b8bb96410', 'ebdda1003cc7486498064c1b8bb96410', '2019-12-27 06:38:36', '2019-12-27 06:38:36');
INSERT INTO `question` VALUES ('feaa4b2a04314864ba7243eca4d4a291', '沈老师厉害', '5', 'a1b661031adf4a8f969f1869d479fe74', '2', '1', '1', '不知道', '917cbf86068f48e7942232435a9c94db', '917cbf86068f48e7942232435a9c94db', '2019-11-04 10:59:55', '2019-11-06 02:27:56');

-- ----------------------------
-- Table structure for `question_category`
-- ----------------------------
DROP TABLE IF EXISTS `question_category`;
CREATE TABLE `question_category` (
  `question_category_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '问题类别表的主键',
  `question_category_name` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '问题类别名称',
  `question_category_description` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '问题类别的描述',
  PRIMARY KEY (`question_category_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='题目类别表';

-- ----------------------------
-- Records of question_category
-- ----------------------------
INSERT INTO `question_category` VALUES ('1', '天文', '地球与宇宙的探索');
INSERT INTO `question_category` VALUES ('2', '数学', '所有学科的基础');
INSERT INTO `question_category` VALUES ('3', '物理', '体会牛顿与麦克斯韦的伟大');
INSERT INTO `question_category` VALUES ('4', '生物', '从宏观到微观了解生命');
INSERT INTO `question_category` VALUES ('5', '地理', '踏遍大好河山');
INSERT INTO `question_category` VALUES ('6', '化学', '分子与原子的碰撞');
INSERT INTO `question_category` VALUES ('7', '英语', '出门旅游必备');
INSERT INTO `question_category` VALUES ('8', '历史', '体会悠悠岁月');
INSERT INTO `question_category` VALUES ('9', '人文', '生活与交际');
INSERT INTO `question_category` VALUES ('10', '生活', '人与社会的交互');

-- ----------------------------
-- Table structure for `question_level`
-- ----------------------------
DROP TABLE IF EXISTS `question_level`;
CREATE TABLE `question_level` (
  `question_level_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '题目难易度的主键',
  `question_level_name` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '题目难易度名称',
  `question_level_description` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '题目难易度的描述',
  PRIMARY KEY (`question_level_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='问题的难易度级别';

-- ----------------------------
-- Records of question_level
-- ----------------------------
INSERT INTO `question_level` VALUES ('1', 'high', '难');
INSERT INTO `question_level` VALUES ('2', 'middle', '中');
INSERT INTO `question_level` VALUES ('3', 'low', '易');

-- ----------------------------
-- Table structure for `question_option`
-- ----------------------------
DROP TABLE IF EXISTS `question_option`;
CREATE TABLE `question_option` (
  `question_option_id` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '题目选项表的主键',
  `question_option_content` varchar(512) COLLATE utf8_bin NOT NULL COMMENT '选项的内容',
  `question_option_description` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '选项的额外描述，可以用于题目答案解析',
  PRIMARY KEY (`question_option_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='题目的选项';

-- ----------------------------
-- Records of question_option
-- ----------------------------
INSERT INTO `question_option` VALUES ('015147df62774a879388f924e1746f81', '曹雪芹', '《红楼梦》的作者是谁？');
INSERT INTO `question_option` VALUES ('032e16cf7ce349009bbea988a6b7317e', '打发', null);
INSERT INTO `question_option` VALUES ('034de423e1934316b56c533340922ca9', 'jjljkl', null);
INSERT INTO `question_option` VALUES ('0411ecbe88364c0abfbb7386c82d35e4', '大', null);
INSERT INTO `question_option` VALUES ('044cf714b7024a1689cbc9def3591f51', '情感拜访', '以目的的不同为标准划分的拜访类型有');
INSERT INTO `question_option` VALUES ('05e223f33d054704aa788610f9d21a43', 'FAB MES', null);
INSERT INTO `question_option` VALUES ('09153c0ac73a4d2ea60ebb8c833d0eef', '慢条斯理', '与他人在正式场合交谈时要严肃认真,还要注意语言的');
INSERT INTO `question_option` VALUES ('099f13e53f724c84a07c03fa287fa473', '123', null);
INSERT INTO `question_option` VALUES ('09b79933b5794f578d7f3488058f429e', '不大', null);
INSERT INTO `question_option` VALUES ('09d91a0ddf254b9891fc05b55ce7d4e8', '我', null);
INSERT INTO `question_option` VALUES ('0bb7ee398bbb43119180f4b789fe9ad5', 'eee', null);
INSERT INTO `question_option` VALUES ('0bdb1c769958465b92c3a569b756b5b5', 'l', null);
INSERT INTO `question_option` VALUES ('0c83f68e3d9948e38d65eb22c257bf7f', '快捷', '做客时入座动作要');
INSERT INTO `question_option` VALUES ('0cab2e15b6894197b055b31feb16f6d5', '我', null);
INSERT INTO `question_option` VALUES ('0dda4965171b4f9680a6acfab9af9625', '轻稳', '做客时入座动作要');
INSERT INTO `question_option` VALUES ('0faff73387784205a135a26c8023da7d', 'B', null);
INSERT INTO `question_option` VALUES ('0feaa97d85f4498d9b5d2016dae556b1', '5个', null);
INSERT INTO `question_option` VALUES ('1119e86e6290436d938a26780b93bcdf', 'A', null);
INSERT INTO `question_option` VALUES ('113792377d9b4f379f2d41192b2ad9a1', '1', null);
INSERT INTO `question_option` VALUES ('13b505f501824360a2a0c661155678a0', 'ppi', null);
INSERT INTO `question_option` VALUES ('14b615e1c71b435ca1c3bc5e8524fa62', 'i', null);
INSERT INTO `question_option` VALUES ('1557eac2ce984027945314ed3ba3a6a5', 'D', null);
INSERT INTO `question_option` VALUES ('15798a10f67e41f9bf776db1595cac5f', '测试2', null);
INSERT INTO `question_option` VALUES ('17037f89286644b18b7f89ad5c299262', 'A、answer-a|B、answer-b', null);
INSERT INTO `question_option` VALUES ('1b618693c2e14d46bcd755b4bef16f69', 'dd', null);
INSERT INTO `question_option` VALUES ('1b6c110f017544659786d72e89185116', 'dfgdfgd', null);
INSERT INTO `question_option` VALUES ('1cd310b6284c4a15a897d2a0bdb2f861', 'dfsdfsdf', null);
INSERT INTO `question_option` VALUES ('20ce13d67d544efeba548f7eb9642e8f', '商务接待', '以接待对象为标准划分的接待类型有');
INSERT INTO `question_option` VALUES ('21eccfb3bc43464b905eb0a8837ce094', '代替请柬', '名片的作用有');
INSERT INTO `question_option` VALUES ('2219018cae3041da9788602efc07c3f0', '测试11，测试2，测试3', null);
INSERT INTO `question_option` VALUES ('22797b6891e64153a1a5e64df951b7a0', '1', null);
INSERT INTO `question_option` VALUES ('228f57a595a2416aa6cf7df66095236a', '同时进门', '客人来访时,我们要为客人打开房门。当房门向外开时()进');
INSERT INTO `question_option` VALUES ('22de7c7537564d7b841ea1b41a298a59', '消费接待', '以接待对象为标准划分的接待类型有');
INSERT INTO `question_option` VALUES ('233c13ee72c9456989788201fd108c8e', '互尊互谅', '日常生活中邻里之间应');
INSERT INTO `question_option` VALUES ('249c3e3f31ed443e83ab4379b506be24', '焦恩俊', null);
INSERT INTO `question_option` VALUES ('251eb27617ce458697f6e966bbf87bed', '我们先进', '客人来访时,我们要为客人打开房门。当房门向外开时()进');
INSERT INTO `question_option` VALUES ('25e3179bb90f4ef4bc550c2cb7f3562f', 'A', null);
INSERT INTO `question_option` VALUES ('26cd4dca9dc9414cbfec165aeb600590', 'a', null);
INSERT INTO `question_option` VALUES ('287ce730f7804743935f504a18cd8538', '政治拜访', '以目的的不同为标准划分的拜访类型有');
INSERT INTO `question_option` VALUES ('2a3871a814de484389f2894604afb422', '测试3', null);
INSERT INTO `question_option` VALUES ('2a7048b2a95840f0b91f50ddd99292e0', 'ewr', null);
INSERT INTO `question_option` VALUES ('2b1ed2e380244ed2b10ce0be48619132', 'c', null);
INSERT INTO `question_option` VALUES ('2df31aa7a344475ea8a0b2897c9754f0', '罗贯中', '《红楼梦》的作者是谁？');
INSERT INTO `question_option` VALUES ('2eaf5866748148ce901d12897fed9c11', '端庄、大方、美观', '正式交往场合我们的仪表仪容要给人()的感觉');
INSERT INTO `question_option` VALUES ('2f54cd31b3e94157a7cac7f9b7473163', 'B社', null);
INSERT INTO `question_option` VALUES ('2f8692a8d7e5435f8d763a1374c8c617', '19个', null);
INSERT INTO `question_option` VALUES ('317914052c94400f8e45a814896c9cd9', '便于通知', '名片的作用有');
INSERT INTO `question_option` VALUES ('31a30ed80eeb462aa09790dc553a3c49', 'zjghjgh', null);
INSERT INTO `question_option` VALUES ('354c887bcbb64987b92497707320fc50', 'B.6', null);
INSERT INTO `question_option` VALUES ('3610ae495b714b428c544a87b51e3040', '2', null);
INSERT INTO `question_option` VALUES ('36943133106e4f49948c2f9364f488e9', '他', null);
INSERT INTO `question_option` VALUES ('3a3628faa88544528861c11a52510834', '安全监控', null);
INSERT INTO `question_option` VALUES ('3b0457158faf4f859b328b53c63a0b55', '', null);
INSERT INTO `question_option` VALUES ('3b881749e18c4ac0baf0a61c839cbcab', '1', null);
INSERT INTO `question_option` VALUES ('3ceb7070abb0411c8f9ae865be9b43a5', 'a', null);
INSERT INTO `question_option` VALUES ('3d333bb284414ca0bbe8a52ec3ebdf45', '12345', null);
INSERT INTO `question_option` VALUES ('3d79ff8b2f624ee38b32cc77dcad1989', '1', null);
INSERT INTO `question_option` VALUES ('3dfa52df61af4c46ac9659c7a8b4d9f0', 'FGMS', null);
INSERT INTO `question_option` VALUES ('3ee77172e24042bca1db44264ce29c60', 'MDW', null);
INSERT INTO `question_option` VALUES ('4066ce7a47154aebb254df08103607c2', '342342', null);
INSERT INTO `question_option` VALUES ('41302510ff6441818aef2cd7982492f1', 'A社', null);
INSERT INTO `question_option` VALUES ('4140a14f3f6b4067962eac1c939675c9', '左侧', '在机场、商厦、地铁等公共场所乘自动扶梯时应靠（）站立,另一侧供有急事赶路的人快行');
INSERT INTO `question_option` VALUES ('42adf058b2c643b38476b9550b0446e1', 'B', null);
INSERT INTO `question_option` VALUES ('42eee2c478c043168bd7ed8d7c2dcafe', '漂亮、美观、时髦', '正式交往场合我们的仪表仪容要给人()的感觉');
INSERT INTO `question_option` VALUES ('43fe3c081fe841bdbb0a4a2ea7bbad70', 'A', null);
INSERT INTO `question_option` VALUES ('45f2370c94144b53af2570896842eb2e', 'D.8', null);
INSERT INTO `question_option` VALUES ('4675a47e7a4749aca71a3042bd6a051c', '123', null);
INSERT INTO `question_option` VALUES ('47d1ac03843d4a0ca00fc8aca766b290', '小', null);
INSERT INTO `question_option` VALUES ('48e8bdf0b7314a10acb747335d454aac', 'wer', null);
INSERT INTO `question_option` VALUES ('4a7f7a5bcf5843ebbe46ceca1f5e6034', '按时发生', null);
INSERT INTO `question_option` VALUES ('4d5c32e598cc41abb003f2f37dab210e', '吴承恩', '《红楼梦》的作者是谁？');
INSERT INTO `question_option` VALUES ('4d71575f0af945c1b01383e96f783f07', '测试2', null);
INSERT INTO `question_option` VALUES ('4de67ab8a7194c568156f1522c204363', '正确', null);
INSERT INTO `question_option` VALUES ('4f7381f8f9944adcad7c2c5732a0974e', 's', null);
INSERT INTO `question_option` VALUES ('4fe173a90380411e802179c0b684024d', 'd', null);
INSERT INTO `question_option` VALUES ('50c4dd75eaf64b14b805a89698b821e7', 'llj', null);
INSERT INTO `question_option` VALUES ('5275e0a7bf9540908ee00d628e3b7182', 'ppp', null);
INSERT INTO `question_option` VALUES ('52a4786c4f5745a3ad4fe0e5a29a7aea', 'B', null);
INSERT INTO `question_option` VALUES ('52e0ccb2fc4545028988681db9858f70', '错误', null);
INSERT INTO `question_option` VALUES ('567f67f2dc3d4e68b988ec8983bd6dd0', 'ab', null);
INSERT INTO `question_option` VALUES ('56a59f402c4949ec8d74bb95425131d2', 'c、too simple', null);
INSERT INTO `question_option` VALUES ('56d790d075854f77a6de564cc17ed60d', '1232', null);
INSERT INTO `question_option` VALUES ('572a60ab80064edf8bb6a8cb063e4698', 'rrrrrrrrrrrrrrr', null);
INSERT INTO `question_option` VALUES ('57e749d644044a53b48ed12f84bba0b3', '白求恩', null);
INSERT INTO `question_option` VALUES ('599b2d41972645409786e820bb0b2e0a', '1个', null);
INSERT INTO `question_option` VALUES ('5ac788b163b04bc9b159f11d1cb1abba', '右侧', '在机场、商厦、地铁等公共场所乘自动扶梯时应靠（）站立,另一侧供有急事赶路的人快行');
INSERT INTO `question_option` VALUES ('5f6febdc5c53482e8041abbcd76cc83c', 'xxxx', null);
INSERT INTO `question_option` VALUES ('5fc5f76401ae430c8abf5fa95408aac8', 'ooo', null);
INSERT INTO `question_option` VALUES ('61f3d24b130749a88626b5035e9708e9', '代替通话', '名片的作用有');
INSERT INTO `question_option` VALUES ('620d7419d4b84db393fc2a02d2ade7a9', '错误', null);
INSERT INTO `question_option` VALUES ('62734b61f4d6411e8d36eb250e5ed000', '正确', null);
INSERT INTO `question_option` VALUES ('62f9d2efb9864b6a8355073676a061c8', 'fdsd', null);
INSERT INTO `question_option` VALUES ('63e81bddf9fc4ff9b0de6b9177a2a51d', '你', null);
INSERT INTO `question_option` VALUES ('647fb34e45474ae3b064a836b436a031', '前侧', '在参加各种社交宴请宾客中,要注意从座椅的（）侧入座,动作应轻而缓,轻松自然。');
INSERT INTO `question_option` VALUES ('65d057d0f96c474e90347fd7a6aa283a', '安全监控', null);
INSERT INTO `question_option` VALUES ('684ceb23ca5a44a090fa57850bbb2c05', 'kk', null);
INSERT INTO `question_option` VALUES ('69418d44d770439d8c93bd6c0be8cca5', 'S社', null);
INSERT INTO `question_option` VALUES ('6981f42024fe45f9adfc40edf4e8d70c', '1', null);
INSERT INTO `question_option` VALUES ('6f0631ce414c49519a162af9062073ca', '施耐庵', '《红楼梦》的作者是谁？');
INSERT INTO `question_option` VALUES ('714bfbe362d34d9fb72aed44cd00f589', '错误', null);
INSERT INTO `question_option` VALUES ('74efff6383084316b51e608ad58f9e25', '2', null);
INSERT INTO `question_option` VALUES ('75860607c198406a856c0c1f83c4a399', 'rrrrrrrrrrr', null);
INSERT INTO `question_option` VALUES ('76bc5a2742d74e38b83563076e3e56d7', '3', null);
INSERT INTO `question_option` VALUES ('774fdce9aece43ab9319963cf85b23f6', 'l', null);
INSERT INTO `question_option` VALUES ('77e434759f314ce08413b65b3c36e6a0', '左侧', '在参加各种社交宴请宾客中,要注意从座椅的（）侧入座,动作应轻而缓,轻松自然');
INSERT INTO `question_option` VALUES ('785ad33574f747fd870dd6eadff303ab', '互不来往', '日常生活中邻里之间应');
INSERT INTO `question_option` VALUES ('792592c4a335449caa29866e8a8184f8', '456', null);
INSERT INTO `question_option` VALUES ('7c98548815df49f38c5497d00bb2801d', 'sdfaq', null);
INSERT INTO `question_option` VALUES ('80f44880efa84b6ca0d9944243cc62ae', '正确', null);
INSERT INTO `question_option` VALUES ('81200535168a4000826a1eea7d11e7a5', '正确', null);
INSERT INTO `question_option` VALUES ('813897c583db479695717d2ae9d463f8', 'ee', null);
INSERT INTO `question_option` VALUES ('81b7ae4a705f4fc39e576085a55fccc0', '朋友接待', '以接待对象为标准划分的接待类型有');
INSERT INTO `question_option` VALUES ('82b089e4dde144eda92bd969ed26070b', '3', null);
INSERT INTO `question_option` VALUES ('83c56af7662249dd968e04bf3afbee23', '雷锋', null);
INSERT INTO `question_option` VALUES ('85aeb40a28f14735a48505d29d7c05b9', 'B', null);
INSERT INTO `question_option` VALUES ('88ec4c60df0842c7b603cf82450b12cb', '礼节性拜访', '以目的的不同为标准划分的拜访类型有');
INSERT INTO `question_option` VALUES ('899f6ddc07274825afdbf4174f75477e', '111', null);
INSERT INTO `question_option` VALUES ('8c0f6801448b4185b3446d92b0721c40', '客人先进', '客人来访时,我们要为客人打开房门。当房门向外开时()进');
INSERT INTO `question_option` VALUES ('8c95b512240b4a47b85743a64f65c0ba', '节假日的下午或平日的晚饭后', '拜访他人应选择（）,并应提前打招呼');
INSERT INTO `question_option` VALUES ('8cee141acc604b628a131e92f6d0560a', 'C', null);
INSERT INTO `question_option` VALUES ('8d102169d1a140d7a0848ccb4f61c265', '安全生成', null);
INSERT INTO `question_option` VALUES ('8ff8042c78844c9fa1e0b6db99b51bb2', 'i', null);
INSERT INTO `question_option` VALUES ('911ac2efebb34f2097bae53142a93adc', '2', null);
INSERT INTO `question_option` VALUES ('917cbf86068f48e7942232435a9c94db', 'A，阿萨德', null);
INSERT INTO `question_option` VALUES ('91f81a5a6d90454fa6b5d83aa83dd3d9', 'sdfsdfas', null);
INSERT INTO `question_option` VALUES ('92ed63ab069d4f0bae0bbf630a03d34d', 'E', null);
INSERT INTO `question_option` VALUES ('93ca48b8ddbc49949778127a6cbe0b85', 'C', null);
INSERT INTO `question_option` VALUES ('959fbff965604fa3abbc6bb1ffeaf3da', '2', null);
INSERT INTO `question_option` VALUES ('9626d4e51fa74ad1ad374d93109cdfa9', '3', null);
INSERT INTO `question_option` VALUES ('97752e17ddb74451bc01aa00ab55a269', '测试1', null);
INSERT INTO `question_option` VALUES ('97a8206ab7054ee5bbc780c06905985b', 'qqqq', null);
INSERT INTO `question_option` VALUES ('995440729c4f48758920dd0f9c31f44f', '侧面朝向对方', '递接文件或名片时应当注意字体的');
INSERT INTO `question_option` VALUES ('9b14c29c2d514b10af620655ff13a204', '十分钟左右', '一般性的拜访多以（）为最佳交往时间');
INSERT INTO `question_option` VALUES ('9c511fa9d5a74090967cdb52b29060a2', 'D', null);
INSERT INTO `question_option` VALUES ('9cd1e597ae4144938be500efa21eec9b', '1小时左右', '一般性的拜访多以（）为最佳交往时间');
INSERT INTO `question_option` VALUES ('9cd3f3436cad45c88f848a6d812dd8d6', '3', null);
INSERT INTO `question_option` VALUES ('9d45dd29e564415ca4809baf5d1bf2f7', 'fffff', null);
INSERT INTO `question_option` VALUES ('9da49e7309604e81bacfdc7bb9044bc1', '缓慢', '做客时入座动作要');
INSERT INTO `question_option` VALUES ('9fa06b81374d436b9ba1f51afdf0b706', '2', null);
INSERT INTO `question_option` VALUES ('a51de33b9dd44cb383c83123cd9056df', '635454', null);
INSERT INTO `question_option` VALUES ('a592bcc629674f42a603cc72293c5979', '111123213', null);
INSERT INTO `question_option` VALUES ('a6887a5bfd62430d9410e7f1c8a2bb3c', 'A 12', null);
INSERT INTO `question_option` VALUES ('a83df230d4794f60bf53b09215870f08', '4qweqw', null);
INSERT INTO `question_option` VALUES ('a8fbae6626c544d3a9ccf30416edc9e5', '安全生成', null);
INSERT INTO `question_option` VALUES ('a99c9a300da74e3e9c9e85c954aab2e1', 'asdasdwas', null);
INSERT INTO `question_option` VALUES ('aa1d19de020a4fa597ef45787e08994f', 'a', null);
INSERT INTO `question_option` VALUES ('ab85c51b6e91402385aeda6551aea608', '右侧', '在参加各种社交宴请宾客中,要注意从座椅的（）侧入座,动作应轻而缓,轻松自然');
INSERT INTO `question_option` VALUES ('ab96efeec3144ecea3bf955d4e52980f', '商业拜访', '以目的的不同为标准划分的拜访类型有');
INSERT INTO `question_option` VALUES ('aebd4c6aaa0a4901ba75ab861cc7fbc0', 'kk', null);
INSERT INTO `question_option` VALUES ('af62db33c6dc42909003378717013109', 'rrrrrrr', null);
INSERT INTO `question_option` VALUES ('afbbf97056c64199b1b44f02e8c557f5', '董存瑞', null);
INSERT INTO `question_option` VALUES ('b23c245913434b5ab31e3181b7178071', 'ddddd', null);
INSERT INTO `question_option` VALUES ('b309c2f870d148cb90f623e99d2a4918', '法定多少', null);
INSERT INTO `question_option` VALUES ('b6108dde55074df28cd5d3906eea5918', 'A.3', null);
INSERT INTO `question_option` VALUES ('b7926212674b4b71b93dcffca102f578', '代替便函', '名片的作用有');
INSERT INTO `question_option` VALUES ('b79c18f6e7e9495fb9beffa7a48c018c', 'a', null);
INSERT INTO `question_option` VALUES ('b8e2e6300ab04016a82481fff15750e0', '正确', '判断题专用选项');
INSERT INTO `question_option` VALUES ('ba5c4aa6b0c14d53aceae2d3a03a5158', '3个', null);
INSERT INTO `question_option` VALUES ('bba47eeda47c45ce8580b335a5bef90e', 'A事务的分享', null);
INSERT INTO `question_option` VALUES ('bbe3df2c7ba44b13b4b77cbd929a8fb1', '上访接待', '以接待对象为标准划分的接待类型有');
INSERT INTO `question_option` VALUES ('bc4e6c276e6d4b80871badf7d2a9087c', '公务拜访', '以目的的不同为标准划分的拜访类型有');
INSERT INTO `question_option` VALUES ('bc5cfa6e29294b6d88aecb932934ee15', 'OIC', null);
INSERT INTO `question_option` VALUES ('bc8b9d99cf494997a7d5e71d4d82f646', 'MOD MES', null);
INSERT INTO `question_option` VALUES ('bd8ecfb670364c1b8cee33607423066f', '准确规范', '与他人在正式场合交谈时要严肃认真,还要注意语言的');
INSERT INTO `question_option` VALUES ('be0b2ebd35044fedaa8ec393ff4c1887', 'A', null);
INSERT INTO `question_option` VALUES ('bed28153b51d410aafa64a6cc9c6fbb9', '公务接待', '以接待对象为标准划分的接待类型有');
INSERT INTO `question_option` VALUES ('bf6a7bc08e134e1ea2625573350d3e27', 'b', null);
INSERT INTO `question_option` VALUES ('c317ef23e1de49369900869764991eb0', '反面朝向对方', '递接文件或名片时应当注意字体的');
INSERT INTO `question_option` VALUES ('c4aeda64b2024d9cbaaba88ac1dcdb97', '正面朝向对方', '递接文件或名片时应当注意字体的');
INSERT INTO `question_option` VALUES ('c517d89483b94ffead440fb408efce11', '声音洪亮', '与他人在正式场合交谈时要严肃认真,还要注意语言的');
INSERT INTO `question_option` VALUES ('c5a250af40164238817d5508df2a63ac', 'fdsvvdf', null);
INSERT INTO `question_option` VALUES ('c679330249444b50b6cc3b526766e4c5', 'ddd', null);
INSERT INTO `question_option` VALUES ('c7aaad78a5524e0b96a19f967e91cb43', '错误', null);
INSERT INTO `question_option` VALUES ('ca45b95620ae4d33986cb8067ef2525c', '清晨', '拜访他人应选择（）,并应提前打招呼');
INSERT INTO `question_option` VALUES ('cbfebe5f94124c0dbd8ad280d63351b0', '随意、整齐、干净', '正式交往场合我们的仪表仪容要给人()的感觉');
INSERT INTO `question_option` VALUES ('ccf9a11d724046dd964660b688d9dc28', 'C', null);
INSERT INTO `question_option` VALUES ('d00b5d5823b74e8287fd19aad1451ec1', 'jjlj', null);
INSERT INTO `question_option` VALUES ('d15f9106bb9941eaab1e37356af083b3', '错误', '判断题专用选项');
INSERT INTO `question_option` VALUES ('d1977494d53044a9965dc35fecb887a1', '20个', null);
INSERT INTO `question_option` VALUES ('d36bd089207f48cfb5d806d9cf882009', '中间', '在机场、商厦、地铁等公共场所乘自动扶梯时应靠（）站立,另一侧供有急事赶路的人快行');
INSERT INTO `question_option` VALUES ('d5dbe92d81214d17afacc1e0ef2ba0e9', '测试11，测试2', null);
INSERT INTO `question_option` VALUES ('d6f91894425547eca57b2d14fa04fb80', '232323', null);
INSERT INTO `question_option` VALUES ('d7f01b212d6b43a0993ed9401170be6b', 'asdasd', null);
INSERT INTO `question_option` VALUES ('d83022749e084f849e2a528291278401', '错误', null);
INSERT INTO `question_option` VALUES ('d8576bc5d661498d86a74d8677bc8e64', 'z.', null);
INSERT INTO `question_option` VALUES ('d8d2a0495ef6457f9b402beb62552f6d', 'fffff', null);
INSERT INTO `question_option` VALUES ('d8fd1ca48ed74d0cb51295ad84760dd6', '正确', null);
INSERT INTO `question_option` VALUES ('da0654686f59424ba8e8aa7548d3e2da', '3', null);
INSERT INTO `question_option` VALUES ('daca9e9a31784147957ddfaafa9f387f', 'dsfa', null);
INSERT INTO `question_option` VALUES ('db43d6e8819047539922b510e0a039b7', '用餐时间 ', '拜访他人应选择（）,并应提前打招呼');
INSERT INTO `question_option` VALUES ('db4e3645e91446f5804e7d771cf57d64', 'dfgg', null);
INSERT INTO `question_option` VALUES ('dcb7371f1c7a4b6db47eefda34688089', '测试1', null);
INSERT INTO `question_option` VALUES ('decd50d5a9114f80b7d16076fe4b62f9', 'FGMS', null);
INSERT INTO `question_option` VALUES ('df23579aaf4441a3859d9950aa3af681', '123', null);
INSERT INTO `question_option` VALUES ('e231cdcaefb54c0abb40a7a14ed25e5e', 'fffff', null);
INSERT INTO `question_option` VALUES ('e4142da9d88b457b91249a3090f35d6b', '不必考虑邻里关系', '日常生活中邻里之间应');
INSERT INTO `question_option` VALUES ('e44052f21d4447139a9ed8d7c7a8983f', 'A', null);
INSERT INTO `question_option` VALUES ('e4697cfd242c4328b28a084e4ecaaf3c', '半小时左右', '一般性的拜访多以（）为最佳交往时间');
INSERT INTO `question_option` VALUES ('e610ca351e47447d9581e70fe17bbf62', '12345', null);
INSERT INTO `question_option` VALUES ('e7577cacb94749e8845a12db750fb519', 'fff', null);
INSERT INTO `question_option` VALUES ('e913442583ea4b57af6286790ffaf87a', 'fdsafadsf', null);
INSERT INTO `question_option` VALUES ('eb5daf508877408985e4f6a6f4e0e157', '3', null);
INSERT INTO `question_option` VALUES ('eb9670db68d0499888e814b1d4150dca', '556566', null);
INSERT INTO `question_option` VALUES ('ebdda1003cc7486498064c1b8bb96410', 'aaaaa', null);
INSERT INTO `question_option` VALUES ('f5ca7d93cafc47f9ac99cc01b3734141', '456', null);
INSERT INTO `question_option` VALUES ('f659eb6e7dc0469d9aee754a391c2ae2', '4', null);
INSERT INTO `question_option` VALUES ('f676cb8b74b74889af5fd9c83ddfd6dd', '3', null);
INSERT INTO `question_option` VALUES ('f74201b59de048edbaed206b9c5c3d53', '123', null);
INSERT INTO `question_option` VALUES ('f89c0885266145f4b0df84b3b46726b2', '266', null);
INSERT INTO `question_option` VALUES ('f9966b3b15f943a289da620a80d82c1b', 'C.7', null);
INSERT INTO `question_option` VALUES ('fa643fca41d9422aa024373d53329e63', 'C', null);
INSERT INTO `question_option` VALUES ('fc4d6d69d54145d09d2fba7868e35d39', 'bbb', null);

-- ----------------------------
-- Table structure for `question_type`
-- ----------------------------
DROP TABLE IF EXISTS `question_type`;
CREATE TABLE `question_type` (
  `question_type_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '题目类型表的主键',
  `question_type_name` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '题目类型名称',
  `question_type_description` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '题目类型的描述',
  PRIMARY KEY (`question_type_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='问题类型';

-- ----------------------------
-- Records of question_type
-- ----------------------------
INSERT INTO `question_type` VALUES ('1', 'single', '单选题');
INSERT INTO `question_type` VALUES ('2', 'multi', '多选题');
INSERT INTO `question_type` VALUES ('3', 'judge', '判断题');

-- ----------------------------
-- Table structure for `role`
-- ----------------------------
DROP TABLE IF EXISTS `role`;
CREATE TABLE `role` (
  `role_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '角色表主键id',
  `role_name` varchar(32) COLLATE utf8_bin NOT NULL COMMENT '角色名称',
  `role_description` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '角色的描述',
  `role_detail` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '角色的详细功能阐述',
  `role_page_ids` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT '当前角色所能访问的页面的id集合',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='用户角色表';

-- ----------------------------
-- Records of role
-- ----------------------------
INSERT INTO `role` VALUES ('1', 'admin', '管理员', '拥有教师和学生的所有权限', '1-2-3-4-5-6');
INSERT INTO `role` VALUES ('2', 'teacher', '教师', '出题、组试卷、管理学生和试卷', '1-2-3-4-5-6');
INSERT INTO `role` VALUES ('3', 'student', '学生', '参与考试，查看分数', '1-2-3-6');

-- ----------------------------
-- Table structure for `user`
-- ----------------------------
DROP TABLE IF EXISTS `user`;
CREATE TABLE `user` (
  `user_id` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '用户id,主键，字符串型',
  `user_username` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '用户名',
  `user_nickname` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '用户昵称',
  `user_password` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '用户秘密',
  `user_role_id` int(11) NOT NULL COMMENT '当前用户的角色的id',
  `user_avatar` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '用户的头像地址',
  `user_description` varchar(512) COLLATE utf8_bin DEFAULT NULL COMMENT '用户的自我描述',
  `user_email` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '用户邮箱',
  `user_phone` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT '用户手机号',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`user_id`) USING BTREE,
  UNIQUE KEY `user_username` (`user_username`) USING BTREE,
  UNIQUE KEY `user_email` (`user_email`) USING BTREE,
  UNIQUE KEY `user_phone` (`user_phone`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='用户信息表';

-- ----------------------------
-- Records of user
-- ----------------------------
INSERT INTO `user` VALUES ('111a0711ca3c4eb98f8b272fb820b20a', 'user_13110150827', 'user_13110150827', 'MDE5OTgxMTE0dGlhbjEyMw==', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '1194695379@qq.com', '13110150827', '2019-12-04 03:03:26', '2019-12-04 03:03:26');
INSERT INTO `user` VALUES ('68042014e23c4ebea7234cb9c77cee5c', 'teacher', '暮雪飞扬', 'YWRtaW4xMjM=', '2', 'https://i.loli.net/2019/11/02/OUfHKhMSwRv1ntX.jpg', '快乐就好', '1648266192@qq.com', '15261897332', '2019-05-06 18:03:27', '2019-11-02 16:37:20');
INSERT INTO `user` VALUES ('79392778a90d4639a297dbd0bae0f779', 'student', '红领巾', 'YWRtaW4xMjM=', '3', 'https://i.loli.net/2019/11/02/rCHKVJd4jTovzW9.jpg', '好好学习，天天向上', 'liangshanguang@huawei.com', '17712345678', '2019-05-06 18:07:14', '2019-11-02 16:37:31');
INSERT INTO `user` VALUES ('8db2a12804b24fa2942bd5933add58a0', 'user_15990079267', 'user_15990079267', 'bGpvNjcyOTg4NDI=', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', 'ljo_hz@163.com', '15990079267', '2019-12-05 13:18:14', '2019-12-05 13:18:14');
INSERT INTO `user` VALUES ('a1b661031adf4a8f969f1869d479fe74', 'admin', '西门吹雪', 'YWRtaW4xMjM=', '1', 'https://i.loli.net/2019/11/02/DvPiSRJrzoH1tkZ.gif', '绳锯木断，水滴石穿', 'liangshanguang2@gmail.com', '17601324488', '2019-05-06 17:57:44', '2019-11-02 16:37:37');
INSERT INTO `user` VALUES ('ab93a55327224cf69700e5d2b8a3144e', 'user_17538839567', 'user_17538839567', 'd2FuZzQxMDMyNTE5OTA=', '3', 'http://d.lanrentuku.com/down/png/1904/business_avatar/8_avatar_2754583.png', 'welcome to online exam system', '993618870@qq.com', '17538839567', '2019-12-30 02:45:22', '2019-12-30 02:45:22');
